===============================================================================
Name: gutenprint-5_2_11-pre2

2015-10-06	<rlk@sourceforge.net>

	Files:	configure.ac (1.268) (+4 -4)

	Summary: Fix syntax issue.

2015-10-06	<rlk@sourceforge.net>

	Files:	po/sk.po (1.90) (+6725 -4684)

	Gutenprint 5.2.11-pre2 release

2015-10-05	<speachy@sourceforge.net>

	Files:	src/cups/blacklist (1.14) (+3 -0)

	Add Sony UP-CR10L to the blacklist.

2015-10-05	<speachy@sourceforge.net>

	Files:	src/cups/Makefile.am (1.151) (+2 -2)
		src/cups/backend_common.c (1.46) (+2 -2)
		src/cups/shinko_s1245_print.c (1.1) (added +1621 -0)
		src/cups/shinko_s6245_print.c (1.1) (added +1863 -0)

	Add WIP backends for the Shinko S1245 and S6245 printers.

	These are *UNTESTED* and may eat your cat.

2015-10-05	<speachy@sourceforge.net>

	Files:	src/cups/sony_updr150_print.c (1.18) (+3 -6)

	Add the USB PID for the Sony UP-CR10L

2015-10-05	<rlk@sourceforge.net>

	Files:	po/sk.po (1.89) (+8023 -11456)

	Update Slovenian translation

2015-10-05	<gernot2270@sourceforge.net>

	Files:	NEWS (1.762) (+2 -0)

	Added comment regarding new Esc (u command for Canon printer non-tumble duplex support

2015-10-04	<rlk@sourceforge.net>

	Files:	po/ca.po (1.12) (+3549 -3120)
		po/cs.po (1.70) (+3558 -3135)
		po/da.po (1.115) (+3549 -3120)
		po/de.po (1.88) (+3549 -3120)
		po/el.po (1.85) (+3564 -3136)
		po/en_GB.po (1.178) (+3558 -3131)
		po/es.po (1.83) (+3558 -3135)
		po/fi.po (1.15) (+3560 -3131)
		po/fr.po (1.116) (+3551 -3120)
		po/gl.po (1.10) (+3560 -3131)
		po/hu.po (1.44) (+3549 -3120)
		po/it.po (1.25) (+3549 -3120)
		po/ja.po (1.80) (+3556 -3134)
		po/nb.po (1.44) (+3563 -3141)
		po/nl.po (1.99) (+3549 -3120)
		po/pl.po (1.89) (+3555 -3138)
		po/pt.po (1.84) (+3558 -3135)
		po/ru.po (1.17) (+3558 -3130)
		po/sk.po (1.88) (+3558 -3135)
		po/sl.po (1.12) (+3560 -3131)
		po/sv.po (1.114) (+3559 -3132)
		po/tr.po (1.7) (+3549 -3120)
		po/uk.po (1.15) (+3549 -3120)
		po/vi.po (1.6) (+3548 -3120)
		po/zh_CN.po (1.11) (+6550 -4535)
		po/zh_TW.po (1.44) (+3552 -3130)

	Update for 5.2.11

2015-10-04	<rlk@sourceforge.net>

	Files:	configure.ac (1.267) (+10 -2)
		src/cups/test-rastertogutenprint.in (1.27) (+20 -11)
		src/testpattern/run-testpattern-2.in (1.50) (+6 -0)

	Block valgrind if --enable-shared is used (the in-tree "binaries"
	are shell scripts).

2015-10-04	<rlk@sourceforge.net>

	Files:	NEWS (1.761) (+1 -1)
		README (1.244) (+11 -11)
		configure.ac (1.266) (+3 -3)

	Bump to 5.2.11-pre2

2015-10-04	<rlk@sourceforge.net>

	Files:	src/xml/papers.xml (1.30) (+1 -2)

	Summary: Remove duplicate comment from w612h864 (causes small memory leak).

2015-10-04	<rlk@sourceforge.net>

	Files:	src/testpattern/printer_options.c (1.7) (+3 -2)

	Summary: Don't ask for the default options for a printer we're not
	going to use.

2015-10-03	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.427) (+1 -2)

	Summary: Remove duplicate Epson L210 entry.

2015-10-01	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.586) (+28 -2)

	In Canon driver, added Esc (u command for even pages in non-tumble duplex

2015-09-29	<rlk@sourceforge.net>

	Files:	NEWS (1.760) (+7 -2)
		src/xml/printers.xml (1.426) (+3 -1)

	Add support for Epson L120 and L210

2015-09-26	<gernot2270@sourceforge.net>

	Files:	NEWS (1.759) (+17 -0)
		src/main/canon-inks.h (1.132) (+249 -1)
		src/main/canon-media-mode.h (1.200) (+68 -0)
		src/main/canon-media.h (1.156) (+12 -11)
		src/main/canon-modes.h (1.415) (+27 -1)
		src/main/canon-printers.h (1.358) (+17 -0)
		src/main/print-canon.c (1.585) (+7 -7)
		src/xml/printers.xml (1.425) (+32 -15)

	Added experimental support for Canon MG6900 and MG7700 series printers.

2015-09-25	<rlk@sourceforge.net>

	Files:	NEWS (1.758) (+7 -6)

	Summary: Fix wording.

2015-09-25	<rlk@sourceforge.net>

	Files:	po/zh_CN.po (1.10) (+7017 -8296)

	Update translation

2015-09-25	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.424) (+6 -6)

	Summary: Fix a couple of PPD errors.

2015-09-23	<gernot2270@sourceforge.net>

	Files:	src/main/canon-modes.h (1.414) (+9 -9)

	Set default resolution modes to same as in 5.2.10 for all Canon printers after reinstating modes with fixed ink compression. For devices where legacy modes were added back (as in 5.2.7), default mode also set to same as in 5.2.10.

2015-09-22	<gernot2270@sourceforge.net>

	Files:	NEWS (1.757) (+0 -4)
		src/main/canon-printers.h (1.357) (+7 -2)
		src/xml/printers.xml (1.423) (+1 -9)

	Removed Canon PIXUS MP5, MP10, SmartBase MPC190, SmartBase MPC200 from supported printers, as they require a special backend.

2015-09-21	<gernot2270@sourceforge.net>

	Files:	src/xml/printers.xml (1.422) (+2 -2)

	Added IEEE1284 DeviceID for Canon iP8500

2015-09-21	<gernot2270@sourceforge.net>

	Files:	NEWS (1.756) (+18 -23)
		src/foomatic/foomatic-generator.in (1.86) (+1 -0)
		src/main/canon-media-mode.h (1.199) (+588 -798)
		src/main/canon-media.h (1.155) (+84 -84)
		src/main/canon-modes.h (1.413) (+296 -315)
		src/main/print-canon.c (1.584) (+9 -9)

	For Canon backend, reinstated modes and media depending on previously-broken ink compression. Reinstated legacy modes removed in 5.2.7 for several models (noted in NEWS). Reverted error of InkjetPhotoHagakiK spelling change and changed new media to align with this.

2015-09-15	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.49) (+1 -1)

	Summary: Correct doc for -N

2015-09-14	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.48) (+5 -2)

	Summary: -N controls whether unused options are set.

2015-09-13	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.47) (+2 -2)

	Summary: Don't set base options for printers that don't use them.

2015-09-13	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.421) (+2 -2)

	Revert the mitsu k60dw driver name to its former (technically incorrect) glory.

2015-09-13	<speachy@sourceforge.net>

	Files:	src/xml/papers.xml (1.29) (+5 -1)

	Document that a handful of additional sizes are only used by dyesub printers.

2015-09-13	<rlk@sourceforge.net>

	Files:	configure.ac (1.265) (+4 -2)
		src/testpattern/Makefile.am (1.29) (+3 -3)
		src/testpattern/compare-checksums.in (1.1) (added +109 -0)

	Add tool to compare run-testpattern2 output.

2015-09-13	<rlk@sourceforge.net>

	Files:	src/cups/test-ppds (1.12) (+1 -1)

	Summary: Ignore missing filters in PPD validation.

2015-09-13	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.45) (+1 -5)
		src/cups/genppd.c (1.204) (+2 -4)
		src/cups/kodak6800_print.c (1.29) (+44 -20)

	Fix a couple of bugs in backend code.

2015-09-13	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.218) (+2 -2)

	Fix a potential null pointer dereference.

2015-09-12	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.217) (+2 -2)
		src/xml/papers.xml (1.28) (+3 -1)

	Fix a typo in the 3.5x4.7 @600dpi definition for the CW-01.

	Also update the paper definitions to show that these 4.7" sizes are
	unique to this printer, and really shouldn't be in the global list.

2015-09-12	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.216) (+5 -2)

	Fix a compilation warning in strict ISO C mode.

2015-09-11	<rlk@sourceforge.net>

	Files:	macosx/src/gutenprint.pkg.src/Resources/License.txt (1.3) (+2 -3)

	Summary: Update

2015-09-11	<gernot2270@sourceforge.net>

	Files:	NEWS (1.755) (+6 -0)
		src/xml/printers.xml (1.420) (+7 -1)

	Added several Canon MG5700 and MG6800 models: *50 black, *51 white, *52 black/silver, *53 white/silver.

2015-09-11	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.198) (+7 -7)
		src/main/canon-modes.h (1.412) (+9 -9)

	In Canon backend, activated resolution modes using 4-bit 5- and 6-level ink compression for Canon Pro9000 (confirmed by test user). Other printers to follow.

2015-09-10	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.583) (+11 -11)

	Canon driver 4-bit 5-level and 6-level compression code fix.

2015-09-10	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.215) (+5 -5)

	Correct a couple more paper descroptions to line up with everything
	else.

	("4 x 6" => "4x6" and so on -- the latter is what should be used)

2015-09-09	<speachy@sourceforge.net>

	Files:	src/gutenprintui2/panel.c (1.23) (+1 -2)
		src/main/print-canon.c (1.582) (+9 -1)
		src/main/print-escp2.c (1.444) (+9 -1)
		src/main/print-lexmark.c (1.165) (+9 -1)
		src/main/print-olympus.c (1.214) (+1 -2)
		src/main/print-pcl.c (1.165) (+9 -1)
		src/main/print-raw.c (1.47) (+1 -2)
		src/main/print-util.c (1.122) (+3 -7)

	Don't show 'Density' and 'DitherAlgorithm' parameters if they aren't
	used by the current family driver.

	Accomplish this by moving their definitions out from global parameter
	init code into the family drivers that use/need dithering.

	Also, get rid of three spurious sets of the 'Density' parameter that
	have no effect.

2015-09-09	<speachy@sourceforge.net>

	Files:	src/xml/papers.xml (1.27) (+9 -1)

	Added in a special 8x10.5-on-8x10.75" size for the DS80DX

	I'll be quite glad when we can get rid of this global namespace
	pollution!

2015-09-09	<speachy@sourceforge.net>

	Files:	src/main/print-raw.c (1.46) (+14 -10)

	Update comments to explain how the raw driver should be used.

2015-09-09	<speachy@sourceforge.net>

	Files:	src/gutenprintui2/panel.c (1.22) (+2 -1)

	When rendering the thumbnail, force the raw driver to use the "Custom"
	PageSize as the dimensions are explicitly set.

2015-09-08	<speachy@sourceforge.net>

	Files:	src/main/print-raw.c (1.45) (+3 -5)

	The raw "family" needs to load all papers without any filtering.

	The gimp plugin validates the paper via this list, for some reason.

2015-09-08	<speachy@sourceforge.net>

	Files:	src/foomatic/printer_options.c (1.55) (+5 -2)

	Fix a memory leak.

2015-09-08	<speachy@sourceforge.net>

	Files:	src/xml/papers.xml (1.26) (+5 -1)

	Left out special tags for four of the dyesub sizes.  Bad Solomon.

2015-09-08	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.213) (+11 -11)
		src/xml/papers.xml (1.25) (+4 -2)

	Correct some media definitions for interface correctness.  And add some
	comments to indicate unique paper types only used by one or two
	printers.

2015-09-07	<speachy@sourceforge.net>

	Files:	src/xml/papers.xml (1.24) (+8 -1)

	Accidentally left out a multicut paper type (6x4.5 *2)

2015-09-07	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.212) (+207 -207)
		src/xml/papers.xml (1.23) (+15 -15)

	rename new "multicut" paper types.  new convention is w576h864-div3 or w576h864-w576h576_w576h288

2015-09-07	<speachy@sourceforge.net>

	Files:	NEWS (1.754) (+3 -0)

	Updated list of supported/improved dyesub printers

2015-09-07	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.211) (+263 -355)
		src/xml/papers.xml (1.22) (+103 -13)
		src/xml/printers.xml (1.419) (+7 -6)

	 * Add new special multicut paper sizes
	 * Enable all multicut sizes in dyesub driver
	 * Fix several errors and omissions in dyesub print sizes
	 * Eliminate most of the "Custom" paper sizes (from printers I'm responsible for.  IMO they should all be removed entirely)
	 * Finish up initial support for DNP DS80DX
	 * Rename "DNP" to "Dai Nippon Printing" in printers.xml (to match naming convention used by other makes/models)

2015-09-07	<speachy@sourceforge.net>

	Files:	include/gutenprint/paper.h (1.5) (+5 -3)
		src/foomatic/paper_sizes.c (1.10) (+6 -2)
		src/main/print-papers.c (1.44) (+3 -1)

	Create a new papersize_type, PAPERSIZE_TYPE_SPECIAL, for use of the
	dyesub driver.  Any size marked as special must be ignored by any
	user that doesn't specifically care about them.

2015-09-06	<speachy@sourceforge.net>

	Files:	src/main/print-canon.c (1.581) (+4 -16)
		src/main/print-escp2.c (1.443) (+6 -1)
		src/main/print-lexmark.c (1.164) (+6 -1)
		src/main/print-pcl.c (1.164) (+8 -1)
		src/main/print-raw.c (1.44) (+5 -1)

	All drivers chould reject invalid PAPER_TYPEs -- only ENVELOPE and
	NORMAL are allowed.  Dyesub is a special case and is not included here.

2015-09-06	<gernot2270@sourceforge.net>

	Files:	test/parse-bjc (1.4) (+8 -0)

	Added several known commands to parse-bjc, including ESC (F for graphics.

2015-09-05	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media.h (1.154) (+3 -4)

	Adjusted media types intended for Canon MG6900/MG7700.

2015-09-05	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.580) (+3 -3)

	In Canon backend, renamed upper/lower trays for cassette with two trays to cater for names cassette 1/cassette 2 as well.

2015-09-05	<gernot2270@sourceforge.net>

	Files:	NEWS (1.753) (+24 -0)
		src/main/canon-inks.h (1.131) (+16 -0)
		src/main/canon-media-mode.h (1.197) (+67 -0)
		src/main/canon-media.h (1.153) (+33 -33)
		src/main/canon-modes.h (1.411) (+23 -0)
		src/main/canon-printers.h (1.356) (+19 -0)
		src/xml/printers.xml (1.418) (+25 -1)

	Added experimental support for Canon MG5700 and MG6800 series.

2015-09-05	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media.h (1.152) (+1642 -1656)
		src/main/print-canon.c (1.579) (+44 -22)

	Added support for new ESC (w command to Canon backend. Also modified condition to select between upper and lower trays in cassette, based on published dimensions in Canon MG7700 user manual.

2015-09-05	<speachy@sourceforge.net>

	Files:	src/xml/papers.xml (1.21) (+19 -1)

	Add a few more paper sizes needed by the DS80DX printer.

2015-09-05	<gernot2270@sourceforge.net>

	Files:	NEWS (1.752) (+11 -0)
		src/main/canon-media-mode.h (1.196) (+72 -12)
		src/main/canon-media.h (1.151) (+15 -15)
		src/main/canon-modes.h (1.410) (+18 -2)
		src/main/canon-printers.h (1.355) (+17 -0)
		src/main/print-canon.c (1.578) (+3 -3)
		src/xml/printers.xml (1.417) (+12 -1)

	Added experimental support for Canon MG3600 series. Added MG2570S, MG2580S to printer list. Fixed names of some internal Canon media types.

2015-09-04	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.210) (+3 -5)

	Fix two compile warnings accidentally introduced in a prior commit.

2015-09-04	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.44) (+6 -6)
		src/cups/backend_common.h (1.19) (+2 -0)

	Export the current page number to the backends.

2015-09-04	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media.h (1.150) (+126 -77)

	Added support for new media types for Canon backend (as of September 2015).

2015-09-03	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.209) (+67 -5)

	Handle sheet printing on the DS80DX, including duplex mode.  Aside from
	a few missing print sizes, it's done.

2015-09-03	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.208) (+66 -146)

	Use 'MediaType' instead of 'InputSlot' for the DS80DX as it's a better
	fit.  Then eliminate the 'inputslot' option I'd added.

2015-09-03	<speachy@sourceforge.net>

	Files:	src/cups/genppd.c (1.203) (+12 -3)
		src/main/print-olympus.c (1.207) (+2 -3)

	Tweak PPD code to automatically generate reciprocal constraint definitions.

2015-09-03	<speachy@sourceforge.net>

	Files:	src/cups/genppd.c (1.202) (+20 -2)
		src/main/print-olympus.c (1.206) (+217 -19)

	PPD generation:
	 * Added mechanism to allow drivers to specify PPD UIConstraints
	Dyesub driver:
	 * Added duplex support
	 * Parameterized input slot support
	 * Parameterized list of PPD UIConstraints
	 * Added beginnings of DNP DS80DX driver that uses these features
	 * Added A4 size to Kodak 8810

2015-09-02	<speachy@sourceforge.net>

	Files:	NEWS (1.751) (+1 -1)

	Accdidentally bumped the version

2015-09-02	<speachy@sourceforge.net>

	Files:	NEWS (1.750) (+2 -1)
		src/main/print-olympus.c (1.205) (+116 -31)
		src/xml/printers.xml (1.416) (+4 -1)

	Add support for the Kodak 7000/7010/7015 dyesub printers.  Also, a
	couple of minor improvements for the Kodak 68xx and 605 code.

2015-08-29	<gernot2270@sourceforge.net>

	Files:	NEWS (1.749) (+4 -0)
		src/main/canon-printers.h (1.354) (+1 -1)

	Added ESC (a command to capabilitis of Canon BJC 4300, as determined from printjob analysis.

2015-08-29	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_47.xml (1.12) (+1 -1)

	Summary: Fix borderless for Epson 2100/2200

2015-08-28	<speachy@sourceforge.net>

	Files:	src/cups/kodak6800_print.c (1.28) (+113 -134)

	Reworked command/response handling.  Print command generates a response too!

2015-08-26	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.204) (+4 -2)

	The Kodak 8810 supports disabling lamination.  It also, in theory, can
	handle multicut sizes, but that's not enabled until it can be tested.

2015-08-26	<speachy@sourceforge.net>

	Files:	src/cups/kodak605_print.c (1.14) (+163 -147)

	Significant updates to kodak605 backend, based on lessons learned.

	Needs testing.

2015-08-26	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.43) (+23 -2)
		src/cups/backend_common.h (1.18) (+2 -0)
		src/cups/kodak6800_print.c (1.27) (+409 -469)

	Major improvements in kodak68x0 robustness and job pipelining

2015-08-25	<gernot2270@sourceforge.net>

	Files:	NEWS (1.748) (+3 -2)
		src/main/canon-inks.h (1.130) (+12 -0)
		src/main/canon-media-mode.h (1.195) (+89 -0)
		src/main/canon-media.h (1.149) (+17 -0)
		src/main/canon-modes.h (1.409) (+28 -0)
		src/main/canon-printers.h (1.353) (+17 -0)
		src/main/print-canon.c (1.577) (+2 -1)
		src/xml/printers.xml (1.415) (+4 -1)

	Added experimental support for Canon SmartBase MPC400 / MPC600F devices

2015-08-25	<speachy@sourceforge.net>

	Files:	src/cups/kodak6800_print.c (1.26) (+123 -41)

	Kodak 6x80 printing more robust -- can now decode current job status,
	and better idle/busy and error detection.

2015-08-24	<speachy@sourceforge.net>

	Files:	src/cups/citizencw01_print.c (1.8) (+15 -34)
		src/cups/dnpds40_print.c (1.21) (+57 -76)
		src/cups/kodak1400_print.c (1.29) (+8 -7)
		src/cups/kodak605_print.c (1.13) (+180 -198)
		src/cups/kodak6800_print.c (1.25) (+48 -73)
		src/cups/mitsu70x_print.c (1.12) (+8 -8)
		src/cups/mitsu9550_print.c (1.7) (+11 -25)
		src/cups/selphy_print.c (1.42) (+4 -3)
		src/cups/shinko_s2145_print.c (1.27) (+44 -140)
		src/cups/sony_updr150_print.c (1.17) (+4 -3)

	Upstream resync.  Complete last phase of cmdline revamp.  Delete dead
	code.  Stricter job vs media validation.  And kodak 68x0/605 gets
	control flow improvements.

2015-08-23	<gernot2270@sourceforge.net>

	Files:	NEWS (1.747) (+5 -1)
		src/main/print-canon.c (1.576) (+86 -66)

	Completed addition of CassetteTray option for Canon backend, where cassette input slot has upper and lower trays. Supported models: MG5400, MG6300, MG6500, MG7100, MG7500, iP7200, MX720, MX920 series.

2015-08-23	<speachy@sourceforge.net>

	Files:	src/cups/shinko_s2145_print.c (1.26) (+8 -7)

	A bit more sanity checking from selected print type vs printer-supported
	types

2015-08-23	<gernot2270@sourceforge.net>

	Files:	src/cups/genppd.c (1.201) (+2 -58)
		src/main/print-canon.c (1.575) (+8 -8)

	Fixed PageSize parameter for CD in the Canon backend (regression from previous commit), removed CassetteTray option from genppd.c.

2015-08-23	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.574) (+11 -14)

	Exposed several previously hidden CD-related parameters in the Canon backend, plus the new CasseteTray parameter.

2015-08-23	<gernot2270@sourceforge.net>

	Files:	src/cups/genppd.c (1.200) (+58 -2)
		src/main/print-canon.c (1.573) (+12 -4)

	Added CassetteTray PPD parameter for Canon devices with upper / lower tray in a single cassette. Activation conditions for parameter to be fixed.

2015-08-23	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.572) (+27 -4)

	Added length condition of >7in to switch from upper to lower tray for Canon devices having a cassette containing upper and lower trays.

2015-08-22	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.571) (+27 -11)

	Added default upper/lower trays in cassette selection for selected Canon devices based on media type. Size conditions to be added.

2015-08-22	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.352) (+4 -4)
		src/main/print-canon.c (1.570) (+39 -1)

	Corrected list of Canon devices with a cassette containing two trays. Added description in ESC (P command, code to be added.

2015-08-20	<gernot2270@sourceforge.net>

	Files:	NEWS (1.746) (+8 -1)
		src/main/canon-media-mode.h (1.194) (+160 -0)
		src/main/canon-media.h (1.148) (+4 -6)
		src/main/canon-printers.h (1.351) (+9 -9)
		src/xml/printers.xml (1.414) (+11 -1)

	Completed addition of Canon MP5, MP10, MP55, MPC190, MPC200 printers

2015-08-20	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media.h (1.147) (+36 -0)
		src/main/canon-modes.h (1.408) (+1 -1)

	Added media definitions for Canon MP5, MP10, MP55, MPC190, MPC200

2015-08-17	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.413) (+2 -2)

	Add IEEE1284 info for the Shinko S6145

2015-08-14	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.42) (+170 -197)
		src/cups/backend_common.h (1.17) (+50 -15)
		src/cups/citizencw01_print.c (1.7) (+13 -1)
		src/cups/dnpds40_print.c (1.20) (+13 -11)
		src/cups/kodak1400_print.c (1.28) (+13 -2)
		src/cups/kodak605_print.c (1.12) (+8 -2)
		src/cups/kodak6800_print.c (1.24) (+13 -7)
		src/cups/mitsu70x_print.c (1.11) (+10 -12)
		src/cups/mitsu9550_print.c (1.6) (+16 -26)
		src/cups/selphy_print.c (1.41) (+58 -33)
		src/cups/shinko_s2145_print.c (1.25) (+15 -14)
		src/cups/sony_updr150_print.c (1.16) (+28 -6)

	dyesub backend: Significant overhaul of early init and command line handling
	code.  Fixes some long-standing bugs.

2015-08-11	<speachy@sourceforge.net>

	Files:	src/cups/dnpds40_print.c (1.19) (+47 -6)

	More fixes for rewind features on the DS620.

2015-08-02	<rlk@sourceforge.net>

	Files:	src/escputil/d4lib.c (1.17) (+1 -1)

	Summary: Remove isblank, which causes build problems on some systems.

2015-08-02	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-generator.in (1.85) (+1 -1)
		src/foomatic/printer_margins.c (1.22) (+7 -7)
		src/foomatic/printer_options.c (1.54) (+58 -64)

	Shrink option output a bit; fix problem with saturation

2015-08-01	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.203) (+4 -4)

	dnpds80 had incorrect media size for 8x5*2 and 8x4_8x6.

	And fix CHC-S6145; it used YMC instead of RGB.

2015-08-01	<speachy@sourceforge.net>

	Files:	src/cups/dnpds40_print.c (1.18) (+79 -67)

	Fix several bugs in the dnp backend.

2015-07-16	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.202) (+11 -2)

	Fix 3.5x5*2 prints, again, on the DS620, and enable them on the DS40.

2015-07-15	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.201) (+11 -10)

	Fix 3.5x5*2 prints.

2015-07-13	<speachy@sourceforge.net>

	Files:	include/gutenprint/printers.h (1.10) (+2 -9)
		src/cups/genppd.c (1.199) (+15 -11)
		src/main/print-olympus.c (1.200) (+7 -2)
		src/main/printers.c (1.94) (+1 -11)
		src/xml/printers.xml (1.412) (+69 -66)

	Convert the 'nativecopies' printer attribute (and the API/ABI change it
	necessitated) into a read-only parameter of the dyesub driver,
	defaulting to off.  Printers whose backends support native copy
	generation now override that parameter in printers.xml

2015-07-11	<speachy@sourceforge.net>

	Files:	src/cups/dnpds40_print.c (1.17) (+58 -82)

	Status reporting enhancements

2015-07-08	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.411) (+66 -66)

	The dyesub backend handles copy generation for its supported printers.

2015-07-08	<speachy@sourceforge.net>

	Files:	include/gutenprint/printers.h (1.9) (+9 -2)
		src/cups/genppd.c (1.198) (+22 -12)
		src/main/printers.c (1.93) (+11 -1)

	Add a new attribute to the printer definition, 'nativecopies', that
	indicates if a printer (and its backend) can handle copy generation.

	It controls the '*cupsManualCopies' PPD attribute.

2015-07-07	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.199) (+12 -3)

	Add 2x6*4 support to the DS40, now that it's confirmed to work.

2015-07-07	<speachy@sourceforge.net>

	Files:	src/cups/dnpds40_print.c (1.16) (+4 -5)

	dnpds40:  Fix bugs related to 4.5x6" prints.

2015-07-07	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.198) (+11 -5)

	Fix landscape printing with asymmetric resolutions.

2015-07-05	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.410) (+6 -6)

	Summary: Change "narrow margin" to "wide margin".

2015-07-05	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.409) (+6 -1)

	Summary: Add more generic variants (narrow A4 margin, tabloid).

2015-07-05	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.408) (+2 -1)

	Summary: Add Brother-HL2250DN

2015-07-05	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.197) (+61 -61)

	Fix up a pile of size errors for DS40, DS620, RX1, CW01:  All sizes
	6x6 or smaller are actually LANDSCAPE, and mistakenly used A5/6x8
	paper sizes where 6x8/6x9 should have been listed instead.

	Shinko9045 and Mitsu9550 also got corrections.

2015-07-04	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.41) (+7 -3)
		src/cups/citizencw01_print.c (1.6) (+1 -1)
		src/cups/dnpds40_print.c (1.15) (+6 -4)
		src/cups/kodak6800_print.c (1.23) (+1 -1)
		src/cups/mitsu70x_print.c (1.10) (+1 -1)
		src/cups/shinko_s2145_print.c (1.24) (+4 -2)

	Fix a small pile of bugs found via clang-analyzer

2015-07-04	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.40) (+3 -0)
		src/cups/mitsu70x_print.c (1.9) (+1 -1)
		src/cups/mitsu9550_print.c (1.5) (+6 -6)
		src/cups/shinko_s2145_print.c (1.23) (+32 -86)

	Sync with upstream.  Mostly fixing buffer overflows.

2015-07-03	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.196) (+29 -1)

	Add multicut modes to the Shinko S6245

2015-07-02	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.39) (+27 -8)

	Retry attempts to claim the USB interface.

2015-07-01	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.38) (+9 -2)
		src/cups/citizencw01_print.c (1.5) (+1 -1)
		src/cups/dnpds40_print.c (1.14) (+113 -25)
		src/cups/kodak1400_print.c (1.27) (+1 -1)
		src/cups/kodak605_print.c (1.11) (+1 -1)
		src/cups/kodak6800_print.c (1.22) (+2 -2)
		src/cups/shinko_s2145_print.c (1.22) (+7 -7)

	Fix long-standing problems in command line parsing.

===============================================================================
Name: gutenprint-5_2_11-pre1

2015-06-26	<rlk@sourceforge.net>

	Files:	NEWS (1.745) (+5 -4)
		README (1.243) (+1 -1)

	Note that OS X 10.6 is now needed

2015-06-26	<rlk@sourceforge.net>

	Files:	po/ca.po (1.11) (+4937 -3536)
		po/cs.po (1.69) (+5025 -3642)
		po/da.po (1.114) (+4937 -3536)
		po/de.po (1.87) (+4937 -3538)
		po/el.po (1.84) (+4780 -3400)
		po/en_GB.po (1.177) (+4300 -2915)
		po/es.po (1.82) (+5025 -3642)
		po/fi.po (1.14) (+4301 -2907)
		po/fr.po (1.115) (+6188 -4488)
		po/gl.po (1.9) (+4303 -2907)
		po/hu.po (1.43) (+6096 -4450)
		po/it.po (1.24) (+4937 -3536)
		po/ja.po (1.79) (+4230 -2846)
		po/nb.po (1.43) (+4620 -3245)
		po/nl.po (1.98) (+6143 -4470)
		po/pl.po (1.88) (+4608 -3232)
		po/pt.po (1.83) (+5025 -3642)
		po/ru.po (1.16) (+4296 -2908)
		po/sk.po (1.87) (+5024 -3642)
		po/sl.po (1.11) (+4295 -2899)
		po/sv.po (1.113) (+4290 -2907)
		po/tr.po (1.6) (+4241 -2845)
		po/uk.po (1.14) (+4937 -3536)
		po/vi.po (1.5) (+4933 -3536)
		po/zh_CN.po (1.9) (+3889 -2779)
		po/zh_TW.po (1.43) (+4228 -2845)

	Gutenprint 5.2.11-pre1 release

2015-06-26	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.26) (+27 -11)

	Summary: Use PDF input rather than PostScript where possible.

2015-06-26	<rlk@sourceforge.net>

	Files:	src/main/print-olympus.c (1.195) (+3 -3)

	Summary: Fix comment syntax

2015-06-26	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.194) (+4 -2)

	Fix a multicut type in the DS620 code that wasn't properly wrapped in an #ifdef

2015-06-26	<speachy@sourceforge.net>

	Files:	configure.ac (1.264) (+4 -2)

	Enable silent builds (default on, can be disabled) and put m4 stuff in
	its own directory.

2015-06-25	<speachy@sourceforge.net>

	Files:	src/cups/genppd.c (1.197) (+4 -2)

	Fix compilation without libz

2015-06-25	<rlk@sourceforge.net>

	Files:	NEWS (1.744) (+20 -18)
		README (1.242) (+3 -3)

	Minor cleanup

2015-06-24	<speachy@sourceforge.net>

	Files:	src/main/Makefile.am (1.107) (+0 -4)

	Revert an accidental build patch

2015-06-24	<speachy@sourceforge.net>

	Files:	src/main/Makefile.am (1.106) (+5 -1)
		src/main/print-olympus.c (1.193) (+9 -9)

	Fix 5x7" and 5x3.5" margins on DNP printers.

2015-06-24	<gernot2270@sourceforge.net>

	Files:	NEWS (1.743) (+1 -0)
		src/main/canon-modes.h (1.407) (+24 -0)
		src/main/canon-printers.h (1.350) (+1 -1)

	Fixed resolution modes for Canon MG5400 series

2015-06-24	<gernot2270@sourceforge.net>

	Files:	src/xml/printers.xml (1.407) (+2 -2)

	Added deviceid to Canon MG5400 series. Thanks to Tim Waugh (email).

2015-06-24	<gernot2270@sourceforge.net>

	Files:	NEWS (1.742) (+4 -4)

	NEWS: corrected Canon MG2400 additions

2015-06-24	<speachy@sourceforge.net>

	Files:	src/cups/dnpds40_print.c (1.13) (+782 -235)

	Upstream resync.  Add support for DNP DS620, significant improvements in
	robustness, and many, many, many bugfixes.

2015-06-24	<speachy@sourceforge.net>

	Files:	src/cups/shinko_s2145_print.c (1.21) (+122 -156)

	Upstream sync.  All known error codes handled now.

2015-06-24	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.37) (+22 -1)
		src/cups/citizencw01_print.c (1.4) (+8 -2)
		src/cups/kodak1400_print.c (1.26) (+10 -3)
		src/cups/kodak605_print.c (1.10) (+4 -2)
		src/cups/kodak6800_print.c (1.21) (+13 -2)
		src/cups/mitsu70x_print.c (1.8) (+4 -22)
		src/cups/mitsu9550_print.c (1.4) (+6 -4)
		src/cups/selphy_print.c (1.40) (+9 -2)
		src/cups/sony_updr150_print.c (1.15) (+9 -6)

	Backend upstream resync.  Mostly ensuring malloc() failures are handled.

2015-06-23	<speachy@sourceforge.net>

	Files:	src/cups/citizencw01_print.c (1.3) (+15 -17)

	Upstream resync for citizen cw-01 code.

2015-06-23	<speachy@sourceforge.net>

	Files:	src/cups/blacklist (1.13) (+12 -3)

	Update dyesub backend USB blacklist

2015-06-22	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.192) (+15 -1)
		src/xml/papers.xml (1.20) (+7 -1)

	DNP620:  Add support for 6x4.5 prints and their doubled-up variant.

2015-06-21	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.406) (+3 -3)

	Add IEEE1284 ID for DNP DS620

2015-06-21	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.191) (+13 -9)

	Bugfixes for DNP620.

2015-06-20	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.190) (+11 -3)

	Bugfixes for DNP RX1 and 620, relating to 2x6*2 and 2x6*4 prints.

2015-06-20	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.405) (+3 -3)

	Add IEEE1284 ID for DNP DS-RX1

2015-06-19	<speachy@sourceforge.net>

	Files:	NEWS (1.741) (+1 -0)
		src/main/print-olympus.c (1.189) (+157 -37)
		src/xml/printers.xml (1.404) (+2 -1)

	Initial support for DNP DS620.

	Plus some code cleanups and bug fixes for other DNP models.

	The backend work will follow shortly.

2015-06-18	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.h (1.16) (+2 -0)

	Add a couple more printer types to the backend.  Changes pending.

2015-06-18	<speachy@sourceforge.net>

	Files:	src/cups/citizencw01_print.c (1.2) (+8 -5)

	Don't error out for non-fatal errors (like the printer being busy)

2015-06-18	<speachy@sourceforge.net>

	Files:	scripts/.cvsignore (1.6) (+1 -0)
		src/ghost/.cvsignore (1.14) (+1 -1)
		src/gimp2/.cvsignore (1.2) (+1 -0)
		test/.cvsignore (1.9) (+1 -0)

	Update .cvsignore files to cover some stragglers

2015-06-10	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.349) (+34 -0)

	Added partial defintion for Canon MP5/MP10 and MP55 to canon-printers.h

2015-06-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-modes.h (1.406) (+61 -0)

	Added resolution modes for Canon MP5, MP10, MP55 to canon-modes.h

2015-06-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-inks.h (1.129) (+0 -24)

	Removed to unused ink definitions from canon-inks.h

2015-05-31	<speachy@sourceforge.net>

	Files:	src/cups/dnpds40_print.c (1.12) (+53 -35)

	Update DS40 backend to have saner free buffer handling.

2015-05-29	<gernot2270@sourceforge.net>

	Files:	NEWS (1.740) (+57 -24)
		src/xml/printers.xml (1.403) (+21 -21)

	Added prefix PIXUS to Japanese i/R/PD models. Completed listing in NEWS file.

2015-05-29	<gernot2270@sourceforge.net>

	Files:	NEWS (1.739) (+3 -0)
		src/xml/printers.xml (1.402) (+2 -1)

	Added a Canon model found on Japan Canon site to existing series (MG7530F).

2015-05-29	<gernot2270@sourceforge.net>

	Files:	NEWS (1.738) (+94 -75)
		src/xml/printers.xml (1.401) (+8 -1)

	Added some Canon models found on US Canon site to existing series.

2015-05-28	<gernot2270@sourceforge.net>

	Files:	NEWS (1.737) (+11 -3)
		src/xml/printers.xml (1.400) (+13 -5)

	Added generic series model for some Canon models where multiple instances exist.

2015-05-28	<gernot2270@sourceforge.net>

	Files:	NEWS (1.736) (+12 -3)
		src/xml/printers.xml (1.399) (+7 -1)

	Added several existing Canon PIXMA models also as their corresponding PIXUS models.

2015-05-27	<sletter1@sourceforge.net>

	Files:	macosx/README (1.8) (+23 -63)
		macosx/gutenprint-version (1.4) (+1 -1)
		macosx/make-build (1.5) (+86 -104)
		macosx/make-mpkg (1.3) (+1 -1)
		macosx/make-pkg (1.4) (+1 -1)
		macosx/src/gutenprint.dmg.src/Contents/Documentation/SourceCode.webloc (1.2) (+1 -1)
		macosx/src/gutenprint.pkg.src/Info.plist (1.3) (+3 -3)
		macosx/src/gutenprint.pkg.src/Resources/ReadMe.html (1.6) (+141 -13)
		macosx/src/gutenprint.pkg.src/Resources/Welcome.rtfd/TXT.rtf (1.3) (+3 -3)
		macosx/src/gutenprint.pkg.src/Resources/postinstall (1.3) (+21 -112)
		macosx/src/gutenprint.pkg.src/Resources/postupgrade (1.3) (+21 -112)
		macosx/src/gutenprint.pkg.src/Resources/preflight (1.2) (+30 -28)
		macosx/src/gutenprint.pkg.src/make-contents (1.4) (+8 -22)
		macosx/subversion (1.4) (+0 -1)

	Documentation changes for tag 5.2.11-pre1, remove developer documentation as db2pdf and db2html are not available on the Macintosh

2015-05-26	<gernot2270@sourceforge.net>

	Files:	NEWS (1.735) (+3 -0)
		src/main/canon-media-mode.h (1.193) (+67 -0)
		src/main/canon-media.h (1.146) (+19 -0)
		src/main/canon-modes.h (1.405) (+27 -0)
		src/main/canon-printers.h (1.348) (+20 -0)
		src/main/print-canon.c (1.569) (+8 -8)
		src/xml/printers.xml (1.398) (+3 -1)

	Added experimental support for Canon iP110.

2015-05-24	<gernot2270@sourceforge.net>

	Files:	NEWS (1.734) (+9 -0)
		src/main/canon-media-mode.h (1.192) (+60 -1)
		src/main/canon-modes.h (1.404) (+4 -6)
		src/main/canon-printers.h (1.347) (+17 -0)
		src/xml/printers.xml (1.397) (+10 -1)

	Added experimental support for Canon MX530 series.

2015-05-24	<gernot2270@sourceforge.net>

	Files:	NEWS (1.733) (+9 -0)
		src/main/canon-printers.h (1.346) (+17 -0)
		src/main/print-canon.c (1.568) (+2 -2)
		src/xml/printers.xml (1.396) (+10 -1)

	Added experimental support for Canon MX490 series.

2015-05-24	<gernot2270@sourceforge.net>

	Files:	NEWS (1.732) (+10 -0)
		src/main/canon-media-mode.h (1.191) (+60 -1)
		src/main/canon-modes.h (1.403) (+17 -0)
		src/main/canon-printers.h (1.345) (+17 -0)
		src/main/print-canon.c (1.567) (+2 -2)
		src/xml/printers.xml (1.395) (+11 -1)

	Added experimental support for Canon MX470 series. Correct canon-media-modes.h for E480.

2015-05-24	<gernot2270@sourceforge.net>

	Files:	NEWS (1.731) (+7 -0)
		src/main/canon-inks.h (1.128) (+50 -0)
		src/main/canon-media-mode.h (1.190) (+100 -0)
		src/main/canon-media.h (1.145) (+38 -0)
		src/main/canon-modes.h (1.402) (+16 -0)
		src/main/canon-printers.h (1.344) (+21 -4)
		src/main/print-canon.c (1.566) (+2 -2)
		src/xml/printers.xml (1.394) (+8 -1)

	Added experimental support for Canon E480 series. Corrected media types for E400, E460 series.

2015-05-23	<gernot2270@sourceforge.net>

	Files:	NEWS (1.730) (+6 -0)
		src/main/canon-printers.h (1.343) (+17 -0)
		src/main/print-canon.c (1.565) (+2 -2)
		src/xml/printers.xml (1.393) (+7 -1)

	Added experimental support for Canon E460 series.

2015-05-23	<gernot2270@sourceforge.net>

	Files:	NEWS (1.729) (+7 -0)
		src/main/canon-modes.h (1.401) (+2 -2)
		src/main/canon-printers.h (1.342) (+17 -0)
		src/main/print-canon.c (1.564) (+2 -2)
		src/xml/printers.xml (1.392) (+8 -1)

	Added experimental support for Canon E400 series.

2015-05-23	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.563) (+2 -2)

	Correct ESC (P command for Canon E560 series.

2015-05-23	<gernot2270@sourceforge.net>

	Files:	NEWS (1.728) (+5 -0)
		src/main/canon-media-mode.h (1.189) (+58 -2)
		src/main/canon-modes.h (1.400) (+16 -0)
		src/main/canon-printers.h (1.341) (+17 -0)
		src/xml/printers.xml (1.391) (+6 -1)

	Added experimental support for Canon E560 series. Removed unused modes in canon-media-mode.h for E510, E610.

2015-05-23	<gernot2270@sourceforge.net>

	Files:	NEWS (1.727) (+4 -0)
		src/xml/printers.xml (1.390) (+5 -1)

	Added experimental support for Canon iX6700 series

2015-05-23	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.340) (+1 -2)

	Added Esc (v command to Canon iX6800 series.

2015-05-23	<gernot2270@sourceforge.net>

	Files:	NEWS (1.726) (+10 -0)
		src/main/canon-printers.h (1.339) (+17 -0)
		src/main/print-canon.c (1.562) (+2 -2)
		src/xml/printers.xml (1.389) (+11 -1)

	Added experimental support for Canon iP2800 series

2015-05-22	<gernot2270@sourceforge.net>

	Files:	NEWS (1.725) (+10 -0)
		src/main/canon-media-mode.h (1.188) (+57 -0)
		src/main/canon-media.h (1.144) (+30 -11)
		src/main/canon-modes.h (1.399) (+1 -1)
		src/main/canon-printers.h (1.338) (+17 -0)
		src/xml/printers.xml (1.388) (+11 -1)

	Added experimental support for Canon MG2900 series

2015-05-22	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.561) (+16 -5)

	Corrected Esc (P command for CD media for Canon MG6700 and MG7500 series, plus added support for MG2900 in print-canon.c

2015-05-21	<gernot2270@sourceforge.net>

	Files:	NEWS (1.724) (+11 -0)
		src/xml/printers.xml (1.387) (+12 -1)

	Added experimental support for Canon MG6600 series

2015-05-21	<gernot2270@sourceforge.net>

	Files:	NEWS (1.723) (+11 -0)
		src/main/canon-printers.h (1.337) (+17 -0)
		src/main/print-canon.c (1.560) (+12 -11)
		src/xml/printers.xml (1.386) (+12 -1)

	Added experimental support for Canon MG7500 series

2015-05-21	<gernot2270@sourceforge.net>

	Files:	NEWS (1.722) (+3 -0)
		src/main/canon-media-mode.h (1.187) (+94 -0)
		src/main/canon-printers.h (1.336) (+17 -0)
		src/main/print-canon.c (1.559) (+12 -11)
		src/xml/printers.xml (1.385) (+4 -1)

	Added support for Canon MG6700 series (experimental)

2015-05-19	<gernot2270@sourceforge.net>

	Files:	NEWS (1.721) (+22 -7)
		src/main/canon-media-mode.h (1.186) (+66 -0)
		src/main/canon-printers.h (1.335) (+24 -0)
		src/main/print-canon.c (1.558) (+2 -2)
		src/xml/printers.xml (1.384) (+13 -1)

	Added support for Canon MG5600 series (experimental).

2015-05-18	<gernot2270@sourceforge.net>

	Files:	NEWS (1.720) (+14 -7)
		src/xml/printers.xml (1.383) (+5 -1)

	Added missing instances to Canon backend: MG2460, MG2490, MG2590, E540

2015-05-14	<gernot2270@sourceforge.net>

	Files:	NEWS (1.719) (+47 -7)
		src/xml/printers.xml (1.382) (+37 -1)

	Added instances for Canon MAXIFY iB4000, MB2000, MB2300, MB5000, MB5300 series.

2015-05-13	<gernot2270@sourceforge.net>

	Files:	NEWS (1.718) (+8 -0)
		src/main/canon-inks.h (1.127) (+14 -0)
		src/main/canon-media-mode.h (1.185) (+41 -0)
		src/main/canon-media.h (1.143) (+2 -2)
		src/main/canon-modes.h (1.398) (+14 -0)
		src/main/canon-printers.h (1.334) (+57 -1)
		src/main/print-canon.c (1.557) (+2 -2)
		src/xml/printers.xml (1.381) (+11 -1)

	Added support for Canon MAXIFY iB4000, MB2000, MB2300, MB5000, MB5300 (instances to be added later)

2015-05-06	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media.h (1.142) (+26 -0)
		src/main/print-canon.c (1.556) (+16 -14)

	Added support for MAXIFY iB and MB model names, and media source and media type for iB4000.

2015-05-06	<gernot2270@sourceforge.net>

	Files:	NEWS (1.717) (+2 -0)
		src/main/canon-media-mode.h (1.184) (+42 -0)
		src/main/canon-media.h (1.141) (+19 -0)
		src/main/canon-modes.h (1.397) (+12 -0)
		src/main/canon-printers.h (1.333) (+17 -0)
		src/main/print-canon.c (1.555) (+2 -1)
		src/xml/printers.xml (1.380) (+3 -1)

	Added Canon PIXMA P200.

2015-05-06	<gernot2270@sourceforge.net>

	Files:	NEWS (1.716) (+10 -0)
		src/main/canon-inks.h (1.126) (+0 -32)
		src/main/canon-media-mode.h (1.183) (+70 -0)
		src/main/canon-modes.h (1.396) (+19 -0)
		src/main/canon-printers.h (1.332) (+18 -0)
		src/xml/printers.xml (1.379) (+11 -1)

	Completed addition of Canon iX6800 series.

2015-05-06	<gernot2270@sourceforge.net>

	Files:	NEWS (1.715) (+18 -0)
		src/main/canon-inks.h (1.125) (+5 -5)
		src/main/canon-media-mode.h (1.182) (+93 -0)
		src/main/canon-modes.h (1.395) (+25 -1)
		src/main/canon-printers.h (1.331) (+17 -0)
		src/main/print-canon.c (1.554) (+2 -2)
		src/xml/printers.xml (1.378) (+11 -1)

	Completed addition of Canon iP8700 series

2015-05-06	<gernot2270@sourceforge.net>

	Files:	NEWS (1.714) (+1 -0)

	Added support for upper/lower trays in cassette for some Canon models (MG6300).

2015-05-06	<gernot2270@sourceforge.net>

	Files:	NEWS (1.713) (+7 -0)
		src/main/canon-printers.h (1.330) (+180 -0)
		src/main/print-canon.c (1.553) (+23 -1)

	Added support for upper/lower trays in cassette for some Canon models (MG5400, MG6200, MG6500, MG7100).

2015-05-05	<gernot2270@sourceforge.net>

	Files:	NEWS (1.712) (+7 -1)
		src/main/canon-inks.h (1.124) (+5 -5)
		src/main/canon-media-mode.h (1.181) (+1 -1)
		src/main/canon-modes.h (1.394) (+28 -0)
		src/main/canon-printers.h (1.329) (+1 -1)

	Corrected modes for Canon MG6300 series

2015-05-05	<gernot2270@sourceforge.net>

	Files:	NEWS (1.711) (+60 -6)
		src/main/canon-media-mode.h (1.180) (+805 -535)
		src/main/canon-media.h (1.140) (+103 -21)
		src/main/canon-modes.h (1.393) (+301 -278)
		src/main/canon-printers.h (1.328) (+6 -6)

	Canon backend bugfix to revert the modes of some models to 5.2.7 modes, and remove modes using faulty compression.

2015-05-05	<rlk@sourceforge.net>

	Files:	src/cups/test-ppds (1.11) (+1 -1)

	Summary: Sort the names of the PPD files.

2015-05-05	<rlk@sourceforge.net>

	Files:	NEWS (1.710) (+8 -0)
		src/main/print-pcl.c (1.163) (+275 -9)
		src/testpattern/run-testpattern-2.in (1.46) (+1 -1)
		src/xml/papers.xml (1.19) (+267 -1)
		src/xml/printers.xml (1.377) (+8 -1)

	Support Datamax-O'Neil printers.

	Support provided by Steve Letter <sletter1@yahoo.com>

2015-04-16	<rlk@sourceforge.net>

	Files:	po/fr.po (1.114) (+2 -2)

	Update French translation

2015-04-14	<rlk@sourceforge.net>

	Files:	po/fr.po (1.113) (+617 -677)

	Update French translation

2015-04-12	<rlk@sourceforge.net>

	Files:	po/fr.po (1.112) (+1291 -2381)

	Update French translation

2015-04-11	<rlk@sourceforge.net>

	Files:	po/fr.po (1.111) (+338 -1072)

	Update French translation (again)

2015-04-11	<rlk@sourceforge.net>

	Files:	src/testpattern/testpattern.c (1.65) (+2 -2)

	Summary: Correct generation of black in RGB mode in testpattern generator.

2015-04-11	<rlk@sourceforge.net>

	Files:	NEWS (1.709) (+1 -1)

	Summary: Correct the version in the NEWS file.

2015-04-11	<rlk@sourceforge.net>

	Files:	src/main/print-util.c (1.121) (+3 -3)

	Prevent potential infinite loop in printf

2015-04-11	<rlk@sourceforge.net>

	Files:	po/fr.po (1.110) (+5546 -6008)

	Update French translation

2015-02-17	<gernot2270@sourceforge.net>

	Files:	NEWS (1.708) (+4 -0)
		src/main/canon-printers.h (1.327) (+1 -1)

	Fixed bug #680: duplex option added to Canon MP750/MP760/MP770/MP780/MP790

2015-02-10	<speachy@sourceforge.net>

	Files:	src/cups/shinko_s2145_print.c (1.20) (+51 -55)

	resync s2145 backend with upstream.

2015-02-10	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.188) (+17 -13)

	Fix a handful of compile warnings

2015-02-09	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-generator.in (1.84) (+32 -32)

	Generate foomatic database in reproducible order (from Reiner Herrmann, reiner@reiner-h.de)

2015-02-08	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.187) (+39 -7)

	Print size corrections to the shinko s1245 (and add multicut sizes)

2015-02-08	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.186) (+21 -4)

	Add lamination control to the Shinko S1245

2015-02-01	<speachy@sourceforge.net>

	Files:	src/cups/shinko_s2145_print.c (1.19) (+6 -6)

	Upstream resync ; Fix several bugs in the s2145 backend.

2015-01-22	<speachy@sourceforge.net>

	Files:	NEWS (1.707) (+1 -0)
		src/main/print-olympus.c (1.185) (+110 -3)
		src/xml/printers.xml (1.376) (+2 -1)

	Add initial support for the CIAAT Brava 21.

	It will almost certainly require a backend, but it is closely related to
	the Shinko S6145

2015-01-21	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.184) (+3 -3)

	Fix regressions on the Sony UP-DR150/DR200 printers.

2015-01-17	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.183) (+1 -9)

	Delete "custom" sizes from the Mitsu 9550, Kodak 8810 and 305.

	These are newly-added models that should have never had a custom size
	listed to begin with; it won't break things for anyone was using a prior
	released version.

2015-01-17	<speachy@sourceforge.net>

	Files:	src/cups/mitsu9550_print.c (1.3) (+38 -5)

	mitsu9550: Validate all known print sizes against all known media types.

2015-01-16	<speachy@sourceforge.net>

	Files:	src/cups/mitsu9550_print.c (1.2) (+3 -3)

	Add a missing newline to the "incorrect media" message.

2015-01-12	<speachy@sourceforge.net>

	Files:	NEWS (1.706) (+27 -2)
		README (1.241) (+28 -20)

	Update with all the dyesub changes since 5.2.10

	I expect this text/formatting to change, but I wanted this info captured
	for now.

2015-01-12	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.182) (+14 -10)

	Another fix for UP-DR200 2x6 prints.

2015-01-11	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.181) (+126 -38)

	Sony UP-DR200: Add 2x6 support, and general code cleanups.

	UP-DR200 printing on mis-matched media may be more complicated, needing
	backend support and the ability to figure out what's installed.

2015-01-10	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.180) (+43 -41)

	Rename DNPX2 --> MULTICUT

	As this affects multiple, non-DNP, models as well.

	Still defaults to off, since in its current incarnation requires
	uncommitted changes to papers.xml too.

2015-01-10	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.375) (+1 -3)

	We support the Mitsubishi 9550DW-S model too!

2015-01-10	<speachy@sourceforge.net>

	Files:	src/cups/Makefile.am (1.150) (+2 -2)
		src/cups/backend_common.c (1.36) (+1 -1)
		src/cups/mitsu9550_print.c (1.1) (added +989 -0)

	Add in a backend for the Mitsubishi CP-9550D family (inclduding -S model!)

2015-01-10	<speachy@sourceforge.net>

	Files:	src/cups/blacklist (1.12) (+13 -1)

	Update blacklist with all known printers the backend handles.

2015-01-10	<speachy@sourceforge.net>

	Files:	src/cups/mitsu70x_print.c (1.7) (+171 -120)

	Resync Mitsu70x backend, picking up many minor improvements

2015-01-10	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.35) (+31 -12)
		src/cups/backend_common.h (1.15) (+7 -1)

	Update dyesub backend library code.  Better debug dumps, primarily.

2015-01-10	<speachy@sourceforge.net>

	Files:	src/cups/kodak6800_print.c (1.20) (+29 -7)

	Update kodak6x80 backend with better error detection/handling

2015-01-10	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.39) (+28 -8)

	Update Selphy backend with some fixes for the CP900.

2015-01-10	<speachy@sourceforge.net>

	Files:	src/cups/shinko_s2145_print.c (1.18) (+134 -31)

	Update to latest shinko backend.  Preliminary support for other models.

2015-01-10	<speachy@sourceforge.net>

	Files:	src/cups/sony_updr150_print.c (1.14) (+39 -11)

	Update Sony dyesub backend to upstream.

2014-12-28	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.179) (+38 -10)
		src/xml/printers.xml (1.374) (+2 -2)

	The Kodak 305 needs its own printer id, oops.

2014-12-25	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.373) (+2 -2)

	Add IEEE1284 ID for the Kodak 305

2014-12-20	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.372) (+6 -2)

	Add IEEE1284 ID for Mitsubishi CP-9550D.

	Also add commented-out entries for the CP-9550DZ and DW-S; they are WIP
	right now.

2014-12-06	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.371) (+3 -3)

	Mitsubishi CP-D9550D/DW are no longer experimental.  They work with
	current code and do not require a spooler.  (The -S variant likely will)

2014-12-06	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.178) (+2 -2)

	Mitsubishi CP-9550 family uses BGR data, not RGB.

2014-12-03	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.177) (+62 -9)
		src/xml/printers.xml (1.370) (+3 -2)

	Add initial support for the Mitsubishi CP-D80DW

	Also:
	 * Fix incorrect 5x7 print dimensions on the CP-D70x
	 * Remove "custom" sizes from Mitsubishi CP-D70/D707/K60/D80

2014-11-08	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.369) (+2 -2)

	Add IEEE1284 deviceid for the Canon SELPHY CP900

2014-10-30	<speachy@sourceforge.net>

	Files:	src/cups/dnpds40_print.c (1.11) (+14 -8)

	Only error out when we get a non-idle/printing/cooling status code.

	Appears to fix multipage print jobs that don't need both printer buffers.

2014-10-23	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.176) (+75 -1)
		src/xml/printers.xml (1.368) (+3 -1)

	Add initial support for the Sony UP-CR10L / DNP SL-10

	The existing UPDR150 backend should work, though we need a USB ID.

2014-10-20	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.367) (+2 -2)

	Fix a typo in the Sinfonia CE1 name.

2014-10-20	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.175) (+140 -2)
		src/xml/papers.xml (1.18) (+7 -1)
		src/xml/printers.xml (1.366) (+3 -1)

	Initial support for the Shinko S6145/Sinfonia CS2.  Required adding a
	'5x5' paper size.

2014-10-19	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.174) (+116 -14)
		src/xml/printers.xml (1.365) (+3 -1)

	Initial support for the Shinko CHC-S6245/Sinfonia CE

2014-10-19	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.173) (+98 -1)
		src/xml/printers.xml (1.364) (+4 -2)

	Add initial support for the Shinko S1245/Sinfonia E1

2014-10-18	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.172) (+65 -1)
		src/xml/printers.xml (1.363) (+2 -1)

	Initial support for the Kodak 8810 large-format dyesub printer.

2014-10-18	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.171) (+67 -15)
		src/xml/printers.xml (1.362) (+2 -1)

	Add initial support for the Kodak 305 printer.

2014-10-16	<speachy@sourceforge.net>

	Files:	src/cups/Makefile.am (1.149) (+2 -2)
		src/cups/backend_common.c (1.34) (+1 -0)
		src/cups/backend_common.h (1.14) (+2 -0)
		src/cups/blacklist (1.11) (+3 -0)
		src/cups/citizencw01_print.c (1.1) (added +911 -0)

	Add a backend for the Citizen CW-01 printer (and eventually, its relatives)

2014-10-16	<speachy@sourceforge.net>

	Files:	src/cups/mitsu70x_print.c (1.6) (+316 -130)

	(upstream sync) Major improvements for the CP-D70x and CP-K60 series.

2014-10-16	<speachy@sourceforge.net>

	Files:	src/cups/kodak6800_print.c (1.19) (+70 -41)

	(upsteam sync) Be a bit smarter about decoding media types.

2014-10-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.179) (+3 -0)
		src/main/canon-modes.h (1.392) (+4 -1)

	Added Canon BJC 8200 modes to Canon BJC S820 experimentally

2014-10-07	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.170) (+26 -11)
		src/xml/papers.xml (1.17) (+13 -1)

	Support additional paper types and resolutions for the Citizen CW-01

2014-10-06	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.169) (+2 -2)

	Fix an error in the CW-01 code.

2014-10-06	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.168) (+106 -1)
		src/xml/printers.xml (1.361) (+3 -3)

	Reworked support for Citizen CW-01, which uses a very different spool
	format to the newer CX/CY models.  No idea if this prints still.

2014-08-13	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.167) (+3 -3)

	Mitsubishi CP-D70x and CP-K60 are both YMC rater than BGR.

2014-08-10	<rlk@sourceforge.net>

	Files:	po/hu.po (1.42) (+5491 -6670)

	Update Hungarian translation

2014-07-22	<speachy@sourceforge.net>

	Files:	src/cups/kodak6800_print.c (1.18) (+128 -160)

	Resync Kodak 68x0 backend with upstream (much improved 6850 support)

2014-07-17	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.166) (+80 -36)
		src/xml/printers.xml (1.360) (+3 -3)

	Add proper support for the Canon CP820 and CP910.

	(These printers expect their data in component YCbCr format)

2014-06-04	<speachy@sourceforge.net>

	Files:	src/cups/blacklist (1.10) (+3 -0)

	Add blacklist entry for Sony UP-DR200.

2014-06-04	<speachy@sourceforge.net>

	Files:	src/cups/kodak6800_print.c (1.17) (+359 -88)

	 * Major updates for improved Kodak 6850 support
	 * Decode media descriptors
	 * Much better error detection and handling
	 * Use CUPS_BACKEND_* return codes
	 * Add status query and initial cut at prints remaining reporting.

2014-06-04	<speachy@sourceforge.net>

	Files:	src/cups/sony_updr150_print.c (1.13) (+62 -22)

	*** empty log message ***

2014-06-04	<speachy@sourceforge.net>

	Files:	src/cups/mitsu70x_print.c (1.5) (+19 -22)

	Use CUPS_BACKEND_* return codes.

2014-06-04	<speachy@sourceforge.net>

	Files:	src/cups/kodak605_print.c (1.9) (+55 -37)

	Decode media definition list, and use CUPS_BACKEND_* return codes.

2014-06-04	<speachy@sourceforge.net>

	Files:	src/cups/dnpds40_print.c (1.10) (+45 -44)
		src/cups/kodak1400_print.c (1.25) (+23 -23)
		src/cups/selphy_print.c (1.38) (+34 -32)
		src/cups/shinko_s2145_print.c (1.17) (+41 -12)

	Use appropriate CUPS_BACKEND_* return codes.

2014-06-04	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.61) (+26 -4)

	Ensure that all of the PPD page size parameters are in sync

2014-06-04	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.33) (+23 -19)
		src/cups/backend_common.h (1.13) (+11 -0)

	Upstream resync.  fix '-d' option, use CUPS_BACKEND_* return codes,
	improve detailed debug output.

	Other backend updates will follow eventually.

2014-06-01	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.359) (+3 -2)

	Add Epson L210.

	Remove spurious device ID from Apollo P-2200.

2014-06-01	<rlk@sourceforge.net>

	Files:	configure.ac (1.263) (+6 -2)

	--with-foomatic3 implies --with-foomatic

2014-05-24	<jlabovitz@sourceforge.net>

	Files:	macosx/README (1.7) (+4 -0)
		macosx/src/gutenprint.pkg.src/Info.plist (1.2) (+3 -3)
		macosx/subversion (1.3) (+1 -0)

	Add correct version to Info.plist of package. Bump version (only for packaging) to 5.2.10a.

2014-05-22	<rlk@sourceforge.net>

	Files:	po/nl.po (1.97) (+4297 -4569)

	Update Dutch translation

2014-05-22	<rlk@sourceforge.net>

	Files:	include/gutenprint/printers.h (1.8) (+9 -2)
		src/main/printers.c (1.92) (+47 -1)
		src/xml/printers.xml (1.358) (+714 -714)
		test/Makefile.am (1.50) (+5 -2)
		test/gen-printer-list.c (1.1) (added +53 -0)

	Add comments to printer list; add gen-printer-list to create supported printer list

2014-05-22	<rlk@sourceforge.net>

	Files:	configure.ac (1.262) (+6 -6)

	Advance version number.

2014-05-20	<jlabovitz@sourceforge.net>

	Files:	macosx/README (1.6) (+2 -2)
		macosx/gutenprint-version (1.3) (+2 -3)
		macosx/make-build (1.4) (+21 -1)
		macosx/make-installer (1.4) (+1 -1)
		macosx/setup-env.sample (1.4) (+1 -1)
		macosx/src/gutenprint.pkg.src/Resources/License.txt (1.2) (+2 -2)
		macosx/src/gutenprint.pkg.src/Resources/ReadMe.html (1.5) (+19 -6)

	Update ReadMe.html to have current release info and summary of recent changes.
	Update date in License.txt file.
	Comment out kext-building until it works.
	Update proper paths in setup-env.sample.
	Tweak build README to refer to correct paths.
	Refactor determination of GP version when building.

===============================================================================
Name: gutenprint-5_2_10

2014-05-18	<speachy@sourceforge.net>

	Files:	NEWS (1.705) (+1 -6)
		src/cups/blacklist (1.9) (+1 -1)
		src/cups/selphy_print.c (1.37) (+2 -2)

	Add Canon SELPHY CP520 USB PID to blacklist and backend.

2014-05-17	<rlk@sourceforge.net>

	Files:	src/testpattern/testpattern.c (1.64) (+2 -2)

	Fix check for no output.

2014-05-17	<rlk@sourceforge.net>

	Files:	po/ca.po (1.10) (+4526 -4271)
		po/cs.po (1.68) (+64 -64)
		po/da.po (1.113) (+64 -64)
		po/de.po (1.86) (+4622 -4318)
		po/el.po (1.83) (+64 -64)
		po/en_GB.po (1.176) (+64 -64)
		po/es.po (1.81) (+64 -64)
		po/fi.po (1.13) (+64 -64)
		po/fr.po (1.109) (+64 -64)
		po/gl.po (1.8) (+64 -64)
		po/hu.po (1.41) (+64 -64)
		po/it.po (1.23) (+64 -64)
		po/ja.po (1.78) (+64 -64)
		po/nb.po (1.42) (+64 -64)
		po/nl.po (1.96) (+64 -64)
		po/pl.po (1.87) (+64 -64)
		po/pt.po (1.82) (+64 -64)
		po/ru.po (1.15) (+64 -64)
		po/sk.po (1.86) (+64 -64)
		po/sl.po (1.10) (+64 -64)
		po/sv.po (1.112) (+65 -65)
		po/tr.po (1.5) (+64 -64)
		po/uk.po (1.13) (+64 -64)
		po/vi.po (1.4) (+64 -64)
		po/zh_CN.po (1.8) (+64 -64)
		po/zh_TW.po (1.42) (+64 -64)

	Gutenprint 5.2.10 release

2014-05-17	<rlk@sourceforge.net>

	Files:	AUTHORS (1.27) (+3 -0)
		NEWS (1.704) (+78 -78)
		README (1.240) (+5 -5)
		configure.ac (1.261) (+3 -3)

	Prep for 5.2.10 release

2014-05-08	<speachy@sourceforge.net>

	Files:	NEWS (1.703) (+11 -6)
		src/xml/printers.xml (1.357) (+3 -3)

	Back out support for Canon CP820 and CP910, as Gutenprint doesn't yet
	support the YCbCr output format the printers need.

2014-05-07	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.165) (+3 -3)

	SELPHY CP910/820 use BGR inks!

2014-05-07	<speachy@sourceforge.net>

	Files:	NEWS (1.702) (+3 -8)
		src/xml/printers.xml (1.356) (+3 -1)

	Add the Canon SELPHY CP820 and CP910 to the printer list.

2014-05-07	<speachy@sourceforge.net>

	Files:	src/cups/blacklist (1.8) (+0 -6)
		src/cups/selphy_print.c (1.36) (+1 -5)

	Remove placeholders for Canon CP820/CP910; they don't need a spooler.

2014-05-06	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.164) (+79 -1)

	Add support for the Canon CP820 and CP910.  Printers.xml to follow.

2014-05-04	<rlk@sourceforge.net>

	Files:	src/testpattern/testpattern.c (1.63) (+3 -3)

	Fix comments.

2014-05-04	<rlk@sourceforge.net>

	Files:	src/testpattern/testpattern.c (1.62) (+15 -25)

	Minor simplifications.

2014-04-25	<speachy@sourceforge.net>

	Files:	README (1.239) (+23 -0)

	Document the unsupportability of the Mitsubishi dyesub models ending in '-S'

2014-04-25	<speachy@sourceforge.net>

	Files:	NEWS (1.701) (+3 -1)

	Further elaborate on the Mitsibuishi '-S' models being unsupported.

2014-04-19	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.163) (+42 -8)

	Add 5x7 support for the Kodak 605, and correct lamination options for
	the Mitsubishi D70/D707/K60 (it's acually Glossy/Matte vs None/Matte)

2014-03-30	<rlk@sourceforge.net>

	Files:	src/main/print-olympus.c (1.162) (+3 -3)

	Don't return something (void value, actually) out of a void function.

2014-03-30	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.45) (+69 -59)
		src/testpattern/testpattern.c (1.61) (+15 -4)

	Allow other types of checksum computations (default to sha512).

	Don't print anything for skipped test in quiet mode.

	Treat empty output as error (no empties currently exist).

2014-03-27	<speachy@sourceforge.net>

	Files:	src/cups/Makefile.am (1.148) (+2 -2)

	chmod the backend before installing it, may be responsible for a
	packaging bug.

2014-03-27	<rlk@sourceforge.net>

	Files:	po/ca.po (1.9) (+4254 -4509)

	Update Catalan translation

2014-03-26	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.32) (+15 -3)

	Fix a crash when libusb_init() fails.

2014-03-20	<rlk@sourceforge.net>

	Files:	po/de.po (1.85) (+5178 -6351)

	Update German translation

2014-03-13	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.35) (+64 -33)

	We don't need to override the Manufacturer string any more.

2014-03-13	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.31) (+167 -40)

	Overhaul the URI generation; now we use the IEEE1284 data whenever possible.

2014-03-13	<speachy@sourceforge.net>

	Files:	src/cups/mitsu70x_print.c (1.4) (+103 -50)

	backend: Updates to Mitsubishi CP-D70/D707/K60 backend.  Still broken.

2014-03-11	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.161) (+72 -46)

	Major improvements to Mitsubishi CP-D70/D707/K60 code.

	 * Refactored to common code
	 * Added additional print sizes for D70/D707
	 * Added placeholder sizes for 4x6*2, 2x6*2, 3.5x5*2
	 * Fixed multi-cut on K60
	 * Fixed matte lamination (more..) on K60

2014-03-11	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.160) (+8 -6)

	Mitsubishi CP-D70x -- Add 6x6 and 6x8.5" print sizes.  And it would
	appear printer does NOT support glossy lamination, only matte..

	(strange, all of the marketing material says it does, but the Windows
	 drivers don't list that as an option...)

2014-03-11	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.159) (+8 -4)

	More lamination fixes for the Mitsubishi CP-D70/D707/K60

2014-03-11	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.158) (+4 -4)

	Fix lamination on Mitsubishi CP-D70/D707-K60 printers.

2014-03-11	<speachy@sourceforge.net>

	Files:	src/cups/Makefile.am (1.147) (+2 -2)
		src/cups/backend_common.c (1.30) (+13 -8)

	Fix backend build on libusb < 1.0.10 (^@#%!!!)

2014-03-11	<speachy@sourceforge.net>

	Files:	src/cups/blacklist (1.7) (+3 -0)
		src/cups/mitsu70x_print.c (1.3) (+4 -2)

	backend:  Add USB PID for the Mitsubishi CP-K60DW-S

2014-03-09	<jlabovitz@sourceforge.net>

	Files:	macosx/README (1.5) (+9 -7)

	Clarify make-installer process.

2014-03-09	<jlabovitz@sourceforge.net>

	Files:	macosx/setup-env.sample (1.3) (+1 -1)
		macosx/src/gutenprint.pkg.src/Resources/ReadMe.html (1.4) (+3 -3)
		macosx/subversion (1.2) (+0 -1)

	Build from pre2 version.
	Update release notes with current version & date.

===============================================================================
Name: gutenprint-5_2_10-pre2

2014-03-07	<speachy@sourceforge.net>

	Files:	README (1.238) (+1 -1)

	It's 5.2.10-pre2 now.  :)

2014-03-07	<rlk@sourceforge.net>

	Files:	po/ca.po (1.8) (+1310 -1270)
		po/cs.po (1.67) (+1310 -1270)
		po/da.po (1.112) (+1310 -1270)
		po/de.po (1.84) (+1310 -1270)
		po/el.po (1.82) (+1310 -1270)
		po/en_GB.po (1.175) (+1310 -1270)
		po/es.po (1.80) (+1310 -1270)
		po/fi.po (1.12) (+1310 -1270)
		po/fr.po (1.108) (+1310 -1270)
		po/gl.po (1.7) (+1310 -1270)
		po/hu.po (1.40) (+1310 -1270)
		po/it.po (1.22) (+1310 -1270)
		po/ja.po (1.77) (+1310 -1270)
		po/nb.po (1.41) (+1310 -1270)
		po/nl.po (1.95) (+1310 -1270)
		po/pl.po (1.86) (+1310 -1270)
		po/pt.po (1.81) (+1310 -1270)
		po/ru.po (1.14) (+1310 -1270)
		po/sk.po (1.85) (+1310 -1270)
		po/sl.po (1.9) (+1310 -1270)
		po/sv.po (1.111) (+1311 -1271)
		po/tr.po (1.4) (+1310 -1270)
		po/uk.po (1.12) (+1310 -1270)
		po/vi.po (1.3) (+1310 -1270)
		po/zh_CN.po (1.7) (+1302 -1270)
		po/zh_TW.po (1.41) (+1310 -1270)

	Prep for Gutenprint 5.2.10-pre2

2014-03-07	<speachy@sourceforge.net>

	Files:	NEWS (1.700) (+2 -10)
		src/main/print-olympus.c (1.157) (+25 -25)

	Revert the SELPHY CP/ES paper size changes.

2014-03-07	<rlk@sourceforge.net>

	Files:	configure.ac (1.260) (+6 -5)

	Bump .soname for 5.2.10.

2014-03-07	<rlk@sourceforge.net>

	Files:	configure.ac (1.259) (+5 -5)

	Correct the comments.

2014-03-07	<rlk@sourceforge.net>

	Files:	NEWS (1.699) (+1 -1)
		README (1.237) (+1 -1)
		configure.ac (1.258) (+3 -3)

	Prep for 5.2.10-pre2

2014-03-07	<speachy@sourceforge.net>

	Files:	NEWS (1.698) (+11 -2)

	Update release notes to document the paper size changes for the SELPHY
	CP/ES series.

2014-03-06	<jlabovitz@sourceforge.net>

	Files:	macosx/make-build (1.3) (+12 -14)
		macosx/setup-env.sample (1.2) (+2 -2)
		macosx/src/gutenprint.pkg.src/Resources/postinstall (1.2) (+2 -64)
		macosx/src/gutenprint.pkg.src/Resources/postupgrade (1.2) (+2 -64)
		macosx/src/gutenprint.pkg.src/make-contents (1.3) (+4 -13)

	Remove 10.4 build/install process.
	Pull libusb & gutenprint release from tarballs, rather than extracted directories.

2014-03-06	<jlabovitz@sourceforge.net>

	Files:	NEWS (1.697) (+4 -4)
		README (1.236) (+2 -2)
		macosx/README (1.4) (+19 -31)
		macosx/src/gutenprint.pkg.src/Resources/ReadMe.html (1.3) (+3 -3)
		macosx/src/gutenprint.pkg.src/Resources/Welcome.rtfd/TXT.rtf (1.2) (+1 -1)

	Update documentation to reflect dropping of OS X 10.4/Tiger.
	Update OS X developer guide accordingly.

2014-03-06	<speachy@sourceforge.net>

	Files:	NEWS (1.696) (+9 -5)

	The SELPHY CP820 and CP910 utilize a completey different spoolfile (and
	presumably, comms protocol) so they will not be supported by the
	existing SELPHY CP/ES code.

2014-03-05	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.34) (+36 -39)

	Synchronize with upstream.  No functional change, just style.

2014-03-05	<speachy@sourceforge.net>

	Files:	NEWS (1.695) (+1 -1)
		README (1.235) (+1 -1)

	Minor documentation correction regarding the new backend.

2014-03-05	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.33) (+9 -9)

	Implement error recovery for all SELPHY models.

2014-03-04	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.156) (+25 -25)

	Migrate Canon SELPHY CP/ES printers to using "standard" paper sizes.

	Postcard -> w288h432  (standard 4x6)
	w253h337 -> B7        (standard 3.5x5)
	w283h566 -> w288h576  (standard 4x8)

	Remaining is the "Credit Card" size, which doesn't seem to have any
	other users -- but the description doesn't match the dimensions.

2014-03-04	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.155) (+8 -8)

	Remove some superflous whitespace.

2014-03-04	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.154) (+13 -2)

	When using a dyesub printer with FEATURE_WHITE_BORDER, we need to
	incorporate its margins when reporting the max printable area.

	This affects the DNP/Citizen models, and the Kodak 1400/805, but only
	when printing via CUPS.

2014-03-04	<speachy@sourceforge.net>

	Files:	NEWS (1.694) (+8 -1)
		README (1.234) (+10 -0)

	Document that you will need to remove/recreate your printer queue if you
	are using one of the previously-supported printers now handled by the
	dyesub backend.  (affected models are explicitly listed)

2014-03-04	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.153) (+25 -25)

	DS40/DS80: Ensure orientation of print size matches defined paper orientation.

	For example, the '4x6' is defined to be taller-than-wide, but the
	printer prints it as wider-than-tall.  This swaps the axes so gutenprint
	knows to swap it.

	Interestingly, for the most part it worked, but 'cuptestppd'
	barfed, and photoprint also was mightily confused.

2014-02-26	<speachy@sourceforge.net>

	Files:	src/cups/dnpds40_print.c (1.9) (+1 -3)

	Get rid of an unnecessary byteswap in the DNP/Citizen code.

2014-02-25	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.h (1.12) (+1 -1)

	backend: use <libusb.h> instead of <libusb-1.0/libusb.h>

2014-02-23	<jlabovitz@sourceforge.net>

	Files:	macosx/README (1.3) (+135 -51)

	Describe need for Tiger build machine, in addition to Leopard and Mavericks.
	Clarify initial configuration.
	Add Homebrew installation procudures (for pkg-config).
	Clarify CVS build.
	Revise for new method of extracting Gutenprint & libusb release downloads.
	Change names of environment variables for build configuration.
	Describe use of 'subversion' file.

2014-02-23	<jlabovitz@sourceforge.net>

	Files:	macosx/make-build (1.2) (+46 -20)

	Build & install libusb so that dyesub backend is built.
	Add --without-libiconv-prefix to make Tiger build work.
	Remove i386 build for Tiger (this is a mistake -- will fix & test).
	Use new environment variables, and ensure they are set.
	Refactor script to handle expanded builds of both libusb and Gutenprint.

2014-02-23	<jlabovitz@sourceforge.net>

	Files:	macosx/make-installer (1.3) (+9 -2)

	Use sudo to remove old build directory.
	Use new environment variables, and ensure they are set.

2014-02-23	<jlabovitz@sourceforge.net>

	Files:	macosx/make-pkg (1.3) (+3 -2)

	Run PackageMaker under 'sudo' so it's able to get to all required files.
	Make PackageMaker output more verbose for help in debugging.

2014-02-23	<jlabovitz@sourceforge.net>

	Files:	macosx/make-supported-printers (1.2) (+2 -2)
		macosx/src/gutenprint.dmg.src/name (1.2) (+1 -1)
		macosx/src/install-gutenprint.mpkg.src/make-contents (1.3) (+3 -3)
		macosx/src/install-gutenprint.mpkg.src/name (1.2) (+1 -1)

	Change names of build-specific environment variables to all begin with 'GP_'.

2014-02-23	<jlabovitz@sourceforge.net>

	Files:	macosx/gutenprint-version (1.2) (+12 -7)

	Change name of environment variable to start with 'GP_', to fit with
	other build variables.
	Clarify names of other internal variables.

2014-02-23	<jlabovitz@sourceforge.net>

	Files:	macosx/subversion (1.1) (added +0 -0)

	Added 'subversion' file to specify (optional) build version that is
	appended to Gutenprint version string.

2014-02-23	<jlabovitz@sourceforge.net>

	Files:	macosx/setup-env.sample (1.1) (added +4 -0)

	Add file to set needed environment variables.

2014-02-21	<rlk@sourceforge.net>

	Files:	src/escputil/escputil.c (1.110) (+9 -9)

	Don't sanity check names of ink colors.

2014-02-19	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.h (1.11) (+1 -1)

	Fix compile on Big Endian systems.  Patch from Dimitri John Ledkov.

2014-02-19	<speachy@sourceforge.net>

	Files:	NEWS (1.693) (+10 -5)
		README (1.233) (+1 -1)

	Documentation update, referencing the fact that you will need to
	re-create your printer queue if you are using a previously-supported
	printer with the new dyesub backend.

2014-02-19	<speachy@sourceforge.net>

	Files:	src/cups/Makefile.am (1.146) (+2 -2)

	Add $(srcdir) to the blacklist install target.

2014-02-17	<jlabovitz@sourceforge.net>

	Files:	macosx/README (1.2) (+1 -1)
		macosx/make-dmg (1.2) (+6 -3)
		macosx/make-doc (1.2) (+1 -1)
		macosx/make-installer (1.2) (+2 -2)
		macosx/make-mpkg (1.2) (+1 -1)
		macosx/make-pkg (1.2) (+5 -1)
		macosx/src/gutenprint.pkg.src/Resources/ReadMe.html (1.2) (+7 -8)
		macosx/src/gutenprint.pkg.src/make-contents (1.2) (+1 -2)
		macosx/src/install-gutenprint.mpkg.src/make-contents (1.2) (+1 -2)

	Clean up CVS directories and .DS_Store files before packages & DMG are built.
	Correctly determine release version number.
	Update ReadMe.html with current information.
	Make debugging control line consistent across scripts.
	Tweak whitespace in documentation.

2014-02-17	<speachy@sourceforge.net>

	Files:	src/foomatic/foomatic-generator.in (1.83) (+2 -5)

	Replace the hackish patch that enabled mismatched x/y resolutions in the
	dyesub driver with a proper workaround from rlk.

2014-02-17	<jlabovitz@sourceforge.net>

	Files:	README (1.232) (+16 -16)

	Remove references to 10.3 Panther.

2014-02-17	<jlabovitz@sourceforge.net>

	Files:	macosx/README (1.1) (added +251 -0)
		macosx/README.vm-environment (1.1) (added +67 -0)
		macosx/compare-gutenprint-5 (1.1) (added +173 -0)
		macosx/gutenprint-version (1.1) (added +29 -0)
		macosx/make-build (1.1) (added +102 -0)
		macosx/make-dmg (1.1) (added +44 -0)
		macosx/make-doc (1.1) (added +20 -0)
		macosx/make-installer (1.1) (added +61 -0)
		macosx/make-mpkg (1.1) (added +37 -0)
		macosx/make-pkg (1.1) (added +45 -0)
		macosx/make-supported-printers (1.1) (added +69 -0)
		macosx/src/gutenprint.dmg.src/Contents/Documentation/GPL License.rtf (1.1) (added)
		macosx/src/gutenprint.dmg.src/Contents/Documentation/SourceCode.webloc (1.1) (added +8 -0)
		macosx/src/gutenprint.dmg.src/Contents/Documentation/Supported Printers.webloc (1.1) (added)
		macosx/src/gutenprint.dmg.src/Contents/Gutenprint Utility for EPSON Inkjet Printers/Gutenprint Utility for EPSON Inkjet Printers.command (1.1) (added)
		macosx/src/gutenprint.dmg.src/Contents/Gutenprint Utility for EPSON Inkjet Printers/Utility Read Me.rtf (1.1) (added)
		macosx/src/gutenprint.dmg.src/Contents/Uninstaller Read Me.rtfd/Pasted Graphic 1.tiff (1.1) (added)
		macosx/src/gutenprint.dmg.src/Contents/Uninstaller Read Me.rtfd/TXT.rtf (1.1) (added)
		macosx/src/gutenprint.dmg.src/name (1.1) (added +0 -0)
		macosx/src/gutenprint.pkg.src/Info.plist (1.1) (added +46 -0)
		macosx/src/gutenprint.pkg.src/Resources/English.lproj/Description.plist (1.1) (added +10 -0)
		macosx/src/gutenprint.pkg.src/Resources/English.lproj/Gutenprint 5.info (1.1) (added)
		macosx/src/gutenprint.pkg.src/Resources/License.txt (1.1) (added +12 -0)
		macosx/src/gutenprint.pkg.src/Resources/ReadMe.html (1.1) (added +199 -0)
		macosx/src/gutenprint.pkg.src/Resources/Welcome.rtfd/TXT.rtf (1.1) (added +24 -0)
		macosx/src/gutenprint.pkg.src/Resources/postinstall (1.1) (added +42 -0)
		macosx/src/gutenprint.pkg.src/Resources/postupgrade (1.1) (added +42 -0)
		macosx/src/gutenprint.pkg.src/Resources/preflight (1.1) (added +57 -0)
		macosx/src/gutenprint.pkg.src/Resources/preinstall (1.1) (added +69 -0)
		macosx/src/gutenprint.pkg.src/Resources/preupgrade (1.1) (added +69 -0)
		macosx/src/gutenprint.pkg.src/make-contents (1.1) (added +15 -0)
		macosx/src/gutenprint.pkg.src/name (1.1) (added +0 -0)
		macosx/src/install-gutenprint.mpkg.src/Info.plist (1.1) (added +53 -0)
		macosx/src/install-gutenprint.mpkg.src/make-contents (1.1) (added +29 -0)
		macosx/src/install-gutenprint.mpkg.src/name (1.1) (added +0 -0)

	Adding OS X build scripts, documentation, and supporting information.

2014-02-17	<jlabovitz@sourceforge.net>

	Files:	NEWS (1.692) (+8 -9)

	Update list of OS X versions supported.

2014-02-16	<rlk@sourceforge.net>

	Files:	NEWS (1.691) (+2 -1)

	Updates for Epson driver.

2014-02-16	<rlk@sourceforge.net>

	Files:	NEWS (1.690) (+9 -0)
		src/xml/escp2/model/model_118.xml (1.5) (+1 -1)
		src/xml/printers.xml (1.355) (+12 -4)

	Add support for xX630, 635, and 645 parallel to WorkForce printers.

	Improve duplex for WorkForce 630/635/645.

===============================================================================
Name: gutenprint-5_2_10-pre1

2014-02-15	<rlk@sourceforge.net>

	Files:	po/ca.po (1.7) (+4462 -4240)
		po/cs.po (1.66) (+4312 -4185)
		po/da.po (1.111) (+4461 -4247)
		po/de.po (1.83) (+4320 -4186)
		po/el.po (1.81) (+4313 -4186)
		po/en_GB.po (1.174) (+4319 -4186)
		po/es.po (1.79) (+4312 -4185)
		po/fi.po (1.11) (+4320 -4186)
		po/fr.po (1.107) (+4319 -4186)
		po/gl.po (1.6) (+4320 -4186)
		po/hu.po (1.39) (+4320 -4186)
		po/it.po (1.21) (+4487 -4257)
		po/ja.po (1.76) (+4319 -4186)
		po/nb.po (1.40) (+4308 -4183)
		po/nl.po (1.94) (+4500 -4261)
		po/pl.po (1.85) (+4308 -4183)
		po/pt.po (1.80) (+4312 -4185)
		po/ru.po (1.13) (+4315 -4185)
		po/sk.po (1.84) (+4312 -4185)
		po/sl.po (1.8) (+4320 -4186)
		po/sv.po (1.110) (+4321 -4187)
		po/tr.po (1.3) (+4320 -4186)
		po/uk.po (1.11) (+4472 -4248)
		po/vi.po (1.2) (+4369 -4207)
		po/zh_CN.po (1.6) (+4298 -4183)
		po/zh_TW.po (1.40) (+4311 -4185)

	Gutenprint 5.2.10-pre1 release

2014-02-15	<rlk@sourceforge.net>

	Files:	NEWS (1.689) (+2 -2)
		README (1.231) (+3 -3)
		configure.ac (1.257) (+3 -3)

	Prep for 5.2.10-pre1

2014-02-15	<rlk@sourceforge.net>

	Files:	src/cups/test-ppds (1.10) (+2 -2)

	Back out previous change (problem was due to a stale version of
	cupstestppd).

2014-02-14	<speachy@sourceforge.net>

	Files:	README (1.230) (+25 -33)

	Some minor edits on the dyesub backend text.  In particular, I removed
	the list of "known bad" serialnum-less printers and suggested the user
	always check their printer if they want to plug more than one in.

2014-02-13	<speachy@sourceforge.net>

	Files:	NEWS (1.688) (+3 -0)
		src/xml/printers.xml (1.354) (+2 -2)

	Add IEEE1284 DeviceID for the Citizen CX printer.

2014-02-13	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.196) (+5 -3)

	Correct help message.

2014-02-13	<rlk@sourceforge.net>

	Files:	src/cups/test-ppds (1.9) (+4 -2)

	Try to chase current versions of CUPS.

2014-02-12	<rlk@sourceforge.net>

	Files:	src/cups/Makefile.am (1.145) (+3 -3)

	Use $(RM) -rf rather than -$(RM) -r

2014-02-12	<speachy@sourceforge.net>

	Files:	README (1.229) (+6 -7)
		src/cups/backend_common.c (1.29) (+205 -97)
		src/cups/backend_common.h (1.10) (+2 -2)
		src/cups/dnpds40_print.c (1.8) (+71 -38)
		src/cups/kodak1400_print.c (1.24) (+53 -31)
		src/cups/kodak605_print.c (1.8) (+50 -24)
		src/cups/kodak6800_print.c (1.16) (+62 -34)
		src/cups/mitsu70x_print.c (1.2) (+24 -12)
		src/cups/selphy_print.c (1.32) (+1 -1)
		src/cups/shinko_s2145_print.c (1.16) (+164 -85)
		src/cups/sony_updr150_print.c (1.12) (+3 -2)

	Major rework of how the backend handles command line arguments.

	 * Getopt across the board
	 * Environment variables replaced with options
	 * Backend options can be combined with printing

	Also:

	 * Misc bugfixes
	 * Notice about GPL and a warranty disclaimer in banner
	 * CP790 media/error detction revamp

2014-02-11	<rlk@sourceforge.net>

	Files:	po/it.po (1.20) (+3079 -3915)

	Update Italian translation

2014-02-11	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.31) (+74 -50)

	Revamp the media detection and error handling for the SELPHY CP790.

2014-02-10	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.28) (+91 -43)

	backend:  Use proper URLEncoding for all printer URI components:

	 * Including Serial Number
	 * Old code only encoded spaces (incorrectly at that).

	This has the side effect of changing the reported URI for any printer
	that had a space in its name.  Sorry about that.

2014-02-10	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.27) (+20 -13)

	When querying a device for its vendor-specific serial number, gracefully
	handle a failure to claim the device and ignore it.

2014-02-10	<speachy@sourceforge.net>

	Files:	README (1.228) (+47 -35)

	Adopt rlk's suggested text near-verbatim.  I agree with his approach,
	and further edits should be based on his text as it is far superior to
	what I'd [re]written.

2014-02-10	<speachy@sourceforge.net>

	Files:	NEWS (1.687) (+1 -1)

	Get rid of the reference to 'libusbx', replacing it with 'libusb 1.0 or
	newer'

2014-02-10	<speachy@sourceforge.net>

	Files:	src/cups/mitsu70x_print.c (1.1) (added +801 -0)
		src/cups/selphy_print.c (1.30) (+82 -29)

	backends:   Forgot to commit the Mitsubishi CP-D70/D707 code.

2014-02-09	<speachy@sourceforge.net>

	Files:	NEWS (1.686) (+2 -32)
		README (1.227) (+40 -51)

	Documentation updates to reflect current dyesub backend status quo.

	In particular, eliminate all the stuff about fake serial numbers and
	libusb versions, instead describing which printers are affected by the
	lack of serial numbers and the consequences.

2014-02-09	<speachy@sourceforge.net>

	Files:	configure.ac (1.256) (+2 -10)
		src/cups/backend_common.c (1.26) (+5 -18)

	backends: Eliminate the fake serial number generation based on USB
	topology, and replace it with a more generic warning. This only affected
	a few printer models and the workaround created more problems for common
	use cases.

2014-02-09	<speachy@sourceforge.net>

	Files:	README (1.226) (+4 -4)
		src/cups/backend_common.c (1.25) (+3 -3)

	Use 'Bxxx_UNKDEV' when we can't querty libusb for the full bus topology,
	plus appropriate edits to README.

2014-02-09	<rlk@sourceforge.net>

	Files:	configure.ac (1.255) (+3 -3)

	Typo

2014-02-09	<rlk@sourceforge.net>

	Files:	configure.ac (1.254) (+5 -4)

	Clean up indentation and record that warning was emitted.

2014-02-09	<rlk@sourceforge.net>

	Files:	README (1.225) (+1 -1)

	Typo

2014-02-09	<speachy@sourceforge.net>

	Files:	configure.ac (1.253) (+9 -2)

	Complain loudly if we detect libusb1 < 1.0.13, but don't error out.

2014-02-09	<speachy@sourceforge.net>

	Files:	README (1.224) (+13 -12)

	Further dyesub edits in the README.

2014-02-09	<speachy@sourceforge.net>

	Files:	README (1.223) (+86 -46)

	Heavy editing on the dyesub backend section.

2014-02-09	<speachy@sourceforge.net>

	Files:	NEWS (1.685) (+6 -1)
		README (1.222) (+2 -0)
		src/cups/Makefile.am (1.144) (+2 -2)
		src/cups/backend_common.c (1.24) (+3 -2)
		src/cups/backend_common.h (1.9) (+2 -0)
		src/cups/blacklist (1.6) (+3 -0)

	Add the Mitsubishi CP-D70/D707 backend.  Completely untested and may eat your cats.

2014-02-09	<rlk@sourceforge.net>

	Files:	README (1.221) (+3 -3)

	Complete the rearrangement.

2014-02-09	<rlk@sourceforge.net>

	Files:	README (1.220) (+59 -55)

	Fill to 72 column standard.

2014-02-09	<rlk@sourceforge.net>

	Files:	README (1.219) (+122 -123)

	Move the sections on the dyesub backend and escputil further up.

2014-02-09	<speachy@sourceforge.net>

	Files:	README (1.218) (+27 -14)

	Incorporate latest updates to the dyesub backend documentation

2014-02-09	<speachy@sourceforge.net>

	Files:	NEWS (1.684) (+1 -1)
		README (1.217) (+97 -6)

	Add info about the dyesub backend into the README file.  And a couple of
	minor corrections in the NEWS file.

2014-02-09	<speachy@sourceforge.net>

	Files:	src/cups/blacklist (1.5) (+0 -3)

	blacklist:  Leave the Mitusbishi CP-D70/D707 off the blacklist until
	    the backend supports it properly.

2014-02-08	<speachy@sourceforge.net>

	Files:	NEWS (1.683) (+25 -0)
		configure.ac (1.252) (+3 -3)
		src/cups/backend_common.c (1.23) (+9 -2)
		src/cups/backend_common.h (1.8) (+3 -1)

	backends:  Allow use with libusb < 1.0.13, but emit compile-time
	warnings and a BIG LOUD WARNING at runtime if the workarounds are
	invoked.

	Note that the code that would trigger the workarounds is itself a
	workaround for printers that do not report a serial number, so the
	expectation is that typical end-users would not be affected.

2014-02-08	<speachy@sourceforge.net>

	Files:	src/cups/kodak1400_print.c (1.23) (+0 -1)
		src/cups/kodak605_print.c (1.7) (+0 -1)
		src/cups/kodak6800_print.c (1.15) (+0 -1)
		src/cups/shinko_s2145_print.c (1.15) (+0 -1)
		src/cups/sony_updr150_print.c (1.11) (+0 -1)

	backends:  Get rid of the now-obsolete 'multiprint_capable' flag.

2014-02-08	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.22) (+2 -6)

	backend:  The libusb/libusbx reunification has meant that the version
	test needs to be updated to match both possible #defines

2014-02-08	<rlk@sourceforge.net>

	Files:	configure.ac (1.251) (+11 -11)

	A bit more cleanup.

2014-02-08	<rlk@sourceforge.net>

	Files:	configure.ac (1.250) (+4 -4)

	Rearrange the output a to make it cleaner.

2014-02-05	<speachy@sourceforge.net>

	Files:	src/cups/blacklist (1.4) (+5 -2)

	Add Citizen CY (aka DNP DS-RX1) to blacklist since it's handled by our
	backend.

2014-02-05	<rlk@sourceforge.net>

	Files:	NEWS (1.682) (+1 -0)
		src/xml/printers.xml (1.353) (+2 -1)

	Add support for Epson CX7300

2014-02-05	<speachy@sourceforge.net>

	Files:	NEWS (1.681) (+17 -5)
		src/cups/dnpds40_print.c (1.7) (+13 -77)
		src/xml/printers.xml (1.352) (+4 -2)

	dyesub:  The Citizen CX/CX-W/CY and DNP DSRX1 are supported now.
		 Also, add entries for Citizen CX-01 and OP900.

	  This whole family of printers is functionally identical.

2014-02-04	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.29) (+21 -17)

	backends: Handle a couple more error cases from the CP-10 and CP790
	printers.  And automatically clear the error state before bailing.

2014-02-03	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.21) (+5 -1)

	backend:  Add a build-time test to ensure we are using libusb >= 1.0.13

	Strictly speaking we only need 1.0.12, but we can't detect the API
	version until 1.0.13.

2014-02-03	<speachy@sourceforge.net>

	Files:	configure.ac (1.249) (+3 -3)

	configure:  Update the libusb test to require libusb-1.0 >= 1.0.13

	The dyesub backends use an API introduced in 1.0.12 but there was no way
	to detect the presence of this at compile-time until 1.0.13.  (Yes,
	there really was no version or feature macro in the libusb headers!)

	So just require 1.0.13 since that also brings some major bugfixes.

2014-02-03	<jlabovitz@sourceforge.net>

	Files:	doc/developer/Makefile.am (1.25) (+3 -1)

	Avoid building HTML if --without-doc has been specified in configuration.

2014-02-02	<speachy@sourceforge.net>

	Files:	NEWS (1.680) (+1 -0)
		src/xml/printers.xml (1.351) (+2 -1)

	The Mitsubishi CP-3800DW is a rebadged version of the DNP DS80.

	Initial investigations show it's compatible at the command stream level,
	but it probably needs the USB backend of the DS40/DS80 to work properly.

	Mark it as theoretically supported, but untested.

2014-02-02	<speachy@sourceforge.net>

	Files:	src/cups/dnpds40_print.c (1.6) (+88 -23)

	backends: dnpds40:  Respect rules for determining how many print buffers we need for the job.

	The printer has two buffers, but some image sizes/parameters require
	both buffers for a single image.  When submitting jobs to the printer,
	we need to wait until the printer has sufficient free buffers.

	The safest approach is to always wait for the printer to be idle, but
	this prevents us from pipelining jobs to speed up printing.

	Now all of the rules are implemented:

	 * Switching between matte<->glossy requires both buffers free
	 * all 300dpi only need one
	 * with DS80, only need 2 buffers for some 600dpi sizes in matte mode
	 * with DS40, always need 2 buffers for > 5x7 prints, and 5x7 in matte.

2014-02-02	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.28) (+45 -20)

	backends: canonselphy: Detect 'depleted' vs 'incorrect' paper/ribbon error codes

2014-02-01	<speachy@sourceforge.net>

	Files:	NEWS (1.679) (+4 -4)

	The Sony UP-DR200 is now confirmed to be working!

2014-02-01	<speachy@sourceforge.net>

	Files:	NEWS (1.678) (+16 -0)
		src/main/print-olympus.c (1.152) (+87 -1)
		src/xml/printers.xml (1.350) (+7 -1)

	dyesub:  Add the DNP DSRX1, and the Citizen CX/CX-W/CY/CW-02/OP900II

	The CX and CX-W are identical to the DNP DS40 and DS80, respectively.
	The CW-02 and OP900II are functionally identical to the DS40.

	The DSRX1 and Citizen CY are functionally identical to the DS40 except
	for the lack of 6x9 print support.

2014-01-31	<speachy@sourceforge.net>

	Files:	NEWS (1.677) (+5 -4)

	NEWS:  Updated to reflect full support for the Canon SELPHY CP790

2014-01-31	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.27) (+34 -16)

	backends:  Finer grained paper/ribbon detection for CP-series, plus more
	  consistent use of terminology in error reporting.

2014-01-31	<speachy@sourceforge.net>

	Files:	src/cups/blacklist (1.3) (+6 -0)

	blacklist:  Add placeholder entries for Canon SELPHY CP820 and CP910

2014-01-30	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.26) (+251 -46)

	backends:  Update Canon SELPHY CP/ES backend for multi-page jobs

	Also includes a complete rewrite of the error handling and media type
	detection code, which makes this backend considerably more robust.

2014-01-30	<speachy@sourceforge.net>

	Files:	src/cups/sony_updr150_print.c (1.10) (+95 -47)

	backends: Sony UP-DR150/DR200 updates for multi-page print jobs.

	Note that this required a major rewrite of the command parser, and it
	has not been fully regression-tested on an actual printer yet.

2014-01-30	<speachy@sourceforge.net>

	Files:	src/cups/dnpds40_print.c (1.5) (+17 -5)
		src/cups/kodak1400_print.c (1.22) (+18 -3)
		src/cups/kodak605_print.c (1.6) (+19 -11)
		src/cups/kodak6800_print.c (1.14) (+11 -3)
		src/cups/shinko_s2145_print.c (1.14) (+13 -5)

	backends: Kodak1400/805/605/68x0, DNP DS40/80, Shinko S2145 updated to handle multi-page printing.

	Note that the 605 backend has not been regression tested yet.

2014-01-30	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.20) (+33 -12)
		src/cups/backend_common.h (1.7) (+2 -1)

	backends:  Core support for multi-page print jobs.

2014-01-30	<speachy@sourceforge.net>

	Files:	src/cups/blacklist (1.2) (+1 -1)

	cups blacklist:  Add Canon SELPHY CP790

2014-01-27	<gernot2270@sourceforge.net>

	Files:	NEWS (1.676) (+7 -0)
		src/xml/printers.xml (1.349) (+9 -2)

	Added various Canon printer instances that are newly released this year but whose series is already supported.

2014-01-27	<gernot2270@sourceforge.net>

	Files:	NEWS (1.675) (+1 -0)
		src/xml/printers.xml (1.348) (+2 -2)

	Added IEEE 1284 deviceID for Canon SELPHY CP790

2014-01-27	<rlk@sourceforge.net>

	Files:	NEWS (1.674) (+4 -0)
		src/xml/printers.xml (1.347) (+2 -1)

	Add OKI B401d

2014-01-26	<rlk@sourceforge.net>

	Files:	po/da.po (1.110) (+3035 -3849)

	Update Danish translation

2014-01-26	<gernot2270@sourceforge.net>

	Files:	NEWS (1.673) (+3 -0)

	Added several more Canon printers to unsupported list.

2014-01-26	<rlk@sourceforge.net>

	Files:	NEWS (1.672) (+1 -1)
		configure.ac (1.248) (+3 -3)
		po/vi.po (1.1) (added +17442 -0)

	Add Vietnamese translation

2014-01-24	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media.h (1.139) (+48 -12)
		src/main/print-canon.c (1.552) (+6 -2)

	Added support for Canon iP8700 series, and iX6800 media. Some comments on media types added to print-canon.c

2014-01-24	<rlk@sourceforge.net>

	Files:	src/main/print-color.c (1.148) (+33 -1)

	Add raw curves for channels 32-63.

2014-01-24	<speachy@sourceforge.net>

	Files:	src/cups/.cvsignore (1.17) (+1 -1)

	Update .cvsignore to reflect the current backend name.

2014-01-23	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.551) (+76 -18)

	Added CD Tray L support for new 2014 Canon products (iP8700). Confirmed A3 FineArt paper code for newer printers, and corrected A3plus FineArt paper code.

2014-01-23	<rlk@sourceforge.net>

	Files:	test/pixma_parse.c (1.42) (+2 -4)

	Don't attempt to print detail about colors that are out of bounds.

2014-01-23	<rlk@sourceforge.net>

	Files:	NEWS (1.671) (+5 -2)
		src/xml/escp2/model/model_107.xml (1.7) (+2 -2)
		src/xml/escp2/model/model_108.xml (1.4) (+2 -2)

	Expand printable area at bottom on Epson 3800, 3880

2014-01-23	<rlk@sourceforge.net>

	Files:	include/gutenprint/image.h (1.3) (+3 -3)
		src/main/print-color.c (1.147) (+65 -1)
		src/main/print-escp2.c (1.442) (+31 -7)
		src/main/print-escp2.h (1.140) (+3 -3)
		src/testpattern/testpattern.h (1.21) (+5 -5)
		src/xml/escp2/inks/Makefile.am (1.15) (+2 -1)
		src/xml/escp2/inks/pro_ultrachrome_k3v10.xml (1.1) (added +724 -0)
		src/xml/escp2/media/Makefile.am (1.16) (+2 -1)
		src/xml/escp2/media/pro_ultrachrome_k3v10.xml (1.1) (added +925 -0)
		src/xml/escp2/model/model_116.xml (1.6) (+3 -3)
		src/xml/escp2/model/model_117.xml (1.4) (+3 -3)

	Add support for 10-channel raw printing for Epson 7900/9900.

	Increase max channels to 64.

2014-01-23	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.550) (+78 -65)
		test/pixma_parse.c (1.41) (+5 -5)
		test/pixma_parse.h (1.12) (+16 -5)

	Added comments to pixma_parse, completed compression tables to correct number of entries, re-arranged CD debug output in print_canon

2014-01-23	<rlk@sourceforge.net>

	Files:	src/main/print-canon.c (1.549) (+171 -558)

	Clean up extraneous debugging stuff.

2014-01-23	<rlk@sourceforge.net>

	Files:	po/uk.po (1.10) (+2348 -2341)

	Update Ukrainian translation

2014-01-22	<speachy@sourceforge.net>

	Files:	NEWS (1.670) (+0 -5)

	NEWS:  Remove comments about the Canon CP-10's warts.  It works fine
	now.

2014-01-22	<rlk@sourceforge.net>

	Files:	src/xml/papers.xml (1.16) (+3 -3)

	Disambiguate a few names.

2014-01-22	<rlk@sourceforge.net>

	Files:	po/ca.po (1.6) (+673 -1497)
		po/nl.po (1.93) (+697 -1539)

	Update Catalan and Dutch translations

2014-01-21	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.19) (+6 -3)

	backend:  Fix enumeration in the presence of multiple supported printers.

	In many situations we'd actually try to bind to the first supported
	printer we find, even if it's not necessarily the printer we want.

2014-01-21	<rlk@sourceforge.net>

	Files:	po/ca.po (1.5) (+3387 -3203)
		po/cs.po (1.65) (+3341 -3183)
		po/da.po (1.109) (+3386 -3202)
		po/de.po (1.82) (+3387 -3203)
		po/el.po (1.80) (+3346 -3188)
		po/en_GB.po (1.173) (+3381 -3197)
		po/es.po (1.78) (+3343 -3184)
		po/fi.po (1.10) (+3381 -3199)
		po/fr.po (1.106) (+3380 -3195)
		po/gl.po (1.5) (+3383 -3199)
		po/hu.po (1.38) (+3381 -3199)
		po/it.po (1.19) (+3387 -3203)
		po/ja.po (1.75) (+3378 -3196)
		po/nb.po (1.39) (+3264 -3094)
		po/nl.po (1.92) (+3386 -3202)
		po/pl.po (1.84) (+3342 -3184)
		po/pt.po (1.79) (+3341 -3183)
		po/ru.po (1.12) (+3381 -3199)
		po/sk.po (1.83) (+3341 -3183)
		po/sl.po (1.7) (+3383 -3199)
		po/sv.po (1.109) (+3381 -3198)
		po/tr.po (1.2) (+3386 -3202)
		po/uk.po (1.9) (+3695 -4341)
		po/zh_CN.po (1.5) (+2890 -2939)
		po/zh_TW.po (1.39) (+3376 -3194)

	Update Ukrainian translation

2014-01-18	<speachy@sourceforge.net>

	Files:	src/cups/sony_updr150_print.c (1.9) (+8 -6)

	backends:  Fix 6x8 print job parsing for the Sony UP-DR150 family.

2014-01-18	<rlk@sourceforge.net>

	Files:	configure.ac (1.247) (+5 -4)
		scripts/autogen.sh (1.40) (+1 -1)

	A few minor fixes for unusual version numbers of CUPS and openjade

2014-01-16	<rlk@sourceforge.net>

	Files:	doc/README.maintaining (1.30) (+1 -2)

	Remove duplicate entry from Debian build requirements.

2014-01-16	<jlabovitz@sourceforge.net>

	Files:	doc/README.maintaining (1.29) (+22 -3)

	*** empty log message ***

2014-01-15	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.548) (+330 -54)

	Added example code to Canon backend for adjusting printjob paper and printable area dimensions for each CD Tray type (A,B,C,D,E,F,G,H,J,Custom) in the ESC(p command.

2014-01-14	<rlk@sourceforge.net>

	Files:	src/cups/Makefile.am (1.143) (+16 -9)

	Correctly install/uninstall the blacklist.

	Distribute the blacklist in the tarball.

2014-01-14	<rlk@sourceforge.net>

	Files:	src/main/print-canon.c (1.547) (+2 -2)

	Fix a const error.

2014-01-13	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.18) (+1 -1)
		src/cups/kodak1400_print.c (1.21) (+8 -2)
		src/cups/kodak605_print.c (1.5) (+10 -3)
		src/cups/kodak6800_print.c (1.13) (+9 -3)
		src/cups/selphy_print.c (1.25) (+49 -9)
		src/cups/shinko_s2145_print.c (1.13) (+9 -2)

	backends: all: Properly detect short reads when reading in print headers.
	          selphy: Explicitly retry short reads when loading plane data.

2014-01-13	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.546) (+122 -19)
		test/pixma_parse.c (1.40) (+2 -2)

	Added code to output correct page area to printjob for CDs using Tray F in the Canon backend. Corrected printable width and length for ordinary printjobs also. Corrected pixma_parse parameter calculation for printable width and length.

2014-01-13	<rlk@sourceforge.net>

	Files:	src/escputil/d4lib.c (1.16) (+22 -22)

	Remove a few non-ASCII characters.

2014-01-13	<rlk@sourceforge.net>

	Files:	src/main/print-util.c (1.120) (+2 -2)

	Force a crash properly.

2014-01-12	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.17) (+48 -10)
		src/cups/backend_common.h (1.6) (+6 -3)
		src/cups/dnpds40_print.c (1.4) (+14 -32)
		src/cups/kodak1400_print.c (1.20) (+22 -35)
		src/cups/kodak605_print.c (1.4) (+39 -62)
		src/cups/kodak6800_print.c (1.12) (+44 -53)
		src/cups/selphy_print.c (1.24) (+15 -22)
		src/cups/shinko_s2145_print.c (1.12) (+19 -28)
		src/cups/sony_updr150_print.c (1.8) (+11 -7)

	backends:  sync with upstream in preparation for release:

	 * Fixed help text for standalone usage.
	 * Default output less verbose and more consistent across backends.
	   Set DYESUB_DEBUG in the environemnt to enable loads of debugging output.
	 * Use a common read_data() function to move all libusb stuff out of the
	   individual backends.  Simplifies debugging and error handling, and
	   fixed several of backend bugs (especially wrt short reads).

2014-01-12	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.25) (+1 -1)

	Fix typo

2014-01-12	<rlk@sourceforge.net>

	Files:	configure.ac (1.246) (+8 -2)
		src/cups/Makefile.am (1.142) (+29 -29)
		src/cups/test-rastertogutenprint.in (1.24) (+1 -1)
		src/foomatic/Makefile.am (1.57) (+3 -3)

	Substitute GUTENPRINT_RELEASE_VERSION and GUTENPRINT_BASE_VERSION

2014-01-12	<rlk@sourceforge.net>

	Files:	doc/gutenprint.dox.in (1.7) (+0 -19)
		doc/gutenprintui2.dox.in (1.5) (+0 -19)

	Remove some obsolete options

2014-01-12	<gernot2270@sourceforge.net>

	Files:	src/xml/printers.xml (1.346) (+189 -190)

	Updated printers.xml for Canon printers of MP series. Checked 5.2.9 entries are unchanged except for new entries to extend existing ones.

2014-01-12	<gernot2270@sourceforge.net>

	Files:	src/xml/printers.xml (1.345) (+153 -153)

	Updated printers.xml for Canon printers of MX and E series. Checked 5.2.9 entries are unchanged.

2014-01-12	<rlk@sourceforge.net>

	Files:	autogen.sh (1.8) (+1 -2)
		configure.ac (1.245) (+5 -5)

	Eliminate use of echo -n which fails on OS X

2014-01-12	<rlk@sourceforge.net>

	Files:	src/gutenprintui2/panel.c (1.21) (+4 -4)

	Allow "unsafe" strings for manufacturer and queue names.

2014-01-12	<rlk@sourceforge.net>

	Files:	src/main/print-papers.c (1.43) (+3 -1)
		src/main/printers.c (1.91) (+4 -1)

	Flag duplicate printers and page sizes

2014-01-11	<gernot2270@sourceforge.net>

	Files:	src/xml/printers.xml (1.344) (+55 -65)

	Updated printers.xml for Canon printers of BJ, BJC, S, iP, iX, and Pro series. Removed duplicates, checked 5.2.9 entries are unchanged.

2014-01-11	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.545) (+25 -1)

	Added debug statements in the canon_setup_channel(s) functions

2014-01-10	<speachy@sourceforge.net>

	Files:	NEWS (1.669) (+4 -4)

	NEWS: Update info about the backends and CUPS >= 1.6.4, and mention that
	  it only applies to Linux users.

2014-01-09	<gernot2270@sourceforge.net>

	Files:	src/xml/printers.xml (1.343) (+171 -178)

	Changed Canon generic printer series entries name, driver, foomaticid in printers.xml to make them unique (partial correction, MP models not yet unique).

2014-01-08	<gernot2270@sourceforge.net>

	Files:	NEWS (1.668) (+2 -0)
		src/xml/printers.xml (1.342) (+3 -3)

	Added IEEE1284 deviceID for Canon SELPY CP530 and CP810. Via MacOSX forums.

2014-01-08	<rlk@sourceforge.net>

	Files:	test/Makefile.am (1.49) (+5 -2)

	Don't run run-weavetest as part of the standard test suite.  It is
	very time consuming and provides little value for release testing
	since the last material change was made in 2008.  It is essentially a
	giant unit test for the weave code.

2014-01-06	<gernot2270@sourceforge.net>

	Files:	src/xml/printers.xml (1.341) (+2 -2)

	Added IEEE1284 deviceID for Canon MP500. Via Jiri Popelka from Redhat.

2014-01-05	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.340) (+3 -3)

	Clean up inadvertent duplicate driver IDs for some Epson printers.

2014-01-05	<gernot2270@sourceforge.net>

	Files:	NEWS (1.667) (+4 -0)
		src/xml/printers.xml (1.339) (+5 -5)

	Added IEEE1284 device IDs for Canon SELPHY CP-10, CP-300, CP500, CP730 (developer-owned devices).

2014-01-05	<gernot2270@sourceforge.net>

	Files:	NEWS (1.666) (+2 -1)
		src/xml/printers.xml (1.338) (+2 -2)

	Added Canon SELPHY ES40 IEEE1284 deviceID

2014-01-05	<rlk@sourceforge.net>

	Files:	NEWS (1.665) (+36 -36)
		README (1.216) (+17 -13)
		configure.ac (1.244) (+49 -18)

	Bump version and start working on release notes and README

2014-01-05	<rlk@sourceforge.net>

	Files:	src/xml/papers.xml (1.15) (+7 -1)

	Add w576h576 for dye sub printers.

2014-01-05	<gernot2270@sourceforge.net>

	Files:	src/xml/printers.xml (1.337) (+2 -2)

	Removed line break in Canon MP160 devideID

2014-01-04	<rlk@sourceforge.net>

	Files:	src/main/print-lexmark.c (1.163) (+7 -18)
		src/main/print-pcl.c (1.162) (+9 -27)

	Fix crashes

2014-01-04	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.544) (+9 -4)

	Removed warnings in canon driver

2014-01-04	<gernot2270@sourceforge.net>

	Files:	src/main/print-pcl.c (1.161) (+17 -8)

	Removed two warnings in PCL driver

2014-01-04	<gernot2270@sourceforge.net>

	Files:	src/main/print-lexmark.c (1.162) (+53 -45)

	Removed two warnings in lexmark driver

2014-01-04	<gernot2270@sourceforge.net>

	Files:	test/pixma_parse.c (1.39) (+2 -2)
		test/pixma_parse.h (1.11) (+2 -2)

	Removed warnings in pixma_parse

2014-01-04	<rlk@sourceforge.net>

	Files:	include/gutenprintui2/gutenprintui.h (1.3) (+7 -1)
		src/cups/genppd.c (1.195) (+4 -2)
		src/cups/rastertoprinter.c (1.143) (+13 -3)
		src/gimp2/print-gutenprint.c (1.3) (+14 -14)
		src/gimp2/print.c (1.10) (+12 -13)
		src/gimp2/print_gimp.h (1.6) (+35 -5)
		src/gutenprintui2/curve.c (1.3) (+3 -8)
		src/gutenprintui2/gammacurve.c (1.2) (+4 -17)
		src/gutenprintui2/gutenprintui-internal.h (1.6) (+30 -2)
		src/gutenprintui2/panel.c (1.20) (+25 -17)
		src/gutenprintui2/plist.c (1.20) (+7 -14)
		src/gutenprintui2/printrcl.l (1.3) (+5 -1)
		src/gutenprintui2/ui-utils.c (1.5) (+8 -2)
		src/main/curve.c (1.56) (+4 -7)
		src/main/dither-inks.c (1.28) (+1 -5)
		src/main/gutenprint-internal.h (1.6) (+14 -2)
		src/main/print-color.c (1.146) (+2 -2)
		src/main/print-dither-matrices.c (1.39) (+14 -7)
		src/main/print-escp2.c (1.441) (+10 -10)
		src/main/print-list.c (1.27) (+3 -3)
		src/main/print-vars.c (1.95) (+4 -4)
		src/main/printers.c (1.90) (+2 -2)
		src/main/sequence.c (1.30) (+3 -9)
		src/main/string-list.c (1.21) (+3 -3)
		test/curve.c (1.24) (+4 -2)

	Clean up most warnings

2014-01-04	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.44) (+187 -63)
		src/testpattern/testpattern.c (1.60) (+21 -4)
		src/testpattern/testpatternl.l (1.28) (+4 -1)

	Add recovery mechanism to restart tests after crash.

	Add option to halt on any error.

	Add options to better refine the printer list.

	Add options to better control the level of test output.

	Add option to run everything using one testpattern process, run each
	printer with a separate testpattern process, and run each case in a
	separate process.  The last is considerably slower but allows more
	definite indication of where the program crashed.

2014-01-04	<rlk@sourceforge.net>

	Files:	src/main/print-olympus.c (1.151) (+14 -3)

	Use a simple embedded random number generator to generate consistent
	output from run to run for regression testing purposes.

2014-01-04	<rlk@sourceforge.net>

	Files:	src/escputil/d4lib.c (1.15) (+4 -1)
		src/escputil/escputil.c (1.109) (+294 -215)

	Add experimental --reset-ink-levels command

2014-01-04	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.23) (+1 -1)

	Reduce test output.

2014-01-03	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.326) (+2 -2)

	Set ink order from KCMY to CMYK for Canon Pro 9500 and Pro 9500 Mk.II.

2013-12-31	<gernot2270@sourceforge.net>

	Files:	test/pixma_parse.c (1.38) (+27 -16)
		test/pixma_parse.h (1.10) (+4 -3)

	Removed unused variables from pixma_parse

2013-12-29	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.543) (+2 -2)

	Added missing else if clause to ESC_P length condition check

2013-12-29	<gernot2270@sourceforge.net>

	Files:	src/main/canon-inks.h (1.123) (+1 -49)
		src/main/canon-modes.h (1.391) (+111 -111)
		src/main/print-canon.c (1.542) (+25 -7)

	Canon MG5500 high quality mode inkset corrected.

2013-12-27	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.150) (+12 -2)

	dyesub:  Add 2x6*2 support for the Sony UP-DR200 as well.  Also disabled.

2013-12-27	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.149) (+133 -37)

	dyesub:  Initial multi-cut implementation, #ifdef'd out.

	This relies on creating multiple, otherwise-duplicate paper types to
	handle the various multicut options.  These duplicate papers have not
	(nor will they ever) be committed.

	I am committing this now because it has all of the multicut support
	options enumerated for the DNP DS40/DS80 and the Shinko S2145 printers,
	and the eventual "proper" solution will need this knowledge encoded.

2013-12-19	<speachy@sourceforge.net>

	Files:	src/cups/dnpds40_print.c (1.3) (+15 -8)

	backends:  Fix DNP DS40/DS80 backend when being used as a, well, backend.

	The problem was that we weren't handling short reads when loading the
	plane data, and were aborting instead of recovering cleanly.

2013-12-18	<speachy@sourceforge.net>

	Files:	src/cups/Makefile.am (1.141) (+4 -4)
		src/cups/backend_common.c (1.16) (+3 -3)

	backends:  rename back to gutenprint52+usb and fix the problem with the
	URI_PREFIX not being set properly.

2013-12-18	<speachy@sourceforge.net>

	Files:	NEWS (1.664) (+8 -1)
		src/cups/Makefile.am (1.140) (+7 -2)
		src/cups/blacklist (1.1) (added +163 -0)

	backend:  Add the blacklist file utilized by CUPS >= 1.6.4!

2013-12-18	<speachy@sourceforge.net>

	Files:	src/cups/Makefile.am (1.139) (+7 -7)

	backend:  Rename backend to 'gutenprint52usb' as the old name of
		'gutenprint52+usb' was a 'Bad device-uri scheme' according
		to CUPS.

2013-12-18	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.15) (+22 -6)

	backends:  We need to handle spaces in the manufacturer part of the URI too.

2013-12-18	<speachy@sourceforge.net>

	Files:	NEWS (1.663) (+7 -8)
		src/cups/dnpds40_print.c (1.2) (+2 -2)
		src/foomatic/foomatic-generator.in (1.82) (+4 -1)
		src/main/print-olympus.c (1.148) (+63 -40)

	dyesub: Add 300x600 DPI printing to DNP DS40 and DS80.

	This required a kludge in the foomatic-generator script, it didn't like
	the '300x600' resolution.

2013-12-18	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.147) (+68 -5)

	dyesub:  Fix DS40's 5x7 and 3.5x5 printing; left out a piece.

		Add proper pagesize/cutter control to all ds40/ds80 printing.

	  All that's left now is to define the additional multicut sizes...

2013-12-17	<speachy@sourceforge.net>

	Files:	NEWS (1.662) (+9 -4)
		src/cups/.cvsignore (1.16) (+1 -5)
		src/cups/Makefile.am (1.138) (+2 -2)
		src/cups/backend_common.c (1.14) (+1 -0)
		src/cups/backend_common.h (1.5) (+3 -0)
		src/cups/dnpds40_print.c (1.1) (added +1688 -0)

	backends:  Add a backend for the DNP DS40/DS80 printers.

	Strictly speaking this isn't necessary, but using it enables all sorts
	of capabilities and pipelined, status-aware print queueing.

2013-12-17	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.146) (+15 -7)

	dyesub:  Further improvements to the DS40/DS80 code:

	 * Better document the plane header
	 * Populate the header with proper resolution (as opposed to size) fields
	 * Printer greatly prefers YMC ordering, not CMY

	...Other than multicut support, I think this should do it for the DS40/DS80.

2013-12-17	<speachy@sourceforge.net>

	Files:	NEWS (1.661) (+3 -1)
		src/main/print-olympus.c (1.145) (+19 -16)

	dyesub: Use margins on the DNP DS40/DS80 to accurately reflect the
	printable areas.  This has the benefit of supporting 3.5x5 and 5x7
	prints on the DS40.

2013-12-17	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.144) (+28 -19)

	dyesub: Clean up DNP DS40/DS80 code a bit:

	 * printer_end() should only contain START command
	 * plane_init() should only contain per-plane stuff
	   * Also cleaned up padding code and documented the function better
	 * added printer_start() with all known page setup stuffs

	This is verified working on a DNP DS80 w/ 1.30 firmware.

2013-12-16	<speachy@sourceforge.net>

	Files:	NEWS (1.660) (+1 -0)
		src/xml/printers.xml (1.336) (+3 -3)

	xml:  Add IEEE1284 IDs for DNP DS40 and DS80

2013-12-16	<rlk@sourceforge.net>

	Files:	doc/developer/Makefile.am (1.24) (+2 -2)
		doc/developer/cleanwarnings.pl (1.1) (added +43 -0)

	Remove spurious build noise

2013-12-15	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.143) (+5 -2)

	dyesub:

	  up-dr200:  Fix last commit to use correct value for double-up mode.

	  dnp ds40/ds80:  Explicitly set printer to use "normal" cutter mode.

2013-12-15	<rlk@sourceforge.net>

	Files:	src/main/print-util.c (1.119) (+2 -2)

	Do it right.

2013-12-15	<rlk@sourceforge.net>

	Files:	src/main/print-util.c (1.118) (+6 -1)

	If STP_DEBUG is not zero, force a crash in stp_abort.

2013-12-15	<rlk@sourceforge.net>

	Files:	src/main/print-olympus.c (1.142) (+2 -2)

	Fix null pointer in sony-updr200.

2013-12-15	<rlk@sourceforge.net>

	Files:	NEWS (1.659) (+1 -1)

	Add Turkish translation

2013-12-15	<speachy@sourceforge.net>

	Files:	NEWS (1.658) (+11 -0)

	Improved support for DNP DS40/DS80.

2013-12-15	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.13) (+18 -3)
		src/cups/kodak1400_print.c (1.19) (+3 -1)
		src/cups/kodak605_print.c (1.3) (+1 -5)
		src/cups/selphy_print.c (1.23) (+3 -1)
		src/cups/sony_updr150_print.c (1.7) (+5 -3)

	backends:  Sync with upstream.  Primarily silencing build warnings.

2013-12-14	<rlk@sourceforge.net>

	Files:	src/main/print-olympus.c (1.141) (+2 -2)

	Fix a C++-style comment.

2013-12-14	<rlk@sourceforge.net>

	Files:	src/main/escp2-channels.c (1.92) (+2 -2)
		src/main/escp2-papers.c (1.120) (+3 -3)
		src/main/escp2-resolutions.c (1.53) (+4 -4)
		src/main/print-escp2-data.c (1.275) (+2 -2)
		src/xml/escp2/inks/artisan.xml (1.3) (+2 -2)
		src/xml/escp2/inks/b500.xml (1.6) (+2 -2)
		src/xml/escp2/inks/c120.xml (1.6) (+2 -2)
		src/xml/escp2/inks/c64.xml (1.8) (+2 -2)
		src/xml/escp2/inks/c80.xml (1.9) (+2 -2)
		src/xml/escp2/inks/c82.xml (1.9) (+2 -2)
		src/xml/escp2/inks/claria.xml (1.8) (+2 -2)
		src/xml/escp2/inks/cmy.xml (1.6) (+2 -2)
		src/xml/escp2/inks/cmykrb.xml (1.11) (+2 -2)
		src/xml/escp2/inks/cmykro.xml (1.9) (+2 -2)
		src/xml/escp2/inks/cx3650.xml (1.9) (+2 -2)
		src/xml/escp2/inks/defaultblack.xml (1.4) (+2 -2)
		src/xml/escp2/inks/f360.xml (1.9) (+2 -2)
		src/xml/escp2/inks/f360_photo.xml (1.7) (+2 -2)
		src/xml/escp2/inks/f360_photo7_japan.xml (1.7) (+2 -2)
		src/xml/escp2/inks/f360_ultrachrome.xml (1.7) (+2 -2)
		src/xml/escp2/inks/f360_ultrachrome_k3.xml (1.8) (+2 -2)
		src/xml/escp2/inks/f360_ultrachrome_k3v.xml (1.6) (+2 -2)
		src/xml/escp2/inks/f360_ultrachrome_k3v_2.xml (1.2) (+2 -2)
		src/xml/escp2/inks/nx100.xml (1.3) (+2 -2)
		src/xml/escp2/inks/photo_gen0.xml (1.9) (+2 -2)
		src/xml/escp2/inks/photo_gen1.xml (1.9) (+2 -2)
		src/xml/escp2/inks/photo_gen2.xml (1.9) (+2 -2)
		src/xml/escp2/inks/photo_gen3.xml (1.9) (+2 -2)
		src/xml/escp2/inks/photo_gen3_4.xml (1.9) (+2 -2)
		src/xml/escp2/inks/photo_gen4.xml (1.7) (+2 -2)
		src/xml/escp2/inks/photo_pigment.xml (1.7) (+2 -2)
		src/xml/escp2/inks/picturemate_4.xml (1.6) (+2 -2)
		src/xml/escp2/inks/picturemate_6.xml (1.8) (+2 -2)
		src/xml/escp2/inks/pro_gen1.xml (1.9) (+2 -2)
		src/xml/escp2/inks/pro_gen2.xml (1.9) (+2 -2)
		src/xml/escp2/inks/pro_pigment.xml (1.7) (+2 -2)
		src/xml/escp2/inks/pro_ultrachrome.xml (1.7) (+2 -2)
		src/xml/escp2/inks/pro_ultrachrome_k3.xml (1.12) (+2 -2)
		src/xml/escp2/inks/pro_ultrachrome_k34.xml (1.3) (+2 -2)
		src/xml/escp2/inks/pro_ultrachrome_k3v.xml (1.4) (+2 -2)
		src/xml/escp2/inks/pro_ultrachrome_k3v4.xml (1.2) (+2 -2)
		src/xml/escp2/inks/standard.xml (1.9) (+2 -2)
		src/xml/escp2/inks/standard_gen0.xml (1.9) (+2 -2)
		src/xml/escp2/inks/sx445.xml (1.2) (+2 -2)
		src/xml/escp2/inks/ultrachrome.xml (1.7) (+2 -2)
		src/xml/escp2/inks/wf40.xml (1.3) (+2 -2)
		src/xml/escp2/inks/wf500.xml (1.3) (+2 -2)
		src/xml/escp2/inks/x80.xml (1.6) (+2 -2)
		src/xml/escp2/inputslots/artisan.xml (1.3) (+2 -2)
		src/xml/escp2/inputslots/b500.xml (1.4) (+2 -2)
		src/xml/escp2/inputslots/cd.xml (1.2) (+2 -2)
		src/xml/escp2/inputslots/cd_cutter_roll_feed.xml (1.4) (+2 -2)
		src/xml/escp2/inputslots/cd_roll_feed.xml (1.4) (+2 -2)
		src/xml/escp2/inputslots/cutter_roll_feed.xml (1.4) (+2 -2)
		src/xml/escp2/inputslots/default-duplex.xml (1.3) (+2 -2)
		src/xml/escp2/inputslots/default.xml (1.2) (+1 -1)
		src/xml/escp2/inputslots/pro3880.xml (1.2) (+2 -2)
		src/xml/escp2/inputslots/pro_cutter_roll_feed.xml (1.2) (+2 -2)
		src/xml/escp2/inputslots/pro_roll_feed.xml (1.4) (+2 -2)
		src/xml/escp2/inputslots/r1800.xml (1.4) (+2 -2)
		src/xml/escp2/inputslots/r2400.xml (1.5) (+2 -2)
		src/xml/escp2/inputslots/r2880.xml (1.3) (+2 -2)
		src/xml/escp2/inputslots/rx680.xml (1.2) (+2 -2)
		src/xml/escp2/inputslots/rx700.xml (1.4) (+2 -2)
		src/xml/escp2/inputslots/spro5000.xml (1.4) (+2 -2)
		src/xml/escp2/inputslots/standard_roll_feed.xml (1.4) (+2 -2)
		src/xml/escp2/inputslots/wf7000.xml (1.2) (+2 -2)
		src/xml/escp2/media/artisan.xml (1.2) (+2 -2)
		src/xml/escp2/media/b500.xml (1.13) (+2 -2)
		src/xml/escp2/media/c120.xml (1.13) (+2 -2)
		src/xml/escp2/media/c64.xml (1.9) (+2 -2)
		src/xml/escp2/media/c80.xml (1.9) (+2 -2)
		src/xml/escp2/media/c82.xml (1.9) (+2 -2)
		src/xml/escp2/media/claria.xml (1.12) (+2 -2)
		src/xml/escp2/media/claria1400.xml (1.10) (+2 -2)
		src/xml/escp2/media/cmy.xml (1.8) (+2 -2)
		src/xml/escp2/media/cmykrb.xml (1.9) (+2 -2)
		src/xml/escp2/media/cmykro.xml (1.5) (+2 -2)
		src/xml/escp2/media/cx3650.xml (1.9) (+2 -2)
		src/xml/escp2/media/f360.xml (1.9) (+2 -2)
		src/xml/escp2/media/f360_photo.xml (1.8) (+2 -2)
		src/xml/escp2/media/f360_photo7_japan.xml (1.8) (+2 -2)
		src/xml/escp2/media/f360_ultrachrome.xml (1.8) (+2 -2)
		src/xml/escp2/media/f360_ultrachrome_k3.xml (1.11) (+2 -2)
		src/xml/escp2/media/f360_ultrachrome_k3v.xml (1.5) (+2 -2)
		src/xml/escp2/media/nx100.xml (1.2) (+2 -2)
		src/xml/escp2/media/photo_gen0.xml (1.9) (+2 -2)
		src/xml/escp2/media/photo_gen1.xml (1.9) (+2 -2)
		src/xml/escp2/media/photo_gen2.xml (1.9) (+2 -2)
		src/xml/escp2/media/photo_gen3.xml (1.9) (+2 -2)
		src/xml/escp2/media/photo_gen3_4.xml (1.9) (+2 -2)
		src/xml/escp2/media/photo_gen4.xml (1.9) (+2 -2)
		src/xml/escp2/media/photo_pigment.xml (1.8) (+2 -2)
		src/xml/escp2/media/picturemate_4.xml (1.8) (+2 -2)
		src/xml/escp2/media/picturemate_6.xml (1.8) (+2 -2)
		src/xml/escp2/media/pro3880_ultrachrome_k3v.xml (1.2) (+2 -2)
		src/xml/escp2/media/pro_gen1.xml (1.9) (+2 -2)
		src/xml/escp2/media/pro_gen2.xml (1.9) (+2 -2)
		src/xml/escp2/media/pro_pigment.xml (1.8) (+2 -2)
		src/xml/escp2/media/pro_ultrachrome.xml (1.9) (+2 -2)
		src/xml/escp2/media/pro_ultrachrome_k3.xml (1.5) (+2 -2)
		src/xml/escp2/media/pro_ultrachrome_k3v.xml (1.3) (+2 -2)
		src/xml/escp2/media/r800.xml (1.3) (+2 -2)
		src/xml/escp2/media/standard.xml (1.9) (+2 -2)
		src/xml/escp2/media/standard_gen0.xml (1.9) (+2 -2)
		src/xml/escp2/media/ultrachrome.xml (1.8) (+2 -2)
		src/xml/escp2/media/wf500.xml (1.2) (+2 -2)
		src/xml/escp2/media/x80.xml (1.8) (+2 -2)
		src/xml/escp2/mediasizes/standard.xml (1.3) (+2 -2)
		src/xml/escp2/model/model_0.xml (1.9) (+6 -6)
		src/xml/escp2/model/model_1.xml (1.9) (+6 -6)
		src/xml/escp2/model/model_10.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_100.xml (1.3) (+7 -7)
		src/xml/escp2/model/model_101.xml (1.2) (+6 -6)
		src/xml/escp2/model/model_102.xml (1.6) (+2 -2)
		src/xml/escp2/model/model_103.xml (1.4) (+2 -2)
		src/xml/escp2/model/model_104.xml (1.4) (+2 -2)
		src/xml/escp2/model/model_105.xml (1.3) (+2 -2)
		src/xml/escp2/model/model_106.xml (1.3) (+2 -2)
		src/xml/escp2/model/model_107.xml (1.6) (+2 -2)
		src/xml/escp2/model/model_108.xml (1.3) (+10 -10)
		src/xml/escp2/model/model_109.xml (1.2) (+2 -2)
		src/xml/escp2/model/model_11.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_110.xml (1.2) (+2 -2)
		src/xml/escp2/model/model_111.xml (1.2) (+6 -6)
		src/xml/escp2/model/model_112.xml (1.2) (+8 -8)
		src/xml/escp2/model/model_113.xml (1.2) (+8 -8)
		src/xml/escp2/model/model_114.xml (1.2) (+8 -8)
		src/xml/escp2/model/model_115.xml (1.3) (+2 -2)
		src/xml/escp2/model/model_116.xml (1.5) (+2 -2)
		src/xml/escp2/model/model_117.xml (1.3) (+2 -2)
		src/xml/escp2/model/model_118.xml (1.4) (+6 -6)
		src/xml/escp2/model/model_119.xml (1.5) (+6 -6)
		src/xml/escp2/model/model_12.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_120.xml (1.5) (+6 -6)
		src/xml/escp2/model/model_121.xml (1.2) (+6 -6)
		src/xml/escp2/model/model_13.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_14.xml (1.10) (+8 -8)
		src/xml/escp2/model/model_15.xml (1.10) (+8 -8)
		src/xml/escp2/model/model_16.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_17.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_18.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_19.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_2.xml (1.9) (+6 -6)
		src/xml/escp2/model/model_20.xml (1.10) (+8 -8)
		src/xml/escp2/model/model_21.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_22.xml (1.10) (+8 -8)
		src/xml/escp2/model/model_23.xml (1.10) (+8 -8)
		src/xml/escp2/model/model_24.xml (1.9) (+6 -6)
		src/xml/escp2/model/model_25.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_26.xml (1.10) (+8 -8)
		src/xml/escp2/model/model_27.xml (1.9) (+8 -8)
		src/xml/escp2/model/model_28.xml (1.9) (+8 -8)
		src/xml/escp2/model/model_29.xml (1.9) (+8 -8)
		src/xml/escp2/model/model_3.xml (1.9) (+6 -6)
		src/xml/escp2/model/model_30.xml (1.9) (+8 -8)
		src/xml/escp2/model/model_31.xml (1.9) (+8 -8)
		src/xml/escp2/model/model_32.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_33.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_34.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_35.xml (1.10) (+8 -8)
		src/xml/escp2/model/model_36.xml (1.10) (+8 -8)
		src/xml/escp2/model/model_37.xml (1.10) (+8 -8)
		src/xml/escp2/model/model_38.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_39.xml (1.9) (+6 -6)
		src/xml/escp2/model/model_4.xml (1.9) (+6 -6)
		src/xml/escp2/model/model_40.xml (1.9) (+8 -8)
		src/xml/escp2/model/model_41.xml (1.9) (+8 -8)
		src/xml/escp2/model/model_42.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_43.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_44.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_45.xml (1.9) (+6 -6)
		src/xml/escp2/model/model_46.xml (1.10) (+9 -9)
		src/xml/escp2/model/model_47.xml (1.11) (+9 -9)
		src/xml/escp2/model/model_48.xml (1.12) (+8 -8)
		src/xml/escp2/model/model_49.xml (1.12) (+8 -8)
		src/xml/escp2/model/model_5.xml (1.9) (+6 -6)
		src/xml/escp2/model/model_50.xml (1.10) (+8 -8)
		src/xml/escp2/model/model_51.xml (1.10) (+8 -8)
		src/xml/escp2/model/model_52.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_53.xml (1.10) (+9 -9)
		src/xml/escp2/model/model_54.xml (1.10) (+8 -8)
		src/xml/escp2/model/model_55.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_56.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_57.xml (1.10) (+9 -9)
		src/xml/escp2/model/model_58.xml (1.10) (+8 -8)
		src/xml/escp2/model/model_59.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_6.xml (1.9) (+6 -6)
		src/xml/escp2/model/model_60.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_61.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_62.xml (1.10) (+8 -8)
		src/xml/escp2/model/model_63.xml (1.11) (+8 -8)
		src/xml/escp2/model/model_64.xml (1.12) (+10 -10)
		src/xml/escp2/model/model_65.xml (1.14) (+6 -6)
		src/xml/escp2/model/model_66.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_67.xml (1.11) (+10 -10)
		src/xml/escp2/model/model_68.xml (1.11) (+10 -10)
		src/xml/escp2/model/model_69.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_7.xml (1.9) (+8 -8)
		src/xml/escp2/model/model_70.xml (1.12) (+8 -8)
		src/xml/escp2/model/model_71.xml (1.11) (+10 -10)
		src/xml/escp2/model/model_72.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_73.xml (1.10) (+8 -8)
		src/xml/escp2/model/model_74.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_75.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_76.xml (1.11) (+6 -6)
		src/xml/escp2/model/model_77.xml (1.11) (+6 -6)
		src/xml/escp2/model/model_78.xml (1.10) (+8 -8)
		src/xml/escp2/model/model_79.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_8.xml (1.9) (+8 -8)
		src/xml/escp2/model/model_80.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_81.xml (1.12) (+8 -8)
		src/xml/escp2/model/model_82.xml (1.13) (+8 -8)
		src/xml/escp2/model/model_83.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_84.xml (1.11) (+8 -8)
		src/xml/escp2/model/model_85.xml (1.12) (+7 -7)
		src/xml/escp2/model/model_86.xml (1.10) (+6 -6)
		src/xml/escp2/model/model_87.xml (1.16) (+6 -6)
		src/xml/escp2/model/model_88.xml (1.12) (+2 -2)
		src/xml/escp2/model/model_89.xml (1.12) (+2 -2)
		src/xml/escp2/model/model_9.xml (1.9) (+8 -8)
		src/xml/escp2/model/model_90.xml (1.12) (+2 -2)
		src/xml/escp2/model/model_91.xml (1.9) (+10 -10)
		src/xml/escp2/model/model_92.xml (1.3) (+6 -6)
		src/xml/escp2/model/model_93.xml (1.2) (+6 -6)
		src/xml/escp2/model/model_94.xml (1.4) (+7 -6)
		src/xml/escp2/model/model_95.xml (1.3) (+6 -6)
		src/xml/escp2/model/model_96.xml (1.7) (+8 -8)
		src/xml/escp2/model/model_97.xml (1.3) (+8 -8)
		src/xml/escp2/model/model_98.xml (1.5) (+10 -10)
		src/xml/escp2/model/model_99.xml (1.3) (+7 -7)
		src/xml/escp2/qualitypresets/p1_5.xml (1.3) (+2 -2)
		src/xml/escp2/qualitypresets/picturemate.xml (1.3) (+2 -2)
		src/xml/escp2/qualitypresets/prox900.xml (1.2) (+2 -2)
		src/xml/escp2/qualitypresets/standard.xml (1.3) (+2 -2)
		src/xml/escp2/qualitypresets/v2880.xml (1.3) (+2 -2)
		src/xml/escp2/qualitypresets/wf40.xml (1.2) (+2 -2)
		src/xml/escp2/weaves/pro7000.xml (1.3) (+2 -2)
		src/xml/escp2/weaves/pro7500.xml (1.3) (+2 -2)
		src/xml/escp2/weaves/pro7600.xml (1.3) (+2 -2)
		src/xml/escp2/weaves/standard.xml (1.3) (+2 -2)

	Fix XML validation issue

2013-12-14	<rlk@sourceforge.net>

	Files:	include/gutenprint/string-list.h (1.4) (+7 -2)
		src/gutenprintui2/plist.c (1.19) (+6 -6)
		src/main/print-escp2-data.c (1.274) (+3 -2)
		src/main/string-list.c (1.20) (+26 -1)
		src/xml/extract-strings.c (1.3) (+11 -5)

	Validate that the name in string list names contains only alnum,
	hyphen, underscore, and + characters to ensure that key names won't
	contain things like whitespace that cause some things to blow up.

	Add stp_string_listt_add_string_unsafe for the cases where that is
	known not to be an issue (such as translations).

2013-12-14	<rlk@sourceforge.net>

	Files:	src/cups/Makefile.am (1.137) (+3 -3)
		src/cups/genppd.c (1.194) (+516 -390)
		src/cups/i18n.c (1.9) (+6 -6)
		src/cups/test-ppds (1.8) (+2 -2)

	Reduce verbosity of genppd; test uncompressed PPDs to work around CUPS bug

2013-12-14	<rlk@sourceforge.net>

	Files:	configure.ac (1.243) (+3 -3)
		po/ca.po (1.4) (+6982 -5606)
		po/cs.po (1.64) (+6874 -5619)
		po/da.po (1.108) (+6988 -5615)
		po/de.po (1.81) (+6831 -5560)
		po/el.po (1.79) (+6875 -5624)
		po/en_GB.po (1.172) (+6941 -5672)
		po/es.po (1.77) (+6874 -5619)
		po/fi.po (1.9) (+6951 -5682)
		po/fr.po (1.105) (+6904 -5643)
		po/gl.po (1.4) (+6830 -5559)
		po/hu.po (1.37) (+6951 -5682)
		po/it.po (1.18) (+7003 -5607)
		po/ja.po (1.74) (+6847 -5574)
		po/nb.po (1.38) (+6854 -5590)
		po/nl.po (1.91) (+7020 -5627)
		po/pl.po (1.83) (+6876 -5628)
		po/pt.po (1.78) (+6874 -5619)
		po/ru.po (1.11) (+6948 -5681)
		po/sk.po (1.82) (+6874 -5619)
		po/sl.po (1.6) (+6851 -5581)
		po/sv.po (1.108) (+6935 -5673)
		po/tr.po (1.1) (added +18450 -0)
		po/uk.po (1.8) (+7004 -5622)
		po/zh_CN.po (1.4) (+6348 -5558)
		po/zh_TW.po (1.38) (+6928 -5655)

	Add Turkish translation

2013-12-14	<rlk@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.142) (+3 -3)
		src/cups/test-rastertogutenprint.in (1.22) (+1 -1)

	Reduce lines of test output

2013-12-14	<rlk@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.141) (+4 -5)

	Collapse amount printed and elapsed time into 1 line

2013-12-11	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.140) (+3 -3)

	dyesub:  DNP DS40/80 -- Fix lamination.  Silly printer uses DECIMAL numbers.

2013-12-11	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.139) (+21 -5)

	dyesub: Add lamination control to DNP DS40/DS80

	(Requires firmware 1.30 or newer..)

2013-12-04	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.138) (+2 -2)

	dyesub: shinko_s2145:  correct a comment about double-cut operation.

2013-12-01	<speachy@sourceforge.net>

	Files:	NEWS (1.657) (+5 -1)

	Add a note stating that Mitsubishi dyesub models ending in '-S' are NOT
	supported.

2013-11-25	<speachy@sourceforge.net>

	Files:	src/cups/kodak6800_print.c (1.11) (+3 -3)
		src/cups/shinko_s2145_print.c (1.11) (+3 -10)

	backends:  use of open() with O_CREAT requires a third argument for file mask.

2013-11-24	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.137) (+11 -11)

	dyesub: Fix print sizes with Mitsubishi CP-D70x, and the width/height in
	the output stream were swapped inadvertantly.

2013-11-24	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.12) (+3 -1)
		src/cups/backend_common.h (1.4) (+3 -0)
		src/cups/kodak605_print.c (1.2) (+109 -7)
		src/cups/kodak6800_print.c (1.10) (+20 -8)

	backends:  Several changes:

	  1) Silence some warnings
	  2) Fix bug in Kodak6800's tone curve set function
	  3) Add support to Kodak605 backend for setting tone curve

2013-11-24	<speachy@sourceforge.net>

	Files:	NEWS (1.656) (+1 -0)
		src/main/print-olympus.c (1.136) (+106 -9)
		src/xml/printers.xml (1.335) (+2 -1)

	dyesub:  Add support for Mitsubishi CP-K60DW

	It's similar to the CP-D70/D707, but different enough to be annoying.

	Also fixed a couple of bugs in the CP-D70 code.

2013-11-24	<speachy@sourceforge.net>

	Files:	src/xml/papers.xml (1.14) (+7 -1)

	papers:  add 6x6" print size.

2013-11-23	<speachy@sourceforge.net>

	Files:	NEWS (1.655) (+4 -7)
		src/cups/Makefile.am (1.136) (+2 -2)
		src/cups/backend_common.c (1.11) (+2 -1)
		src/cups/backend_common.h (1.3) (+2 -0)
		src/cups/kodak605_print.c (1.1) (added +642 -0)

	dyesub: kodak605:  Add a CUPS backend for the Kodak 605 photo printer.

	It has some warts, but it does successfully spit out 4x6 prints!

2013-11-21	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.135) (+3 -3)

	dyesub: kodak605:  rows and columns of spool file are LITTLE endian!

2013-11-21	<speachy@sourceforge.net>

	Files:	NEWS (1.654) (+1 -0)
		src/xml/printers.xml (1.334) (+2 -2)

	printers.xml:  Add IEEE1284 ID for Kodak 605

2013-10-29	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.134) (+6 -6)

	dyesub: s2145: Use CamelCase instead of underscores in keywords.

2013-10-29	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.133) (+6 -6)

	dyesub: s2145:  Spaces are not allowed in keywords.

2013-10-19	<gernot2270@sourceforge.net>

	Files:	src/main/canon-inks.h (1.122) (+2 -2)

	Fixed photo inkset definitions for Canon MG6500 and MG7100.

2013-10-18	<gernot2270@sourceforge.net>

	Files:	src/main/canon-inks.h (1.121) (+3 -3)
		src/main/print-canon.c (1.541) (+8 -8)

	Corrected inksets for Canon iP7200: missing compression flag for photo-black ink.

2013-10-17	<speachy@sourceforge.net>

	Files:	NEWS (1.653) (+5 -0)
		src/main/print-olympus.c (1.132) (+66 -23)
		src/xml/printers.xml (1.333) (+4 -3)

	dyesub: Initial support for the Sony UP-DR200 printer.

	Its spool file is nearly identical to the UP-DR150, with an addition to
	to allow cutting media in half for smaller prints.  (Gutenprint does NOT
	support this currently!)

	The backend will need updating as well, but we'll need access to one of
	these printers in order to proceed further.

2013-10-14	<gernot2270@sourceforge.net>

	Files:	src/main/canon-modes.h (1.390) (+2 -2)
		src/main/print-canon.c (1.540) (+329 -75)

	Corrected duplex mode selection in Canon driver. Corrected modes for Canon iP7200.

2013-10-08	<speachy@sourceforge.net>

	Files:	NEWS (1.652) (+4 -0)
		src/xml/printers.xml (1.332) (+3 -3)

	Add IEEE1284 Device ID for the Mitsubishi CP-D70/D707 printers.

2013-10-07	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.131) (+6 -6)

	dyesub: Fix lamination axis for Mitsubishi CP-D70x printers.

2013-10-03	<speachy@sourceforge.net>

	Files:	src/cups/shinko_s2145_print.c (1.10) (+17 -4)

	backend: shinkos2145:  Add a "fast return" mode.

	Once the printer accepts the job, there's no need to block until it's
	done.  this adds an option to bypass this wait.  It will probably become
	the default in the future.

2013-10-03	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.10) (+22 -12)

	backend: common:  URIs need the backend name now that they've been unified.

	Also fix up return codes so they line up better with CUPS specs.

2013-10-03	<speachy@sourceforge.net>

	Files:	src/cups/kodak6800_print.c (1.9) (+9 -14)

	backend: kodak6800: Fix operation with the 6850 with 6x8 media.

2013-09-15	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.539) (+104 -49)

	Implemented media code substitution for FineArt paper sizes (with borders) for Canon printers. Affected paper sizes: Letter, A4, A3, A3+.

2013-09-15	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.325) (+23 -7)
		src/xml/printers.xml (1.331) (+4 -4)

	Added ESC (v command to several Canon printer lines where it was missing: iP7200, MG2400, MG3500, MX390, MX520, MX720, MX920, E610 (new printer model created for E610).

2013-09-12	<gernot2270@sourceforge.net>

	Files:	NEWS (1.651) (+1 -1)
		src/xml/printers.xml (1.330) (+3 -3)

	Corrected Canon MG6530 and MG7130 names to PIXUS.

2013-09-12	<gernot2270@sourceforge.net>

	Files:	NEWS (1.650) (+11 -0)
		src/main/canon-inks.h (1.120) (+210 -1)
		src/main/canon-media-mode.h (1.178) (+94 -0)
		src/main/canon-modes.h (1.389) (+24 -0)
		src/main/canon-printers.h (1.324) (+16 -0)
		src/main/print-canon.c (1.538) (+38 -13)
		src/xml/printers.xml (1.329) (+12 -1)

	Added experimental support for Canon MG6500 line (MG6530) and MG7100 line (MG7110, MG7120, MG7130, MG7140, MG7150, MG7170). Made some changes to FineArt A4, Letter, A3 media papersize code replacement (further changes to be made as codes confirmed on relevant printer models).

2013-09-11	<gernot2270@sourceforge.net>

	Files:	NEWS (1.649) (+15 -0)
		src/main/canon-inks.h (1.119) (+56 -8)
		src/main/canon-media-mode.h (1.177) (+68 -2)
		src/main/canon-modes.h (1.388) (+19 -1)
		src/main/canon-printers.h (1.323) (+16 -0)
		src/main/print-canon.c (1.537) (+6 -6)
		src/xml/printers.xml (1.328) (+16 -1)

	Added support for Canon MG5500 series (MG5520, MG5522, MG5530, MG5540, MG5550, MG5570) and MG6400 series (MG6410, MG6420, MG6440, MG6450, MG6470). Fixed duplex choices for Canon MG3500. Removed two compiler warnings from print-canon.c (comment style and declaration with assignment)

2013-09-08	<rlk@sourceforge.net>

	Files:	NEWS (1.648) (+1 -1)
		README (1.215) (+13 -13)

	Update

2013-09-08	<rlk@sourceforge.net>

	Files:	configure.ac (1.242) (+10 -6)

	Print exec prefix, lib dir, and module dir a bit more transparently.

2013-09-08	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.193) (+139 -133)

	Accept most options being missing other than PageSize.

2013-09-08	<rlk@sourceforge.net>

	Files:	src/main/print-raw.c (1.43) (+20 -1)

	Add required PageSize parameter to print-raw

2013-09-08	<rlk@sourceforge.net>

	Files:	po/ca.po (1.3) (+4082 -3429)
		po/da.po (1.107) (+320 -604)
		po/it.po (1.17) (+253 -853)
		po/nl.po (1.90) (+255 -536)
		po/uk.po (1.7) (+241 -511)

	Update some translations

2013-09-01	<speachy@sourceforge.net>

	Files:	src/cups/kodak1400_print.c (1.18) (+8 -1)

	backends: kodak1400:  Rudimentary error detection and clean termination.

2013-09-01	<gernot2270@sourceforge.net>

	Files:	NEWS (1.647) (+9 -0)
		src/main/canon-media-mode.h (1.176) (+59 -0)
		src/main/canon-modes.h (1.387) (+19 -0)
		src/main/canon-printers.h (1.322) (+22 -0)
		src/main/print-canon.c (1.536) (+6 -2)
		src/xml/printers.xml (1.327) (+10 -1)

	Added support for Canon PIXMA MG3500 series (MG3510, MG3520, MG3530, MG3540, MG3550, MG3560, MG3570). Not sure whether duplex works with existing commands.

2013-08-31	<gernot2270@sourceforge.net>

	Files:	NEWS (1.646) (+11 -2)
		src/xml/printers.xml (1.326) (+10 -1)

	Added support for Canon PIXMA MG2500 series (MG2510, MG2520, MG2540, MG2550, MG2560, MG2570, MG2580). These printers do not support borderless under Windows, and have only 4 media types to select from. Experimental support for other media types added.

2013-08-30	<gernot2270@sourceforge.net>

	Files:	NEWS (1.645) (+17 -0)
		src/main/canon-media-mode.h (1.175) (+57 -0)
		src/main/canon-media.h (1.138) (+19 -0)
		src/main/canon-modes.h (1.386) (+15 -0)
		src/main/canon-printers.h (1.321) (+16 -0)
		src/main/print-canon.c (1.535) (+2 -2)
		src/xml/printers.xml (1.325) (+9 -1)

	Added support for Canon PIXMA MG2400 series (MG2400, MG2410, MG2420, MG2440, MG2450, MG2470). These printers do not support borderless under Windows, and have only 4 media types to select from. Experimental support for other media types added.

2013-08-30	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.174) (+11479 -11479)

	Converted from DOS (CRLF) to Unix (LF) format

2013-08-29	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.173) (+6 -2)
		src/main/canon-modes.h (1.385) (+3 -3)
		src/main/print-canon.c (1.534) (+2 -2)

	Fixed modes for Canon MX510 and MX520, mode usage and ink code correction for MX520

2013-08-28	<speachy@sourceforge.net>

	Files:	src/cups/shinko_s2145_print.c (1.9) (+34 -24)

	backends:  Internal cleanups for the shinko_s2145 backend.

	No visible changes; the purpose is to resync with upstream before the
	5.2.10 release.

2013-08-27	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.9) (+1 -1)
		src/cups/backend_common.h (1.2) (+1 -1)
		src/cups/kodak1400_print.c (1.17) (+1 -1)
		src/cups/kodak6800_print.c (1.8) (+1 -1)
		src/cups/selphy_print.c (1.22) (+1 -1)
		src/cups/sony_updr150_print.c (1.6) (+1 -1)

	backends:  Update URL to "upstream" repository for these backends.

2013-08-19	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.8) (+4 -1)

	backends:  When not scanning, go with the first matching result we find.

	This fixes the case where we try to do a serial match but end up
	skipping over the matched printer.

2013-08-15	<speachy@sourceforge.net>

	Files:	NEWS (1.644) (+5 -2)

	NEWS:  The Mitsubishi CP9810 is confirmed to work.

2013-08-03	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.324) (+2 -2)

	printers.xml:  Add IEEE1284 ID for Kodak 6850

	(Forgot to commit this earlier)

2013-07-30	<speachy@sourceforge.net>

	Files:	NEWS (1.643) (+5 -3)

	NEWS:  Update information about Kodak 6850

2013-07-27	<speachy@sourceforge.net>

	Files:	src/cups/Makefile.am (1.135) (+4 -4)

	backends:  Put 'backend_common.h' into the correct place.

2013-07-27	<speachy@sourceforge.net>

	Files:	src/cups/Makefile.am (1.134) (+10 -29)
		src/cups/backend_common.c (1.7) (+403 -55)
		src/cups/backend_common.h (1.1) (added +213 -0)
		src/cups/kodak1400_print.c (1.16) (+178 -303)
		src/cups/kodak6800_print.c (1.7) (+381 -291)
		src/cups/selphy_print.c (1.21) (+260 -435)
		src/cups/shinko_s2145_print.c (1.8) (+507 -381)
		src/cups/sony_updr150_print.c (1.5) (+75 -212)

	backends:  Unify all backends into a single executable -- gutenprint52+usb

	The '52' is automatically determined based on MAJOR/MINOR version.

	This commit also includes some additional bugfixes and support for the
	Kodak 6850. (ie full upstream resync)

2013-07-20	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.6) (+5 -1)

	backends:  Fix compile problem when using libusb (as opposed to libusbx)

2013-07-20	<speachy@sourceforge.net>

	Files:	NEWS (1.642) (+30 -6)

	NEWS:  Add information about new dyesub backend

2013-07-20	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.130) (+6 -6)

	dyesub: kodak1400: Fix off-by-one horizontal margins in the 8.5x14 media

2013-07-18	<speachy@sourceforge.net>

	Files:	NEWS (1.641) (+3 -3)
		src/cups/kodak1400_print.c (1.15) (+6 -4)
		src/cups/kodak6800_print.c (1.6) (+3 -1)
		src/cups/selphy_print.c (1.20) (+3 -1)
		src/cups/shinko_s2145_print.c (1.7) (+3 -1)
		src/cups/sony_updr150_print.c (1.4) (+3 -1)

	backends:  Resync with upstream:

	 * Kodak 805 is officially supported
	 * All backends, in standalone mode, can be told to use a specific device
	   by setting the DEVICE environment varible to the USB-reported serial
	   number of the device in question.  Otherwise it uses the first match.

2013-07-17	<speachy@sourceforge.net>

	Files:	src/cups/shinko_s2145_print.c (1.6) (+373 -357)

	s2145: Major updates.

	     * Factor out command-response sequence into a separate function
	     * Stop using lookup tables for text fields in favor of switch statements
	     * Add full status/error field decoding (not counting "printer error" fields
	     * Add full command id decoding in error messages
	     * Fix order of bankX status fields
	     * Simplify state machine, fixing major bugs in the process
	     * Improved status and error logging considerably
	     * Don't sleep unless readback and state are unchanged
	     * Sleep after image data is sent over (improves reliability)
	     * Other bugfixes

2013-07-17	<speachy@sourceforge.net>

	Files:	src/cups/kodak1400_print.c (1.14) (+9 -7)
		src/cups/kodak6800_print.c (1.5) (+9 -7)
		src/cups/selphy_print.c (1.19) (+8 -6)

	backends: Only sleep when both the readback and state don't change.

2013-07-17	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.5) (+9 -3)

	backends:  Use USB bus/port when the printer doesn't report a valid serial.

	This is admittedly a kludge, but necessary when there's no other way to
	distinguish betweeen multiple (identical) printers plugged in.

2013-07-16	<speachy@sourceforge.net>

	Files:	src/cups/kodak1400_print.c (1.13) (+3 -2)
		src/cups/kodak6800_print.c (1.4) (+3 -2)
		src/cups/selphy_print.c (1.18) (+3 -3)
		src/cups/shinko_s2145_print.c (1.5) (+10 -20)
		src/cups/sony_updr150_print.c (1.3) (+3 -2)

	backends:  Don't re-attach to the kernel driver when we're done.

	This re-attaching breaks the s2145 driver, and possibly others too.

	Since all of these printers need a special backend anyway, it's not like
	re-attaching to the kernel accomplishes anything anyway.

2013-07-15	<speachy@sourceforge.net>

	Files:	src/cups/.cvsignore (1.15) (+4 -1)

	update cvsignore.

2013-07-15	<speachy@sourceforge.net>

	Files:	src/cups/Makefile.am (1.133) (+15 -14)
		src/cups/kodak1400_print.c (1.12) (+1 -1)
		src/cups/kodak6800_print.c (1.3) (+1 -1)
		src/cups/selphy_print.c (1.17) (+2 -2)
		src/cups/shinko_s2145_print.c (1.4) (+2 -2)
		src/cups/sony_updr150_print.c (1.2) (+2 -2)

	backends:  rename all backends to use similar naming convention, and eliminate '_' which is illegal.

2013-07-14	<speachy@sourceforge.net>

	Files:	NEWS (1.640) (+6 -1)
		src/cups/Makefile.am (1.132) (+6 -2)
		src/cups/sony_updr150_print.c (1.1) (added +407 -0)

	backends:  Add a backend for the Sony UP-DR150 printer.

2013-07-14	<speachy@sourceforge.net>

	Files:	src/cups/shinko_s2145_print.c (1.3) (+254 -145)

	backends: shinko_s2145: Add support for setting tone curves.

	Also has some internal reworking, but that has no outward effect.

2013-07-14	<speachy@sourceforge.net>

	Files:	src/cups/kodak6800_print.c (1.2) (+268 -4)

	backends: kodak6800:  Add experimental support for setting/getting tone curves

2013-07-14	<speachy@sourceforge.net>

	Files:	src/cups/kodak1400_print.c (1.11) (+106 -3)

	backends: kodak1400:  Add experimental support for setting tone curves.

2013-07-14	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.323) (+2 -2)

	printers.xml:  Add IEEE1284 Device ID for Sony UP-DR150

2013-07-14	<speachy@sourceforge.net>

	Files:	src/cups/Makefile.am (1.131) (+2 -2)

	backends:  Get rid of hte 'selphy_backend_common.h' header from the makefile

2013-07-14	<speachy@sourceforge.net>

	Files:	src/cups/Makefile.am (1.130) (+3 -2)

	backends:  add 'backend_common.c' to EXTRA_DIST

2013-07-11	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.129) (+9 -14)

	dyesub: sony up-dr150:  more fixes relating to page orientation.
	             up-dr100:  Don't double-swap when in LANDSCAPE mode.

2013-07-11	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.128) (+15 -19)

	dyesub: sony up-dr150:  Fix swapped landscape/portrait orientation.

2013-07-07	<speachy@sourceforge.net>

	Files:	src/cups/shinko_s2145_print.c (1.2) (+737 -21)

	shinko_s2145:  Major updates to backend.

	 * Ability to query everything the printer supports
	 * Ability to set everything except custom color tone curve
	 * Better (printer) error handling

	There are still some warts, but this thing is nearly fully operational.

2013-07-07	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.4) (+20 -7)

	backends:  Fix improper NULL termination and better sanitize USB-supplied strings.

2013-07-06	<speachy@sourceforge.net>

	Files:	NEWS (1.639) (+8 -1)
		src/cups/Makefile.am (1.129) (+7 -2)
		src/cups/backend_common.c (1.3) (+8 -3)
		src/cups/shinko_s2145_print.c (1.1) (added +1730 -0)

	dyesub: Add a CUPS backend for the Shinko CHC-S2145 printer.

	This has been verified to work on a real printer using 4x6 prints.

2013-07-06	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.322) (+2 -2)

	printers.xml: Add IEEE1284 ID for Shinko CHC-S2145

2013-07-06	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.127) (+132 -13)
		src/xml/printers.xml (1.321) (+4 -2)

	dyeub:  Add initial support for Shinko/Sinfonia CHC-S2145

	Gutenprint now generates raw spool files identical to the Windows
	drivers.  Unfortunately, the printer requires an intelligent backend,
	which will be commmitted once it's ready.

	This work was sponsored by LiveLink Technology [1], who generously
	contributed a printer, media, and funding.

	[1] http://www.livelinktechnology.net/

2013-07-06	<speachy@sourceforge.net>

	Files:	src/xml/papers.xml (1.13) (+7 -1)

	papers:  Add a 2x6 paper size.

2013-07-02	<speachy@sourceforge.net>

	Files:	configure.ac (1.241) (+3 -3)

	configure:  Fix alignment of diagnostic message for the CUPS backends.

2013-07-02	<speachy@sourceforge.net>

	Files:	NEWS (1.638) (+12 -3)
		src/cups/Makefile.am (1.128) (+7 -2)
		src/cups/kodak6800_print.c (1.1) (added +1225 -0)

	kodak6800:  Add a CUPS backend.

2013-07-02	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.2) (+2 -0)
		src/cups/kodak1400_print.c (1.10) (+7 -2)
		src/cups/selphy_print.c (1.16) (+9 -11)

	backends:  Improve logging output.

2013-06-30	<speachy@sourceforge.net>

	Files:	src/cups/backend_common.c (1.1) (added +1075 -0)
		src/cups/kodak1400_print.c (1.9) (+39 -174)
		src/cups/selphy_print.c (1.15) (+300 -193)

	backends:  Move a great deal of common code into a shared file.

	(I'm writing a third backend now, and a fourth one will happen within
	 the month)

	This also fixes a rather nasty bug in the selphy backend.

2013-06-29	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.126) (+18 -12)

	dyesub: kodak1400/805: Fix margins so they display and function properly.

	These printers require full-bleed output *horizontally* though the
	imaging area is smaller than the data supplied.  Further complicating
	things is that the lamination area is actually smaller than the
	printable area.

	So, set the margins so that we can't print outside the lamination area,
	but ensure gutenprint generates the full-bleed width regardless.

2013-06-29	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.125) (+8 -8)

	kodak1400/805:  Fix off-by-one error in page width computation.

2013-06-27	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.320) (+2 -2)

	xml: Add IEEE1284 entry for Kodak 6800 printer.

2013-06-27	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.319) (+2 -2)

	printers.xml:  Add IEEE1284 device ID for Kodak 805 printer.

2013-06-26	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.124) (+7 -6)

	dyesub: Fix Kodak 6850 (similar fix as 6800) -- also fixes 5x7
	        Minor fix to Kodak 605 (de-hardcode horizontal size)

2013-06-26	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.123) (+5 -5)

	dyesub:  Fix errors in the kodak 6800 support.

2013-06-23	<rlk@sourceforge.net>

	Files:	NEWS (1.637) (+2 -1)
		src/xml/escp2/inks/Makefile.am (1.14) (+2 -1)
		src/xml/escp2/inks/sx445.xml (1.1) (added +139 -0)
		src/xml/escp2/model/Makefile.am (1.33) (+3 -2)
		src/xml/escp2/model/model_119.xml (1.4) (+1 -1)
		src/xml/escp2/model/model_121.xml (1.1) (added +183 -0)
		src/xml/escp2/model/model_97.xml (1.2) (+1 -1)
		src/xml/printers.xml (1.318) (+2 -1)
		test/run-weavetest (1.31) (+1 -1)

	Add support for Epson SX445W.

	Change some other printers to be full borderless.

2013-06-17	<speachy@sourceforge.net>

	Files:	NEWS (1.636) (+2 -0)
		src/main/print-olympus.c (1.122) (+121 -1)

	dyesub:  Initial support for the Mitsubishi CP-D70/D707 series.

	(disclaimer: Not tested on an actual printer, etc etc etc)

2013-06-17	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.121) (+4 -4)

	dyesub: Hopefully fix compilation on OSX (ie endian #define)

2013-06-17	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.120) (+3 -4)

	dyesub: Fix boneheaded errors in the UP-DR150 support code.

2013-06-13	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.317) (+13 -11)

	kodak1400:  Add IEEE1284 device id for the Kodak 1400 dyesdub printer

2013-06-12	<gernot2270@sourceforge.net>

	Files:	src/xml/printers.xml (1.316) (+2 -3)

	Removed mistaken newline in printers.xml

2013-06-05	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.119) (+22 -4)

	dyesub:  Printers that use >8bpp may need the data we send byteswapped.

2013-06-05	<speachy@sourceforge.net>

	Files:	NEWS (1.635) (+42 -14)

	NEWS:  Add Mitsubishi 9810, fix typos, and heavily update SELPHY CP/ES.

2013-06-05	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.118) (+159 -8)
		src/xml/printers.xml (1.315) (+3 -1)

	dyesub: Add support for Mitsubishi CP9810D/DW printers.

	Also fixes a couple of bugs in the CP9550 support.

2013-06-04	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.314) (+6 -6)

	printers.xml:  Add IEEE1284 IDs for CP-100, CP-200, CP-330, CP720, CP780

2013-06-04	<speachy@sourceforge.net>

	Files:	src/cups/kodak1400_print.c (1.8) (+7 -7)
		src/cups/selphy_print.c (1.14) (+7 -6)

	kodak/selphy: Fix URLification in the backend.

2013-06-04	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.313) (+3 -3)

	printers.xml: Add IEEE1284 IDs for Canon SELPHY ES3 and ES30 printers.

2013-06-04	<speachy@sourceforge.net>

	Files:	src/cups/kodak1400_print.c (1.7) (+62 -2)
		src/cups/selphy_print.c (1.13) (+63 -3)

	selphy/kodak1400: Query and report actual IEEE1284 IDs instead of the ones we made up.

2013-06-02	<speachy@sourceforge.net>

	Files:	src/cups/kodak1400_print.c (1.6) (+55 -27)
		src/cups/selphy_print.c (1.12) (+316 -58)
		src/cups/selphy_print_common.h (1.8) (removed)

	selphy/kodak1400:  Rebase against current upstream sources:

	Both:

	 * Fix enumeration bugs when multiple printers are attached
	 * More consistent error reporting (Ake Koomsin)
	 * Better status/information reporting (Ake Koomsin)
	 * Respect 'copies' argument to backend
	 * Handle SIGTERM by finishing current print and aborting cleanly
	 * Ignore SIGPIPE (Ake Koomsin)
	 * Whitespace ckeanups (Ake Koomsin)

	Selphy:
	 * Buffer entire job into RAM before sending it to printer (Ake Koomsin)
	 * Consolidate header into main .c file
	 * Document more error states (Ake Koomsin)

	Ake Koomsin inspired a lot of this work, but I ended up re-implementing
	most of the patches he sent to me.  There's still more work pending, mostly
	on the error-detection-and-recovery side of things.

2013-05-30	<gernot2270@sourceforge.net>

	Files:	NEWS (1.634) (+1 -0)
		src/xml/printers.xml (1.312) (+2 -2)

	Added IEEE1284 device ID for Canon SELPHY CP600. Information from Apple forums: https://discussions.apple.com/thread/3205750?start=225&tstart=0

2013-05-30	<gernot2270@sourceforge.net>

	Files:	NEWS (1.633) (+1 -0)
		src/xml/printers.xml (1.311) (+2 -2)

	Added IEEE1284 device ID for Canon MP450 series. Information from own printer.

2013-05-25	<gernot2270@sourceforge.net>

	Files:	NEWS (1.632) (+11 -2)
		src/xml/printers.xml (1.310) (+2 -2)

	Added Kyocera FS-1118MFP IEEE1284 device ID. Info from Fedora F17 to F18 commits: http://lists.fedoraproject.org/pipermail/scm-commits/2013-January/930272.html

2013-05-25	<gernot2270@sourceforge.net>

	Files:	NEWS (1.631) (+1 -0)
		src/xml/printers.xml (1.309) (+2 -2)

	Added Canon MP160 IEEE1284 device ID. Info from https://fedoraproject.org/wiki/Test_Day:2010-03-25_Printing

2013-05-25	<gernot2270@sourceforge.net>

	Files:	NEWS (1.630) (+23 -0)
		src/xml/printers.xml (1.308) (+24 -20)

	Added IEEE1284 IDs based on patch here: https://github.com/MagicGroup/MagicSpecF-K/blob/master/gutenprint/gutenprint-device-ids.patch

2013-05-25	<gernot2270@sourceforge.net>

	Files:	NEWS (1.629) (+3 -0)
		src/xml/printers.xml (1.307) (+5 -4)

	Added IEEE1284 device IDs for Canon PIXMA iP3000, Epson Stylus Photo 1270, Canon SELPHY CP400.

2013-05-24	<gernot2270@sourceforge.net>

	Files:	NEWS (1.628) (+1 -0)
		src/xml/printers.xml (1.306) (+2 -2)

	Added IEEE1284 device ID for Canon SELPHY CP760. Information from Apple Forums: https://discussions.apple.com/message/22082722?ac_cid=tw123456#22082722

2013-05-21	<gernot2270@sourceforge.net>

	Files:	NEWS (1.627) (+1 -0)
		src/xml/printers.xml (1.305) (+2 -2)

	Added IEEE1284 device ID for Canon iP2700 series. Not added for individual instances, to keep unique. From Sourceforge gutenprint Feature Request forum: https://sourceforge.net/tracker/index.php?func=detail&aid=3100897&group_id=1537&atid=351537

2013-05-17	<gernot2270@sourceforge.net>

	Files:	NEWS (1.626) (+3 -0)
		src/xml/printers.xml (1.304) (+4 -4)

	Added IEEE1284 device IDs for Canon SELPHY CP510, CP750, CP800. Information from apple Forums: https://discussions.apple.com/message/22033133

2013-05-17	<gernot2270@sourceforge.net>

	Files:	NEWS (1.625) (+10 -2)
		src/xml/printers.xml (1.303) (+5 -5)

	Added IEEE1284 device IDs to Canon SELPHY ES1, ES2, CP-220, CP710. Information from Apple Forums: https://discussions.apple.com/thread/3205750

2013-05-13	<gernot2270@sourceforge.net>

	Files:	NEWS (1.624) (+47 -0)
		src/xml/printers.xml (1.302) (+43 -18)

	Added instances for iP5000, iP5200, iP5200R, iP5300, iP6000D, iP6100D, iP6210D, iP6220D, iP6310D, iP6320D, iP6600D, iP6700D, iP7100, iP7500, iP8100, iP8500, iP8600, iP9910 family.

2013-05-12	<gernot2270@sourceforge.net>

	Files:	NEWS (1.623) (+19 -0)
		src/xml/printers.xml (1.301) (+21 -8)

	Added instances of Canon iX4000, iX5000, iX7000, Pro9000, Pro9000 Mk.II, Pro95000, Pro9500 Mk.II family.

2013-05-12	<gernot2270@sourceforge.net>

	Files:	NEWS (1.622) (+9 -0)
		src/xml/printers.xml (1.300) (+31 -4)

	Added instances of Canon iP4000, iP4100, iP4200, iP4300 family.

2013-05-12	<gernot2270@sourceforge.net>

	Files:	NEWS (1.621) (+11 -0)
		src/xml/printers.xml (1.299) (+11 -3)

	Added instances of Canon iP2700, iP3000, iP3100, iP3300, iP3500 family.

2013-05-12	<gernot2270@sourceforge.net>

	Files:	NEWS (1.620) (+29 -0)
		src/xml/printers.xml (1.298) (+30 -2)

	Added instances for Canon MP800, MP810, MP830, MP900, MP950, MP960, MP970, MP980, MP990 family.

2013-05-12	<gernot2270@sourceforge.net>

	Files:	NEWS (1.619) (+18 -0)
		src/xml/printers.xml (1.297) (+19 -6)

	Added instances for Canon MP600, MP610, MP620, MP630, MP640 family.

2013-05-12	<gernot2270@sourceforge.net>

	Files:	NEWS (1.618) (+23 -0)
		src/xml/printers.xml (1.296) (+29 -2)

	Added instances for Canon MP500, MP510, MP520, MP530, MP540, MP550, MP560 family.

2013-05-12	<gernot2270@sourceforge.net>

	Files:	NEWS (1.617) (+6 -0)
		src/xml/printers.xml (1.295) (+6 -2)

	Added instances for Canon MP450, MP460 family.

2013-05-12	<gernot2270@sourceforge.net>

	Files:	NEWS (1.616) (+32 -0)
		src/xml/printers.xml (1.294) (+30 -1)

	Added instances for Canon MP700, MP710, MP730, MP740, MP750, MP760, MP770, MP780, MP790 series.

2013-05-11	<gernot2270@sourceforge.net>

	Files:	NEWS (1.615) (+17 -0)
		src/xml/printers.xml (1.293) (+21 -2)

	Added instances of Canon MP360, MP370, MP390 families.

2013-05-11	<gernot2270@sourceforge.net>

	Files:	NEWS (1.614) (+18 -0)
		src/xml/printers.xml (1.292) (+19 -1)

	Added instances of Canon MP470, MP480, MP490 families.

2013-05-11	<gernot2270@sourceforge.net>

	Files:	NEWS (1.613) (+12 -0)
		src/xml/printers.xml (1.291) (+13 -1)

	Added instances of Canon MP140, MP150, MP160, MP170, MP180 families.

2013-05-10	<gernot2270@sourceforge.net>

	Files:	NEWS (1.612) (+0 -8)

	Removed previously added Canon instances from NEWS for 5.2.10.

2013-05-10	<gernot2270@sourceforge.net>

	Files:	NEWS (1.611) (+4 -0)
		src/xml/printers.xml (1.290) (+4 -1)

	Added instances of Canon MP190 family.

2013-05-10	<gernot2270@sourceforge.net>

	Files:	NEWS (1.610) (+4 -0)
		src/xml/printers.xml (1.289) (+4 -1)

	Added instances of Canon MP210 family.

2013-05-10	<gernot2270@sourceforge.net>

	Files:	NEWS (1.609) (+9 -5)
		src/xml/printers.xml (1.288) (+4 -1)

	Added instances of Canon MP220 family.

2013-05-10	<gernot2270@sourceforge.net>

	Files:	NEWS (1.608) (+4 -0)
		src/xml/printers.xml (1.287) (+4 -2)

	Added instances of Canon MP240 family.

2013-05-10	<gernot2270@sourceforge.net>

	Files:	NEWS (1.607) (+6 -0)
		src/xml/printers.xml (1.286) (+6 -1)

	Added instances of Canon MP250 family.

2013-05-10	<gernot2270@sourceforge.net>

	Files:	NEWS (1.606) (+4 -0)
		src/xml/printers.xml (1.285) (+4 -1)

	Added instances of Canon MP260 family.

2013-05-10	<gernot2270@sourceforge.net>

	Files:	NEWS (1.605) (+6 -0)
		src/xml/printers.xml (1.284) (+6 -1)

	Added instances of Canon MP270 family.

2013-05-10	<gernot2270@sourceforge.net>

	Files:	NEWS (1.604) (+7 -0)
		src/xml/printers.xml (1.283) (+8 -1)

	Added instances for Canon MP280 family.

2013-05-05	<gernot2270@sourceforge.net>

	Files:	NEWS (1.603) (+68 -3)
		src/xml/printers.xml (1.282) (+69 -6)

	Added instances of Canon MX390, MX410, MX420, MX430, MX510, MX700, MX850, MX860, MX870, MX880, MX890, MX7600 families.

2013-05-05	<gernot2270@sourceforge.net>

	Files:	NEWS (1.602) (+34 -0)
		src/xml/printers.xml (1.281) (+35 -2)

	Added instances of Canon MX300, MX310, MX320, MX330, MX340, MX350, MX360, MX370 families.

2013-05-05	<gernot2270@sourceforge.net>

	Files:	NEWS (1.601) (+6 -3)

	Added comment to NEWS for borderless printing correction in Canon printers.

2013-05-04	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.533) (+25 -7)

	Corrections to the Canon fullbleed/borderless ESC (p page setting command. The area must be modified using new borders, but the paper size must remain the same.

2013-05-04	<gernot2270@sourceforge.net>

	Files:	NEWS (1.600) (+12 -0)
		src/xml/printers.xml (1.280) (+19 -1)

	Added more instances of Canon devices, including a few of the BJC series with their proper model names according to Windows .inf file information.

2013-05-04	<gernot2270@sourceforge.net>

	Files:	NEWS (1.599) (+40 -1)
		src/xml/printers.xml (1.279) (+42 -2)

	Added Canon iP4500, iP4600, iP4700, iP4800, iP4900, iP7200 series printer instances.

2013-05-04	<gernot2270@sourceforge.net>

	Files:	NEWS (1.598) (+9 -0)
		src/xml/printers.xml (1.278) (+11 -1)

	Added Canon iX6500 series printer instances.

2013-05-03	<gernot2270@sourceforge.net>

	Files:	NEWS (1.597) (+145 -9)
		src/xml/printers.xml (1.277) (+143 -7)

	Added various Canon MG series printer instances.

2013-04-28	<gernot2270@sourceforge.net>

	Files:	NEWS (1.596) (+67 -62)
		src/main/canon-media-mode.h (1.172) (+82 -0)
		src/main/canon-modes.h (1.384) (+40 -0)
		src/main/canon-printers.h (1.320) (+16 -0)
		src/xml/printers.xml (1.276) (+7 -1)

	Added experimental support for Canon PIXMA MP230 family and instances discovered (MP230, MP236, MP237).

2013-04-27	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.319) (+12 -12)

	Updated paper sizes for several recent Canon printers based on information in latest linux IJ driver version 3.70, 3.80, and 3.90.

2013-04-27	<gernot2270@sourceforge.net>

	Files:	NEWS (1.595) (+9 -0)
		src/xml/printers.xml (1.275) (+11 -1)

	Added Canon PIXMA iP2700 family identifier string and several instances (2701, 2702, 2740, 2760, 2770, 2772, 2780).

2013-04-27	<gernot2270@sourceforge.net>

	Files:	NEWS (1.594) (+56 -37)
		src/xml/printers.xml (1.274) (+11 -1)

	Added experimental support for Canon PIXMA E610

2013-04-26	<gernot2270@sourceforge.net>

	Files:	NEWS (1.593) (+2 -0)
		src/main/canon-media-mode.h (1.171) (+60 -0)
		src/main/canon-printers.h (1.318) (+16 -0)
		src/xml/printers.xml (1.273) (+2 -1)

	Add support for Canon PIXMA E510.

2013-04-25	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.532) (+21 -2)

	Added code to modify 9th ESC (P command parameter for Canon MX920 and MX720 series.

2013-04-25	<gernot2270@sourceforge.net>

	Files:	NEWS (1.592) (+7 -0)
		src/main/canon-media-mode.h (1.170) (+150 -0)
		src/main/canon-media.h (1.137) (+5 -0)
		src/main/canon-modes.h (1.383) (+38 -0)
		src/main/canon-printers.h (1.317) (+18 -2)
		src/xml/printers.xml (1.272) (+9 -1)

	Experimental support for Canon MX720 series (MX721, MX722, MX726, MX727, MX728). Corrected media and modes for MX920 series.

2013-04-24	<gernot2270@sourceforge.net>

	Files:	NEWS (1.591) (+10 -1)
		src/main/canon-printers.h (1.316) (+16 -0)
		src/xml/printers.xml (1.271) (+11 -1)

	Experimental support for Canon PIXMA MX920 family (MX922, MX923, MX924, MX925, MX926, MX927, MX928).

2013-04-15	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.117) (+37 -15)

	Support dyesub printers that require >8bpp data.

2013-04-14	<gernot2270@sourceforge.net>

	Files:	NEWS (1.590) (+13 -3)
		src/main/canon-media-mode.h (1.169) (+72 -2)
		src/main/canon-modes.h (1.382) (+14 -6)
		src/main/canon-printers.h (1.315) (+16 -0)
		src/xml/printers.xml (1.270) (+12 -1)

	Added Canon PIXMA MX520 series, corrected MX370 and MX510 color-only modes.

2013-04-14	<speachy@sourceforge.net>

	Files:	NEWS (1.589) (+1 -0)
		src/main/print-olympus.c (1.116) (+121 -2)
		src/xml/printers.xml (1.269) (+3 -1)

	dyesub:  Add support for the Mitsubishi CP-9550D/DW printers.

2013-04-13	<speachy@sourceforge.net>

	Files:	src/xml/papers.xml (1.12) (+13 -1)

	papers: Add 6x8.5 and 6x9 paper sizes

2013-04-11	<gernot2270@sourceforge.net>

	Files:	NEWS (1.588) (+20 -0)
		src/xml/printers.xml (1.268) (+12 -1)

	Added Canon PIXMA MX450 series (MX451, MX452, MX454, MX455, MX456, MX457, MX458). Same capabilities as MX390 series.

2013-04-05	<gernot2270@sourceforge.net>

	Files:	NEWS (1.587) (+9 -0)
		src/main/canon-media-mode.h (1.168) (+56 -0)
		src/main/canon-printers.h (1.314) (+16 -0)
		src/xml/printers.xml (1.267) (+14 -5)

	Support added for Canon MX390 series. MX391, MX392, MX394, MX395, MX396, MX397, MX398. All PIXMA devices, not sold in Japan.

2013-03-17	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inputslots/Makefile.am (1.12) (+3 -2)
		src/xml/escp2/inputslots/wf7000.xml (1.1) (added +35 -0)
		src/xml/escp2/model/model_119.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_120.xml (1.4) (+1 -1)
		src/xml/printers.xml (1.266) (+11 -11)

	Update definitions for Epson WF-7000 series printers

2013-03-05	<speachy@sourceforge.net>

	Files:	NEWS (1.586) (+42 -8)

	news:  documented changes wrt the kodak, mitsubishi, and sony dyesub

2013-03-05	<gernot2270@sourceforge.net>

	Files:	NEWS (1.585) (+35 -2)

	Added updated documentation for support of Canon SELPY CP and ES series dye-sublimation printers.

2013-03-05	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.440) (+5 -2)

	Correction for duplex paper handling.

2013-03-04	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_118.xml (1.3) (+1 -1)
		src/xml/escp2/model/model_120.xml (1.3) (+1 -0)

	Update duplex margins

2013-03-03	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inputslots/default-duplex.xml (1.2) (+4 -1)

	Duplex printing requires a specified input slot.

2013-03-03	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_119.xml (1.2) (+0 -1)
		src/xml/escp2/model/model_120.xml (1.2) (+0 -1)

	Duplex printers should not have extraBottom set

2013-03-03	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_118.xml (1.2) (+0 -1)

	Duplex printers should not have extraBottom set.

2013-03-03	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.21) (+5 -1)

	Use gstoraster if pstoraster doesn't exist.

2013-03-03	<rlk@sourceforge.net>

	Files:	NEWS (1.584) (+17 -0)
		src/xml/escp2/model/Makefile.am (1.32) (+4 -2)
		src/xml/escp2/model/model_119.xml (1.1) (added +216 -0)
		src/xml/escp2/model/model_120.xml (1.1) (added +216 -0)
		src/xml/printers.xml (1.265) (+14 -1)

	Preliminary support for WorkForce 7000 series printers

2013-03-03	<rlk@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.140) (+4 -7)

	Clean up a few warnings.

2013-03-01	<speachy@sourceforge.net>

	Files:	src/cups/.cvsignore (1.14) (+1 -0)

	kodak1400: update cvsignore

2013-02-17	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inputslots/Makefile.am (1.11) (+2 -1)
		src/xml/escp2/inputslots/default-duplex.xml (1.1) (added +28 -0)
		src/xml/escp2/model/Makefile.am (1.31) (+3 -2)
		src/xml/escp2/model/model_118.xml (1.1) (added +216 -0)
		src/xml/printers.xml (1.264) (+2 -2)

	Prototype support for duplex for Epson WF645

2013-02-17	<rlk@sourceforge.net>

	Files:	po/ca.po (1.2) (+58 -58)

	Update Catalan translation

2013-02-17	<rlk@sourceforge.net>

	Files:	configure.ac (1.240) (+3 -3)
		po/ca.po (1.1) (added +17770 -0)

	Add Catalan translation

2013-02-12	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.11) (+1 -1)

	selphy:  Add USB ID for CP530.

	Now only the CP520/CP790 are unknown!

2013-02-03	<speachy@sourceforge.net>

	Files:	src/cups/kodak1400_print.c (1.5) (+16 -8)

	kodak1400:  Handle unlaminated prints properly.

2013-02-02	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.115) (+6 -6)

	dyesub:  kodak1400/kodak805:  Adjust pagesize down by one point.

2013-02-02	<speachy@sourceforge.net>

	Files:	src/cups/kodak1400_print.c (1.4) (+2 -0)
		src/cups/selphy_print.c (1.10) (+1 -0)

	selphy/kodak: Quit cleanly when no error's happened.

2013-02-02	<speachy@sourceforge.net>

	Files:	src/cups/kodak1400_print.c (1.3) (+32 -11)

	kodak1400:  Fix short reads that happen when runing as a CUPS backend.

	Also force blocking I/O, and update docs to reflect Kodak 805 differences.

2013-02-02	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.9) (+17 -4)
		src/cups/selphy_print_common.h (1.7) (+2 -2)

	selphy: Use non-blocking I/O, and fix a couple of warnings.

2013-01-29	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.8) (+3 -0)

	selphy:  Handle printers that don't report a serial number.  This would
		 confuse CUPS.

2013-01-29	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.7) (+4 -4)
		src/cups/selphy_print_common.h (1.6) (+1 -1)

	selphy: All CP-XXX printjobs were being erroneously detected as CP-10 jobs.

2013-01-27	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.114) (+90 -1)
		src/xml/printers.xml (1.263) (+3 -1)

	dyesub:  Add support for the Mitsubishi CP3020DA/DAE printers.

2013-01-27	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.113) (+122 -8)
		src/xml/printers.xml (1.262) (+4 -1)

	dyesub:  Add support for Mitsubishi CP3020D/DU/DE (not DA/DAE!)

	Note that this not an exact match for the WinXP drivers; it is based on
	what I've learned about the printer format.  This is considered to be
	highly experimental until we can get someone to test this out.

2013-01-27	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.112) (+131 -1)
		src/xml/printers.xml (1.261) (+2 -1)

	dyesub:  Add support for the Kodak 8500 printer.

	This is untested, as I don't have access to one.  However, the output matches
	the WinXP driver's output.

2013-01-27	<speachy@sourceforge.net>

	Files:	src/cups/kodak1400_print.c (1.2) (+20 -9)

	kodak1400:  Swap lamination/matte flags in the printer comm data.

	Also update docs wrt calibration data format.

2013-01-26	<speachy@sourceforge.net>

	Files:	configure.ac (1.239) (+7 -7)
		src/cups/Makefile.am (1.127) (+10 -5)
		src/cups/kodak1400_print.c (1.1) (added +783 -0)

	kodak1400:  Add a CUPS backend to handle this printer.

2013-01-20	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.111) (+4 -2)

	dyesub:  Decoded an additional header field for the Kodak 805 as well.

2013-01-20	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.110) (+4 -2)

	dyesub:  Decoded another header field of the kodak 1400 printer.

2013-01-19	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.109) (+3 -3)

	dyesub: kodak 1400 and 805 use BGR data, not CMY/YMC.

	(BGR is the same as inverted YMC)

2013-01-17	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.108) (+213 -1)
		src/xml/printers.xml (1.260) (+2 -1)

	dyesub:  Add Kodak 9810 support.   Untested!

2013-01-17	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.107) (+133 -0)
		src/xml/printers.xml (1.259) (+3 -1)

	dyesub:  Add support for Kodak 1400 and 805 printers.

	Note this is untested so far!

2013-01-17	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.106) (+14 -4)

	dyesub:  Add support for row-interleaved output.  Not utilized yet.

2013-01-17	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.105) (+81 -35)

	dyesub: Add media type parameter.  Not utilized yet.

2013-01-16	<speachy@sourceforge.net>

	Files:	src/xml/papers.xml (1.11) (+8 -1)

	papers:  Add 8.5x12" paper for the Kodak 1400 (and others)

2013-01-16	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.258) (+4 -4)

	[printers.xml:  mistakenly committed the kodak additions out of order.

2013-01-16	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.104) (+145 -1)
		src/xml/printers.xml (1.257) (+4 -1)

	dyesub: Add support for Kodak 6800, 6850, and 605 printers

	These are all small-format (up to 8x6) kiosk-scale printers.

2012-12-22	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.103) (+18 -10)

	Sony UP-DR150:  Vastly improve support

	 * Fix init/end code so it matches current Sony Win32 driver
	 * Respect Laminate setting (matching current Sony Win32 driver)
	 * 5x7 and 6x8 media is portrait oriented, not landscape.

	I've verified the raw gutenprint output matches the Win32 driver's, but
	I'm uncertain about the 5x7/6x8 changes as of yet; Need to confirm that
	the print data is generated properly.

2012-12-21	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.6) (+86 -5)
		src/cups/selphy_print_common.h (1.5) (+20 -79)

	[selphy]  Canon CP-10 needs to be handled differently from the others.

	Also, move some code around.

2012-12-13	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.102) (+8 -3)

	dyesub: Canon CP-10 needs its own printer_init_func

2012-12-07	<rlk@sourceforge.net>

	Files:	configure.ac (1.238) (+4 -4)

	Correct conditionalization on libm.

2012-12-04	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.5) (+1 -1)
		src/cups/selphy_print_common.h (1.4) (+1 -1)

	[selphy]  Add USB PID for SELPHY ES3.  It's supported and tested!

2012-11-24	<speachy@sourceforge.net>

	Files:	src/cups/Makefile.am (1.126) (+5 -2)

	[selphy]  Make selphy backend install hook respect $DESTDIR

	(Patch by Matt Broughton)

	Also document reson for the hook.

2012-11-23	<speachy@sourceforge.net>

	Files:	src/cups/Makefile.am (1.125) (+2 -2)

	[selphy]  Fix full-package compiles on OpenSUSE and OSX.

	(Patch from Matt Broughton)

2012-11-22	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.4) (+32 -17)
		src/cups/selphy_print_common.h (1.3) (+20 -20)

	[selphy]  Major updates:

	 * Add confirmed support for ES40 (may work for CP790 as well)
	 * Fix uninitialized variable causing bad return codes
	 * When used as a CUPS backend, match device based on serialnum in URI
	 * Better handle most device errors (for all all but ES2/ES20)

	As I write this, we're down to just four unknown USB PIDs:

	     ES3, CP520, CP530, CP790

	And a total of ten untested printers (including the four above):

	     ES20, ES3, CP-10, CP-100, CP-220, CP520, CP530, CP600, CP790, CP810

2012-11-20	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.3) (+25 -10)
		src/cups/selphy_print_common.h (1.2) (+15 -27)

	[selphy]  Resync against upstream.  Three changes:

	 * Treat CP900 like the rest of the CP-series (based on tester feedback)
	 * Add SELPHY_PID and SELPHY_TYPE environment variables to allow matching
	   against unknown PIDs (so new types can be tested without recompiles)
	 * Detect printer error conditions (eg out of media) and abort cleanly

	Coming down the line -- more fleshing-out of the error conditions, and
	proper matching against printer serial number when used as a CUPS backend.

2012-11-20	<rlk@sourceforge.net>

	Files:	doc/developer/escp2.xml (1.3) (+2 -5)

	Remove stale reference.

2012-11-19	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.2) (+1 -1)

	[selphy]  Add USB PID for the Canon CP-200 printer

2012-11-19	<speachy@sourceforge.net>

	Files:	src/cups/Makefile.am (1.124) (+10 -9)

	[selphy] Fix up automake rules so that backend get installed with
		 correct permissions.

2012-11-18	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.256) (+1 -7)

	[selphy] Enable the CP790, CP900, and ES40.

2012-11-18	<speachy@sourceforge.net>

	Files:	src/main/print-olympus.c (1.101) (+13 -14)

	[selphy]  Correct spellings of all Canon Dyesub printers.  (Purely comments)

	(ie presence of 'SELPHY' or '-' in the model names)

2012-11-18	<speachy@sourceforge.net>

	Files:	src/xml/printers.xml (1.255) (+21 -19)

	[selphy]  Re-enable majority of Canon dyesub printers.

	* ensure all names are correct (eg presence of 'SELPHY' or '-' in
	  model names)
	* SELPHY CP790, SELPHY CP900, and SELPHY ES40 are disabled still.

2012-11-18	<speachy@sourceforge.net>

	Files:	configure.ac (1.237) (+12 -2)
		src/cups/.cvsignore (1.13) (+1 -1)
		src/cups/Makefile.am (1.123) (+21 -2)

	[selphy] Hook the selphy CUPS backend up to the build system.

2012-11-18	<speachy@sourceforge.net>

	Files:	src/cups/selphy_print.c (1.1) (added +1367 -0)
		src/cups/selphy_print_common.h (1.1) (added)

	[selphy]  Initial commit of the Canon Dyesub (Selphy CP/ES) CUPS backend.

2012-11-07	<m0m@sourceforge.net>

	Files:	src/main/print-olympus.c (1.100) (+27 -29)
		src/xml/printers.xml (1.254) (+10 -12)

	Add support for Canon SELPHY CP810 & CP900

2012-10-30	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.313) (+2 -2)
		src/main/print-canon.c (1.531) (+14 -1)

	Added ESC (v command for Canon MG5400 and MG6300 families.

2012-10-30	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.530) (+48 -5)

	Adding test variables for adjusting CD printing for Canon iP4700

2012-10-16	<gernot2270@sourceforge.net>

	Files:	NEWS (1.583) (+1 -0)
		src/main/canon-inks.h (1.118) (+32 -0)
		src/main/canon-media-mode.h (1.167) (+79 -0)
		src/main/canon-media.h (1.136) (+1 -1)
		src/main/canon-modes.h (1.381) (+19 -0)
		src/main/canon-printers.h (1.312) (+16 -0)
		src/main/print-canon.c (1.529) (+20 -5)
		src/xml/printers.xml (1.253) (+2 -1)

	Added experimental support for Canon iP7200 family.

2012-10-14	<gernot2270@sourceforge.net>

	Files:	NEWS (1.582) (+19 -0)
		src/main/canon-media-mode.h (1.166) (+94 -0)
		src/main/canon-media.h (1.135) (+24 -0)
		src/main/canon-printers.h (1.311) (+16 -0)
		src/xml/printers.xml (1.252) (+2 -1)

	Added experimental support for Canon MG5400, MG6300 series.

2012-10-12	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.165) (+80 -13)
		src/main/canon-media.h (1.134) (+28 -0)
		src/main/canon-printers.h (1.310) (+17 -1)
		src/xml/printers.xml (1.251) (+3 -1)

	Added experimental support for Canon MG5400.

2012-10-11	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.164) (+77 -0)
		src/main/canon-printers.h (1.309) (+17 -1)
		src/xml/printers.xml (1.250) (+2 -1)

	Added support for Canon MG2200 series.

2012-10-11	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.163) (+23 -23)

	Corrected modes-media structure for Canon MG3200 series.

2012-10-11	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.162) (+78 -0)
		src/main/canon-media.h (1.133) (+20 -0)
		src/main/canon-modes.h (1.380) (+2 -2)
		src/main/canon-printers.h (1.308) (+16 -0)
		src/main/print-canon.c (1.528) (+13 -13)
		src/main/print-canon.h (1.11) (+2 -2)
		src/xml/printers.xml (1.249) (+2 -1)

	Add support for Canon MG3200 series.

2012-10-09	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.527) (+10 -2)
		test/pixma_parse.c (1.37) (+9 -3)

	Added support for new devices from Sep/Oct 2012 requiring 9 bytes in ESC (P command.

2012-09-28	<gernot2270@sourceforge.net>

	Files:	test/pixma_parse.c (1.36) (+1 -1)

	Completed decompression parsing for 5-level and 6-level 4-bit inks.

2012-09-28	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.526) (+15 -3)
		test/pixma_parse.c (1.35) (+58 -0)

	Added more support for 5-level and 6-level 4-bit ink compression and decompression

2012-09-28	<gernot2270@sourceforge.net>

	Files:	test/compress-5level.sh (1.1) (added +66 -0)
		test/compress-6level.sh (1.1) (added +68 -0)
		test/pixma_parse.c (1.34) (+39 -4)
		test/pixma_parse.h (1.9) (+29 -0)
		test/uncompress-5level.sh (1.1) (added +82 -0)
		test/uncompress-6level.sh (1.1) (added +82 -0)

	Added uncompression for 5-level and 6-level 4-bit inks to pixma_parse. Added scripts to create compression and decompression tables to test directory.

2012-09-24	<gernot2270@sourceforge.net>

	Files:	src/main/canon-inks.h (1.117) (+1 -1)
		src/main/print-canon.c (1.525) (+5 -5)

	Corrected flag for 6-level ink compression, and pack_bits routines.

2012-09-23	<gernot2270@sourceforge.net>

	Files:	src/main/canon-inks.h (1.116) (+4 -3)
		src/main/print-canon.c (1.524) (+72 -2)
		src/main/print-canon.h (1.10) (+520 -0)

	Added tables for testing 5-level and 6-level ink compression.

2012-08-13	<gernot2270@sourceforge.net>

	Files:	test/bjc-unprint.c (1.13) (+2 -2)

	Corrected calculation of number of bits required for ink levels used in Canon BJC printjobs.

2012-08-13	<gernot2270@sourceforge.net>

	Files:	test/bjc-unprint.c (1.12) (+77 -28)

	Added calculation of ink levels used in Canon BJC printjobs using bjc-unprint.

2012-08-12	<gernot2270@sourceforge.net>

	Files:	src/main/canon-modes.h (1.379) (+22 -6)
		src/main/canon-printers.h (1.307) (+8 -8)
		test/bjc-unprint.c (1.11) (+30 -8)

	Started to add new modes to Canon BJC-6000, BJC-6500. Started to modify bjc-unprint to collect information about number of ink levels and their values.

2012-08-03	<gernot2270@sourceforge.net>

	Files:	src/main/canon-modes.h (1.378) (+16 -16)

	Changed default resolutions for Canon BJC series printers from low resolutions to fairly high resolutions.

2012-07-27	<rlk@sourceforge.net>

	Files:	NEWS (1.581) (+9 -0)
		src/xml/printers.xml (1.248) (+2 -1)

	Add Epson TX125

===============================================================================
Name: gutenprint-5_2_9

2012-07-07	<rlk@sourceforge.net>

	Files:	po/de.po (1.80) (+4481 -3622)

	Update German translation

2012-07-07	<gernot2270@sourceforge.net>

	Files:	NEWS (1.580) (+2 -0)
		src/main/canon-media-mode.h (1.161) (+1 -2)
		src/main/canon-media.h (1.132) (+6 -6)

	Corrected mis-typed mode for Canon pro9000 in canon-media-modes, and removed another erroneous mode.

2012-07-02	<rlk@sourceforge.net>

	Files:	configure.ac (1.236) (+11 -2)

	Update comments.

2012-06-25	<rlk@sourceforge.net>

	Files:	NEWS (1.579) (+20 -3)
		README (1.214) (+14 -14)
		configure.ac (1.235) (+3 -3)

	Prep for 5.2.9

2012-06-25	<rlk@sourceforge.net>

	Files:	configure.ac (1.234) (+13 -13)
		src/gimp2/Makefile.am (1.8) (+3 -3)
		src/testpattern/Makefile.am (1.28) (+2 -2)

	Fix the .soname, from Roger Leigh

2012-06-23	<rlk@sourceforge.net>

	Files:	po/de.po (1.79) (+4636 -5868)

	Update German translation

2012-06-16	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.20) (+1 -1)

	Undo previous change.

2012-06-16	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.19) (+1 -1)

	"whence" doesn't work on some platforms.

2012-06-16	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.439) (+3 -3)

	Allow a larger range of correction for fine adjustment of CD position.

2012-06-15	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media.h (1.131) (+0 -1)

	Removed duplicate transparency media from Canon iP4100 media types.

===============================================================================
Name: gutenprint-5_2_8

2012-06-12	<rlk@sourceforge.net>

	Files:	po/cs.po (1.63) (+2244 -1979)
		po/da.po (1.106) (+2229 -1954)
		po/de.po (1.78) (+2231 -1960)
		po/el.po (1.78) (+2244 -1980)
		po/en_GB.po (1.171) (+2227 -1954)
		po/es.po (1.76) (+2244 -1979)
		po/fi.po (1.8) (+2229 -1954)
		po/fr.po (1.104) (+2225 -1957)
		po/gl.po (1.3) (+2231 -1955)
		po/hu.po (1.36) (+2228 -1954)
		po/it.po (1.16) (+2229 -1954)
		po/ja.po (1.73) (+2240 -1966)
		po/nb.po (1.37) (+2225 -1964)
		po/nl.po (1.89) (+2231 -1952)
		po/pl.po (1.82) (+2243 -1979)
		po/pt.po (1.77) (+2244 -1979)
		po/ru.po (1.10) (+2227 -1954)
		po/sk.po (1.81) (+2244 -1979)
		po/sl.po (1.5) (+2229 -1954)
		po/sv.po (1.107) (+2227 -1960)
		po/uk.po (1.6) (+2231 -1952)
		po/zh_CN.po (1.3) (+2157 -1945)
		po/zh_TW.po (1.37) (+2219 -1956)

	Gutenprint 5.2.8 release

2012-06-07	<rlk@sourceforge.net>

	Files:	NEWS (1.578) (+7 -7)

	Fix numbering.

2012-06-06	<rlk@sourceforge.net>

	Files:	NEWS (1.577) (+7 -8)

	Tweaks

2012-06-06	<rlk@sourceforge.net>

	Files:	NEWS (1.576) (+284 -247)

	Draft release notes, out for review.

2012-06-05	<rlk@sourceforge.net>

	Files:	NEWS (1.575) (+3 -3)
		README (1.213) (+20 -20)
		configure.ac (1.233) (+3 -3)

	Bump version

2012-06-02	<rlk@sourceforge.net>

	Files:	doc/gutenprint-users-manual.odt (1.6) (+379 -424)
		doc/gutenprint-users-manual.pdf (1.6) (+2424 -4265)

	Remove printer list

2012-05-27	<gernot2270@sourceforge.net>

	Files:	NEWS (1.574) (+25 -12)

	Added comment on PIXUS models to NEWS file.

2012-05-27	<gernot2270@sourceforge.net>

	Files:	src/xml/printers.xml (1.247) (+1 -2)

	Removed duplicate Canon iP2700 printer entry in printers.xml

2012-05-26	<rlk@sourceforge.net>

	Files:	configure.ac (1.232) (+10 -2)
		doc/Makefile.am (1.50) (+5 -1)
		doc/developer/Makefile.am (1.23) (+5 -1)

	Add --with/without-doc

2012-05-26	<rlk@sourceforge.net>

	Files:	src/main/print-weave.c (1.81) (+16 -9)

	Fix compiler warning

2012-05-26	<rlk@sourceforge.net>

	Files:	src/foomatic/printer_options.c (1.53) (+2 -1)
		src/testpattern/printer_options.c (1.6) (+2 -1)

	Clear resolution after setting it to ensure that it doesn't pollute
	the option choices.

2012-05-25	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.523) (+143 -72)
		src/main/print-weave.c (1.80) (+1 -8)

	Fixed weave code in Canon backend to avoid accessing uninitialized variables. Created new function for finding correct InkType in canon_check_current_mode, and added debug statements to clarify changes before and after processing of canon_check_current_mode.

2012-05-25	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.522) (+11 -11)

	Changed some debug printf casting in Canon backend

2012-05-25	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.521) (+28 -2)
		src/main/print-weave.c (1.79) (+8 -1)

	Added initialization to some weave code in Canon backend

2012-05-24	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.520) (+3 -3)

	Set ncolors correctly for CMY inktype in Canon weave mode.

2012-05-24	<gernot2270@sourceforge.net>

	Files:	src/main/canon-modes.h (1.377) (+1 -1)
		src/main/print-canon.c (1.519) (+20 -11)

	Fixed missing Color cartridge support flag in Canon iP6210D mode.

2012-05-24	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.518) (+6 -4)

	Changed number of inks for CMY inktype in S200 weave code in Canon backend.

2012-05-23	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.517) (+20 -8)

	Added debug statements to Canon backend

2012-05-23	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.160) (+6 -6)
		src/main/canon-modes.h (1.376) (+4 -4)

	Removed color(-only) inkset (cartridge) support from plain, envelope, hagaki media for Canon iP90 and iP100. Known InkTypes for these printers do not yet permit this inkset (cartridge) to be used.

2012-05-22	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.516) (+12 -8)

	Added setting of local variable for each PrintingMode setting change in Canon backend canon_check_current_mode.

2012-05-22	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.515) (+518 -28)

	Corrected InkType matching and substitution in Canon backend canon_check_current_mode function.

2012-05-21	<gernot2270@sourceforge.net>

	Files:	src/main/canon-modes.h (1.375) (+58 -57)
		src/main/print-canon.c (1.514) (+150 -88)

	In Canon backend, fixed checking routine for PrintingMode and InkType parameter consistency when mode is known.

2012-05-20	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.513) (+3 -1)

	Added debug lines to Canon backend

2012-05-20	<gernot2270@sourceforge.net>

	Files:	NEWS (1.573) (+41 -31)
		src/main/print-canon.c (1.512) (+7 -2)
		src/xml/printers.xml (1.246) (+6 -5)

	Moved Resolution modification in canon_do_print to check_current_mode in Canon backend. Updated and rewrote NEWS.

2012-05-20	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.511) (+28 -9)

	Bug fix to Canon backend: made sure Resolution is set to match that of current mode after mode replacement.

2012-05-19	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.510) (+19 -4)

	Removed parameter verification outside of the Canon backend for InkType, InkSet and PrintingMode.

2012-05-19	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.509) (+22 -8)

	added more debug statements to Canon backend. Made canon_check_current_mode an unconditional call(bugfix).

2012-05-18	<rlk@sourceforge.net>

	Files:	src/main/print-canon.c (1.508) (+3 -3)

	Fix a couple of minor compiler warnings

2012-05-18	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.507) (+7 -4)

	Added some debug lines for Canon printhead color function

2012-05-17	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.306) (+3 -3)
		src/main/print-canon.c (1.506) (+13 -8)
		src/main/print-canon.h (1.9) (+5 -5)

	Added flag to Canon backend for printers without black ink only cartridge support.

2012-05-17	<rlk@sourceforge.net>

	Files:	NEWS (1.572) (+13 -9)

	Minor updates.

2012-05-14	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.505) (+10 -16)

	Changed fullbleed margins in Canon backend to match Windows ones.

2012-05-13	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.504) (+91 -71)

	Provisional working support for borderless printing with Canon backend (WIP).

2012-05-11	<rlk@sourceforge.net>

	Files:	src/gutenprintui2/printrcl.l (1.2) (+3 -1)
		src/testpattern/testpatternl.l (1.27) (+3 -1)

	Add extern declaration for yylval; some versions of bison apparently do not

2012-05-10	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.159) (+26 -26)
		src/main/canon-modes.h (1.374) (+4 -4)
		src/main/print-canon.c (1.503) (+10 -17)

	Added partial support for Color InkSet in Canon iP90 and iP100 (known as 'black save', with two different settings of which only 1 is implemented at this stage).

2012-05-09	<gernot2270@sourceforge.net>

	Files:	NEWS (1.571) (+18 -21)
		src/main/canon-modes.h (1.373) (+50 -50)
		src/main/canon-printers.h (1.305) (+2 -2)

	Corrected some notation in Canon mode names. Updated NEWS file.

2012-05-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.158) (+239 -162)
		src/main/canon-modes.h (1.372) (+27 -0)
		src/main/canon-printers.h (1.304) (+3 -3)

	Checked and corrected Canon InkSet and Duplex capabilities for various media. Set duplex capability for Hagaki media even where Windows driver does not expose such capability. Corrected Canon iP6600D printer modes and media definitions.

2012-05-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.157) (+7 -7)
		src/main/canon-modes.h (1.371) (+2 -2)

	Added flags to several Canon MX series media-mode data.

2012-05-09	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.502) (+57 -34)

	Modified Canon backend code to comply with compiler warnings.

2012-05-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.156) (+14 -14)
		src/main/canon-printers.h (1.303) (+3 -5)
		src/xml/printers.xml (1.245) (+3 -1)

	Added remaining support for Canon E500 and E600.

2012-05-08	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.155) (+59 -0)

	Added partial media-mode data (less flags) for Canon E500.

2012-05-08	<gernot2270@sourceforge.net>

	Files:	NEWS (1.570) (+2 -0)
		src/main/canon-modes.h (1.370) (+18 -0)
		src/main/canon-printers.h (1.302) (+34 -0)
		src/main/print-canon.c (1.501) (+2 -1)

	Added partial code for Canon E500 and E600 multi-function pritners.

2012-05-08	<gernot2270@sourceforge.net>

	Files:	NEWS (1.569) (+2 -0)
		src/main/canon-modes.h (1.369) (+1 -1)
		src/xml/printers.xml (1.244) (+2 -1)

	Added Canon iP6320D (same as iP6310D).

2012-05-08	<gernot2270@sourceforge.net>

	Files:	src/xml/printers.xml (1.243) (+2 -1)
		test/pixma_parse.c (1.33) (+1 -1)

	Added Canon MP260 (clone of MP240). Added newline in pixma_parse output.

2012-05-07	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.301) (+3 -3)

	changed max paper dimensions for Canon MP360, MP370, MP375R, MP390; MP700, MP730; and MP710, MP740.

2012-05-07	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.300) (+2 -2)

	changed max paper dimensions for Canon MP493 and MP990.

2012-05-07	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.299) (+34 -34)
		src/xml/printers.xml (1.242) (+3 -3)

	changed max paper dimensions for Canon MP series printers. Added some printer aliases, removed duplicates.

2012-05-07	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.298) (+7 -7)

	Corrected maximum paper sizes for several Canon modes (MP series).

2012-05-07	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.297) (+67 -67)
		src/xml/printers.xml (1.241) (+4 -1)

	Corrected maximum paper sizes for several Canon modes (iP series). Fixed erroroneous page width for previous commits. Added several Canon printer aliases.

2012-05-07	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.296) (+14 -14)

	Corrected maximum paper sizes for several Canon modes (MX series).

2012-05-07	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.295) (+34 -34)

	Corrected maximum paper sizes for several Canon modes (i series).

2012-05-06	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.500) (+12 -1)

	Added missing function prototype declarations to canon-print.c

2012-05-06	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.294) (+4 -4)

	changed max paper dimensions for Canon iX series printers.

2012-05-06	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.293) (+32 -36)
		src/main/print-canon.c (1.499) (+29 -29)

	changed max paper dimensions and margins for several Canon models.

2012-05-04	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.498) (+3 -2)

	correct Canon get_current_mode to return NULL if no mode selected (regression).

2012-05-03	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.292) (+51 -0)
		src/main/print-canon.c (1.497) (+417 -811)

	Wrote various sub-functions for Canon backend mode replacement code.

2012-05-01	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.496) (+10 -10)

	Settled constant declarations in Canon backend.

2012-05-01	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.495) (+58 -4)

	Replaced canon_get_current_mode in Canon backend with original one, and created new canon_replace_current_mode to be called in canon_do_print. WIP.

2012-05-01	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.291) (+1 -1)

	Added cassette to Canon i990 and 990i media sources.

2012-04-30	<gernot2270@sourceforge.net>

	Files:	NEWS (1.568) (+2 -0)
		src/main/canon-media-mode.h (1.154) (+105 -0)
		src/main/canon-modes.h (1.368) (+39 -2)
		src/main/canon-printers.h (1.290) (+16 -0)
		src/main/print-canon.c (1.494) (+3 -3)
		src/xml/printers.xml (1.240) (+3 -1)

	Added Canon i990, and corresponding Japan model 990i. Fixed CD mode flags for i9900.

2012-04-30	<gernot2270@sourceforge.net>

	Files:	NEWS (1.567) (+1 -0)
		src/xml/printers.xml (1.239) (+2 -1)

	Added Canon i9950, clone of i9900.

2012-04-30	<gernot2270@sourceforge.net>

	Files:	NEWS (1.566) (+2 -0)
		src/main/canon-media-mode.h (1.153) (+19 -11)
		src/main/canon-media.h (1.130) (+37 -1)
		src/main/canon-modes.h (1.367) (+10 -0)
		src/main/canon-printers.h (1.289) (+3 -3)
		src/xml/printers.xml (1.238) (+3 -1)

	Added inkjet Hagaki modes to Canon i9100 and i9900, and CD support to i9900. Added corresponding Japan models 9100i and 9900i.

2012-04-29	<gernot2270@sourceforge.net>

	Files:	NEWS (1.565) (+1 -0)
		src/xml/printers.xml (1.237) (+4 -1)

	Added Canon i965, clone of i960 (Europe). Updated printers.xml.

2012-04-29	<gernot2270@sourceforge.net>

	Files:	NEWS (1.564) (+2 -0)
		src/main/canon-media-mode.h (1.152) (+47 -27)
		src/main/canon-media.h (1.129) (+20 -0)
		src/main/canon-modes.h (1.366) (+25 -12)
		src/main/canon-printers.h (1.288) (+3 -3)

	Added Hagaki, inkjet Hagaki, CD to i950 and i960. Added corresponding Japan models 950i and 960i.

2012-04-28	<gernot2270@sourceforge.net>

	Files:	NEWS (1.563) (+2 -0)
		src/main/canon-media-mode.h (1.151) (+19 -4)
		src/main/canon-modes.h (1.365) (+9 -2)
		src/main/canon-printers.h (1.287) (+2 -2)
		src/xml/printers.xml (1.236) (+4 -2)

	Added Hagaki, inkjet Hagaki, CD to i900D. Added corresponding Japan model 900PD. Also added i905D which seems to be clone of i900D (although missing high resolution for CD in Windows driver).

2012-04-28	<gernot2270@sourceforge.net>

	Files:	NEWS (1.562) (+2 -0)
		src/main/canon-media-mode.h (1.150) (+0 -82)
		src/main/canon-media.h (1.128) (+2 -27)
		src/main/canon-modes.h (1.364) (+0 -31)
		src/main/canon-printers.h (1.286) (+1 -17)
		src/xml/printers.xml (1.235) (+3 -2)

	Removed separate driver for Canon i865, as it is same as i860. Added corresponding Japan model 865R.

2012-04-28	<gernot2270@sourceforge.net>

	Files:	NEWS (1.561) (+2 -0)
		src/main/canon-media-mode.h (1.149) (+29 -15)
		src/main/canon-modes.h (1.363) (+13 -10)
		src/main/canon-printers.h (1.285) (+2 -2)
		src/xml/printers.xml (1.234) (+2 -1)

	Added inkjet Hagaki, Hagaki, and CD media types and corresponding modes to Canon i860, and added Japan model 860i.

2012-04-28	<gernot2270@sourceforge.net>

	Files:	NEWS (1.560) (+10 -3)
		src/main/canon-media-mode.h (1.148) (+13 -3)
		src/main/canon-media.h (1.127) (+20 -1)
		src/main/canon-modes.h (1.362) (+13 -7)
		src/main/canon-printers.h (1.284) (+19 -19)
		src/xml/printers.xml (1.233) (+2 -1)

	Added inkjet Hagaki, Hagaki, and CD media types and corresponding modes to Canon i560, and added Japan model 560i. Also added borderless option to all Canon i* and *i series printers.

2012-04-27	<gernot2270@sourceforge.net>

	Files:	src/xml/printers.xml (1.232) (+5 -1)

	Added Canon modes i450X, i455X, i550X and i560X, which are clones of the non-X models sold by some European media outlets. Distinguished only by different cover color.

2012-04-27	<gernot2270@sourceforge.net>

	Files:	NEWS (1.559) (+3 -0)
		src/xml/printers.xml (1.231) (+4 -1)

	Added Japan model Canon 470PD and 475PD, corresponding to non-Japan models i470D and i475D, which are PictBridge-enabled versions of the 450i and 455i, and i450 and i455 respectively.

2012-04-27	<gernot2270@sourceforge.net>

	Files:	NEWS (1.558) (+1 -0)
		src/main/canon-media.h (1.126) (+1 -1)
		src/main/canon-modes.h (1.361) (+1 -0)
		src/xml/printers.xml (1.230) (+2 -1)

	Added separate driver for Japan model Canon 850i. The non-Japan model i850 gets support for inkjet Hagaki and Hagaki media.

2012-04-27	<gernot2270@sourceforge.net>

	Files:	NEWS (1.557) (+5 -0)
		src/main/canon-media.h (1.125) (+1 -1)
		src/main/canon-modes.h (1.360) (+1 -0)
		src/xml/printers.xml (1.229) (+3 -1)

	Added separate drivers for Japan models Canon 6100i and 6500i. The non-Japan models i6100 and i6500 get support for inkjet Hagaki and Hagaki media.

2012-04-27	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.147) (+14 -2)
		src/main/canon-media.h (1.124) (+21 -5)
		src/main/canon-modes.h (1.359) (+11 -4)
		src/main/canon-printers.h (1.283) (+1 -1)
		src/xml/printers.xml (1.228) (+4 -1)

	Added separate inkjet Hagaki modes to Canon i450, i455, i550. Added separate drivers for Japan models 450i, 455i, 550i.

2012-04-27	<gernot2270@sourceforge.net>

	Files:	NEWS (1.556) (+6 -1)
		src/main/canon-media-mode.h (1.146) (+19 -6)
		src/main/canon-media.h (1.123) (+2 -2)
		src/main/canon-modes.h (1.358) (+6 -1)
		src/main/canon-printers.h (1.282) (+1 -1)
		src/xml/printers.xml (1.227) (+5 -4)

	added inkjet Hagaki and Hagaki support to Canon i80. Added missing mode for plusGlossy photo paper. Created new printer for Japanese model 80i.

2012-04-27	<gernot2270@sourceforge.net>

	Files:	test/pixma_parse.c (1.32) (+0 -1)

	fixed output for ESC (l command in parser

2012-04-27	<gernot2270@sourceforge.net>

	Files:	src/xml/printers.xml (1.226) (+7 -7)

	Corrected entry for Canon 50i

2012-04-26	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.493) (+4 -3)

	Commented out Canon borderless deactivation in case of paper margins. Need to fix.

2012-04-26	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.145) (+2 -72)
		src/main/canon-media.h (1.122) (+0 -17)
		src/main/canon-modes.h (1.357) (+3 -25)
		src/main/canon-printers.h (1.281) (+1 -16)
		src/main/print-canon.c (1.492) (+3 -3)
		src/xml/printers.xml (1.225) (+2 -2)

	Updated Canon 50i modes. i70 is the non-Japanese counterpart, so removed definitions for i70 and used 50i driver instead. Updated some debugging statements.

2012-04-26	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.491) (+74 -77)

	Changed debug statements in Canon backend.

2012-04-26	<gernot2270@sourceforge.net>

	Files:	NEWS (1.555) (+1 -0)
		src/xml/printers.xml (1.224) (+2 -1)

	Added Canon MX320, same as MX330.

2012-04-25	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.490) (+12 -10)

	further debug statement changes to Canon backend.

2012-04-25	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.489) (+39 -15)

	more debugging statement to Canon backend for borderless printing debugging.

2012-04-25	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.488) (+16 -9)

	debugging Canon borderless printing. Commented out problematic code.

2012-04-24	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.487) (+35 -13)

	smal changes to borderless printing of Canon backend, part of debugging attempt.

2012-04-24	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.486) (+42 -14)

	Added corrections for borderless printing. page_height is still incorrect.

2012-04-23	<gernot2270@sourceforge.net>

	Files:	src/main/canon-printers.h (1.280) (+103 -103)
		src/main/print-canon.c (1.485) (+121 -35)

	borderless printing for Canon backend partially implemented. Writing area_right and area_top (negative values) to printjob header not yet working. use_aximum_area condition not yet implemented.

2012-04-22	<gernot2270@sourceforge.net>

	Files:	NEWS (1.554) (+2 -0)
		src/main/canon-media-mode.h (1.144) (+70 -0)
		src/main/canon-modes.h (1.356) (+23 -0)
		src/main/canon-printers.h (1.279) (+16 -0)
		src/xml/printers.xml (1.223) (+3 -1)

	Added support for Canon MX710 (and MX890).

2012-04-22	<gernot2270@sourceforge.net>

	Files:	NEWS (1.553) (+1 -0)
		src/main/canon-media-mode.h (1.143) (+57 -0)
		src/main/canon-modes.h (1.355) (+23 -5)
		src/main/canon-printers.h (1.278) (+16 -0)
		src/main/print-canon.c (1.484) (+2 -2)
		src/xml/printers.xml (1.222) (+2 -1)

	Added provisional support for Canon MX510. Color-only cartridge selection does not work yet.

2012-04-22	<gernot2270@sourceforge.net>

	Files:	NEWS (1.552) (+2 -0)
		src/main/canon-media-mode.h (1.142) (+57 -1)
		src/main/canon-modes.h (1.354) (+17 -0)
		src/main/canon-printers.h (1.277) (+16 -0)
		src/xml/printers.xml (1.221) (+3 -1)

	Added provisional support for Canon MX370 (and MX430). Color-only cartridge selection does not work yet.

2012-04-22	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.141) (+7 -1)
		src/main/canon-modes.h (1.353) (+86 -75)

	Corrected flags for CD modes for all Canon models.

2012-04-22	<gernot2270@sourceforge.net>

	Files:	NEWS (1.551) (+1 -0)
		src/main/canon-media-mode.h (1.140) (+67 -7)
		src/main/canon-printers.h (1.276) (+5 -5)
		src/main/print-canon.c (1.483) (+73 -3)
		src/xml/printers.xml (1.220) (+2 -1)

	Added experimental support for Canon iP90 and iP100, with ESC (S command. ESC (T variations not yet fully implemented. Also, printjob format is still uncertain, as the parser segfaults on the print data.

2012-04-22	<gernot2270@sourceforge.net>

	Files:	test/pixma_parse.c (1.31) (+97 -91)

	Changed parse output of pixma_parse to go to stderr, to help debug printjobs where the parser segfaults.

2012-04-20	<gernot2270@sourceforge.net>

	Files:	NEWS (1.550) (+2 -0)
		src/main/canon-printers.h (1.275) (+158 -154)

	Adjusted top margin of most Canon models.

2012-04-20	<gernot2270@sourceforge.net>

	Files:	NEWS (1.549) (+3 -0)
		src/main/canon-inks.h (1.115) (+32 -0)
		src/main/canon-media-mode.h (1.139) (+9 -5)
		src/main/canon-modes.h (1.352) (+3 -3)
		src/main/print-canon.c (1.482) (+18 -5)

	Added experimental support for high quality photo modes with Canon iP6210D, iP6220D, and iP6310D.

2012-04-20	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.138) (+5 -6)
		src/main/canon-modes.h (1.351) (+1 -1)

	Added 8-bit ink modes to Canon MX300 (and MX310).

2012-04-20	<gernot2270@sourceforge.net>

	Files:	NEWS (1.548) (+2 -0)
		src/main/canon-media-mode.h (1.137) (+72 -0)
		src/main/canon-modes.h (1.350) (+1 -1)
		src/main/canon-printers.h (1.274) (+1 -1)
		src/xml/printers.xml (1.219) (+3 -1)

	Added experimental support for Canon iP90, iP90v. Still need to check orientation of print (may need vertical dimension reversed).

2012-04-20	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.136) (+8 -12)
		src/main/canon-modes.h (1.349) (+1 -1)
		src/main/canon-printers.h (1.273) (+2 -2)

	Added 8-bit ink modes to Canon MP190. Adjusted top margin on MP190, MP210 models.

2012-04-20	<gernot2270@sourceforge.net>

	Files:	NEWS (1.547) (+3 -0)
		src/main/canon-media-mode.h (1.135) (+24 -24)
		src/main/canon-modes.h (1.348) (+16 -7)
		src/main/canon-printers.h (1.272) (+1 -1)

	Added 8-bit ink modes to Canon i80, i450, i455 models. Adjusted top margin on MP150 model.

2012-04-19	<gernot2270@sourceforge.net>

	Files:	src/main/canon-modes.h (1.347) (+4 -7)

	Activated 8-bit modes in unsupported printers for completeness.

2012-04-19	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.134) (+5 -2)
		src/main/canon-modes.h (1.346) (+1 -1)

	Activated 8-bit ink mode in Canon iP6210D model.

2012-04-19	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.133) (+17 -27)
		src/main/canon-modes.h (1.345) (+2 -2)

	Activated 8-bit ink modes in Canon MP210 and MP470 models.

2012-04-19	<gernot2270@sourceforge.net>

	Files:	NEWS (1.546) (+3 -0)
		src/main/canon-printers.h (1.271) (+481 -162)
		src/main/print-canon.c (1.481) (+21 -46)

	Added length of ESC (P command to printer definitions in Canon backend.

2012-04-19	<gernot2270@sourceforge.net>

	Files:	include/gutenprint/bit-ops.h (1.5) (+12 -1)
		src/main/bit-ops.c (1.15) (+104 -1)
		src/main/print-canon.c (1.480) (+32 -33)
		test/pixma_parse.c (1.30) (+6 -2)

	Completed support for 8-bit inks in Canon backend. Mode present in Canon MP150 model. To be added to other models.

2012-04-17	<gernot2270@sourceforge.net>

	Files:	src/main/print-canon.c (1.479) (+43 -33)

	added initial support code (WIP) for 8-bpp inks to Canon backend in canon_compress function.

2012-04-16	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.132) (+17 -17)
		src/main/canon-modes.h (1.344) (+1 -1)
		src/main/print-canon.c (1.478) (+24 -7)

	activated 600x600dpi_photohigh mode with 13_c9m9y9 inkset in Canon backend in order to debug the incorrect image width. This mode is used by several printer families for high quality photo printing.

2012-04-15	<gernot2270@sourceforge.net>

	Files:	NEWS (1.545) (+7 -2)
		src/main/canon-printers.h (1.270) (+161 -160)
		src/main/print-canon.c (1.477) (+7 -9)

	Implemented correct ESC (l command length for Canon printers.

2012-04-15	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.131) (+401 -401)
		src/main/canon-printers.h (1.269) (+165 -0)
		src/main/print-canon.c (1.476) (+1244 -1733)

	Implemented mode and media cross-checking for Canon backend: only modes permitted for given media will be used, replacing as necessary. Supports: duplex mode substitution, black and color-only cartridge mode substitution, and photo cartridge mode substitution.

2012-04-15	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.130) (+75 -0)
		src/main/print-canon.c (1.475) (+9 -5)

	Added Canon BJC S900 to media-mode combinations.

2012-04-15	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.129) (+70 -0)
		src/main/print-canon.c (1.474) (+9 -5)

	Added Canon BJC S820 to media-mode combinations.

2012-04-15	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.128) (+83 -0)
		src/main/print-canon.c (1.473) (+9 -5)

	Added Canon BJC S800 to media-mode combinations.

2012-04-15	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.127) (+72 -0)
		src/main/canon-modes.h (1.343) (+2 -2)
		src/main/print-canon.c (1.472) (+9 -5)

	Added Canon BJC S750 to media-mode combinations.

2012-04-15	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.126) (+75 -0)
		src/main/print-canon.c (1.471) (+9 -5)

	Added Canon BJC S600 to media-mode combinations.

2012-04-14	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.125) (+74 -0)
		src/main/print-canon.c (1.470) (+9 -5)

	Added Canon BJC S520 to media-mode combinations.

2012-04-14	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.124) (+68 -0)
		src/main/canon-modes.h (1.342) (+1 -1)
		src/main/print-canon.c (1.469) (+9 -5)

	Added Canon BJC S500 to media-mode combinations.

2012-04-14	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.123) (+65 -0)
		src/main/print-canon.c (1.468) (+9 -5)

	Added Canon BJC S330 to media-mode combinations.

2012-04-14	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.122) (+60 -23)
		src/main/print-canon.c (1.467) (+9 -5)

	Added Canon BJC S300 to media-mode combinations.

2012-04-14	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.121) (+370 -0)
		src/xml/printers.xml (1.218) (+2 -2)

	added all remaining distinct Canon BJC printers to media-mode data. No data available to choose modes per media, so all modes qualify for all media.

2012-04-14	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.120) (+38 -0)
		src/main/print-canon.c (1.466) (+9 -5)

	Added Canon BJC 4550 to media-mode combinations.

2012-04-14	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.119) (+60 -0)
		src/main/print-canon.c (1.465) (+9 -5)

	Added Canon BJC 4300 to media-mode combinations.

2012-04-14	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.118) (+80 -0)
		src/main/canon-printers.h (1.268) (+2 -2)
		src/main/print-canon.c (1.464) (+414 -25)

	Added Canon BJC 3000 to media-mode combinations. Added support for photo and full-color ink cartridge selection for BJC series.

2012-04-14	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.117) (+71 -0)
		src/main/canon-modes.h (1.341) (+31 -0)
		src/main/canon-printers.h (1.267) (+1 -1)
		src/main/print-canon.c (1.463) (+9 -5)

	Added Canon MG3100 to media-mode combinations. Separated out mode definitions from MG2100.

2012-04-14	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.116) (+70 -0)
		src/main/canon-modes.h (1.340) (+14 -14)
		src/main/print-canon.c (1.462) (+9 -5)

	Added Canon MG2100 to media-mode combinations.

2012-04-13	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.115) (+93 -0)
		src/main/canon-modes.h (1.339) (+2 -2)
		src/main/print-canon.c (1.461) (+9 -5)

	Added Canon MG8200 to media-mode combinations.

2012-04-13	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.114) (+93 -0)
		src/main/canon-modes.h (1.338) (+2 -2)
		src/main/print-canon.c (1.460) (+9 -5)

	Added Canon MG6200 to media-mode combinations.

2012-04-13	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.113) (+78 -0)
		src/main/canon-modes.h (1.337) (+2 -2)
		src/main/print-canon.c (1.459) (+9 -5)

	Added Canon MG5300 to media-mode combinations.

2012-04-13	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.112) (+93 -0)
		src/main/canon-modes.h (1.336) (+2 -2)
		src/main/print-canon.c (1.458) (+9 -5)

	Added Canon MG8100 to media-mode combinations.

2012-04-13	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.111) (+92 -0)
		src/main/canon-modes.h (1.335) (+1 -1)
		src/main/print-canon.c (1.457) (+9 -5)

	Added Canon MG6100 to media-mode combinations.

2012-04-13	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.110) (+79 -0)
		src/main/canon-modes.h (1.334) (+1 -1)
		src/main/print-canon.c (1.456) (+9 -5)

	Added Canon MG5200 to media-mode combinations.

2012-04-13	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.109) (+70 -8)
		src/main/canon-media.h (1.121) (+1 -0)
		src/main/canon-modes.h (1.333) (+2 -2)
		src/main/print-canon.c (1.455) (+9 -5)

	Added Canon MG5100 to media-mode combinations. Also added missing media type to Canon pro9500 Mk.II.

2012-04-13	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.108) (+80 -0)
		src/main/print-canon.c (1.454) (+9 -5)

	Added Canon MP750 (and MP760, MP770, MP780, MP790) to media-mode combinations.

2012-04-13	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.107) (+92 -0)
		src/main/print-canon.c (1.453) (+9 -5)

	Added Canon MP710 (and MP740) to mode-media data.

2012-04-12	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.106) (+92 -0)
		src/main/print-canon.c (1.452) (+9 -5)

	Added Canon MP700 (and MP730) to media-mode combinations.

2012-04-12	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.105) (+105 -0)
		src/main/canon-modes.h (1.332) (+9 -9)
		src/main/print-canon.c (1.451) (+9 -5)

	Added Canon MP950 to media-mode combinations.

2012-04-11	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.104) (+82 -0)
		src/main/canon-modes.h (1.331) (+19 -19)
		src/main/print-canon.c (1.450) (+9 -5)

	Added Canon MP490 to media-mode combinations.

2012-04-11	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.103) (+100 -0)
		src/main/canon-modes.h (1.330) (+23 -19)
		src/main/print-canon.c (1.449) (+9 -5)

	Added Canon MP470 to media-mode combinations.

2012-04-11	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.102) (+102 -0)
		src/main/print-canon.c (1.448) (+9 -5)

	Added Canon MP900 to media-mode combinations.

2012-04-11	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.101) (+70 -0)
		src/main/print-canon.c (1.447) (+9 -5)

	Added Canon MP360 (and MP370, MP375R, MP390) to media-mode combinations.

2012-04-11	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.100) (+105 -1)
		src/main/canon-modes.h (1.329) (+1 -1)
		src/main/print-canon.c (1.446) (+9 -5)

	Added Canon iP9910 to mode-media data.

2012-04-11	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.99) (+106 -0)
		src/main/canon-modes.h (1.328) (+1 -1)
		src/main/print-canon.c (1.445) (+9 -5)

	Added Canon iP8600 to mode-media data.

2012-04-11	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.98) (+116 -4)
		src/main/canon-modes.h (1.327) (+2 -2)
		src/main/print-canon.c (1.444) (+9 -5)

	Added Canon iP8100 to mode-media data.

2012-04-11	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.97) (+7226 -7128)
		src/main/canon-modes.h (1.326) (+1 -1)
		src/main/print-canon.c (1.443) (+9 -5)

	Added Canon iP7100 to mode-media data.

2012-04-11	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.96) (+69 -0)
		src/main/print-canon.c (1.442) (+9 -5)

	Added Canon iP3600 to mode-media data.

2012-04-11	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.95) (+68 -0)
		src/main/print-canon.c (1.441) (+9 -5)

	Added Canon iP3300 to mode-media data.

2012-04-11	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.94) (+85 -1)
		src/main/canon-modes.h (1.325) (+2 -2)
		src/main/print-canon.c (1.440) (+9 -5)

	Added Canon MP560 to mode-media data.

2012-04-10	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.93) (+85 -0)
		src/main/canon-modes.h (1.324) (+1 -1)
		src/main/print-canon.c (1.439) (+9 -5)

	Added Canon MP640 to media-mode combinations.

2012-04-10	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.92) (+82 -0)
		src/main/canon-modes.h (1.323) (+2 -2)
		src/main/print-canon.c (1.438) (+9 -5)

	Added Canon MP630  to media-mode combinations.

2012-04-10	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.91) (+69 -0)
		src/main/print-canon.c (1.437) (+9 -5)

	Added Canon MP620 to mode-media data.

2012-04-10	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.90) (+86 -0)
		src/main/print-canon.c (1.436) (+9 -5)

	Added Canon iP6100D to mode-media data.

2012-04-10	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.89) (+86 -0)
		src/main/canon-modes.h (1.322) (+3 -3)
		src/main/print-canon.c (1.435) (+9 -5)

	Added Canon MP980 to mode-media data.

2012-04-10	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.88) (+90 -0)
		src/main/print-canon.c (1.434) (+9 -5)

	Added Canon MP810 to mode-media data.

2012-04-10	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.87) (+80 -0)
		src/main/canon-modes.h (1.321) (+1 -1)
		src/main/print-canon.c (1.433) (+13 -9)

	Added Canon MP800 to mode-media data.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.86) (+128 -0)
		src/main/canon-modes.h (1.320) (+1 -1)
		src/main/print-canon.c (1.432) (+14 -9)

	Added Canon Pro9500 Mk.II  to media-mode combinations.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.85) (+130 -0)
		src/main/canon-modes.h (1.319) (+2 -2)
		src/main/print-canon.c (1.431) (+5 -5)

	Added Canon Pro9500 to media-mode combinations.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.84) (+9 -2)
		src/main/print-canon.c (1.430) (+9 -5)

	Added transparency modes to iX4000 media-mode combinations.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.83) (+73 -2)
		src/main/canon-modes.h (1.318) (+24 -0)
		src/main/canon-printers.h (1.266) (+1 -1)
		src/main/print-canon.c (1.429) (+9 -5)

	Added Canon MX880 to media-mode combinations.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.82) (+49 -0)
		src/main/print-canon.c (1.428) (+9 -5)

	Added Canon MX7600 to media-mode combinations.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.81) (+72 -0)
		src/main/print-canon.c (1.427) (+9 -5)

	Added Canon MX870 to media-mode combinations.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.80) (+70 -0)
		src/main/canon-modes.h (1.317) (+1 -1)
		src/main/print-canon.c (1.426) (+9 -5)

	Added Canon MX860 to media-mode combinations.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.79) (+86 -0)
		src/main/canon-media.h (1.120) (+1 -1)
		src/main/print-canon.c (1.425) (+9 -5)

	Added Canon MX850 to mode-media data.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.78) (+69 -0)
		src/main/print-canon.c (1.424) (+9 -5)

	Added Canon MX700 to mode-media data.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.77) (+80 -0)
		src/main/canon-modes.h (1.316) (+20 -20)
		src/main/print-canon.c (1.423) (+9 -5)

	Added Canon MX340 (and MX350) to mode-media data.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.76) (+78 -0)
		src/main/canon-modes.h (1.315) (+20 -20)
		src/main/print-canon.c (1.422) (+9 -5)

	Added Canon MX330 to mode-media data.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.75) (+92 -0)
		src/main/canon-modes.h (1.314) (+23 -23)
		src/main/print-canon.c (1.421) (+9 -5)

	Added Canon MX300 (and MX310) to mode-media data.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.74) (+93 -0)
		src/main/canon-media.h (1.119) (+2 -2)
		src/main/canon-modes.h (1.313) (+2 -1)
		src/main/print-canon.c (1.420) (+9 -5)

	Added Canon MP990 to mode-media data.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.73) (+83 -0)
		src/main/print-canon.c (1.419) (+9 -5)

	Added Canon MP600 to mode-media data.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.72) (+69 -0)
		src/main/print-canon.c (1.418) (+9 -5)

	Added Canon MP520 (and MP510) to mode-media data.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.71) (+77 -0)
		src/main/print-canon.c (1.417) (+9 -5)

	Added Canon MP480 to mode-media data.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.70) (+81 -0)
		src/main/canon-modes.h (1.312) (+21 -21)
		src/main/print-canon.c (1.416) (+9 -5)

	Added Canon MP280 to mode-media data.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.69) (+52 -0)
		src/main/print-canon.c (1.415) (+9 -5)

	Added Canon mini320 (and mini360) to mode-media data.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.68) (+50 -0)
		src/main/canon-modes.h (1.311) (+1 -1)
		src/main/print-canon.c (1.414) (+9 -5)

	Added Canon mini220 to mode-media data.

2012-04-09	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.67) (+80 -0)
		src/main/canon-media.h (1.118) (+1 -1)
		src/main/print-canon.c (1.413) (+9 -5)

	Added Canon MP493 to mode-media data.

2012-04-08	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.66) (+63 -0)
		src/main/canon-modes.h (1.310) (+5 -0)
		src/main/print-canon.c (1.412) (+9 -5)

	Added Canon PIXMA iX7000 to media-mode combinations.

2012-04-08	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.65) (+50 -0)
		src/main/canon-modes.h (1.309) (+1 -1)
		src/main/print-canon.c (1.411) (+9 -5)

	Added Canon SELPHY DS810 to media-mode combinations.

2012-04-08	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.64) (+52 -0)
		src/main/canon-modes.h (1.308) (+1 -1)
		src/main/print-canon.c (1.410) (+9 -5)

	Added Canon SELPHY DS700 to media-mode combinations.

2012-04-08	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.63) (+80 -0)
		src/main/canon-media.h (1.117) (+3 -2)
		src/main/canon-modes.h (1.307) (+56 -19)
		src/main/canon-printers.h (1.265) (+1 -1)
		src/main/print-canon.c (1.409) (+9 -5)

	Added Canon MX420 to media-mode combinations. Added missing paper type and created custom mode definition.

2012-04-08	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.62) (+73 -0)
		src/main/print-canon.c (1.408) (+9 -5)

	Added Canon PIXMA iX6500 to media-mode combinations.

2012-04-08	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.61) (+96 -0)
		src/main/print-canon.c (1.407) (+9 -5)

	Added Canon BJC i9900 to media-mode combinations.

2012-04-08	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.60) (+86 -0)
		src/main/print-canon.c (1.406) (+9 -5)

	Added Canon BJC i9100 to media-mode combinations.

2012-04-08	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.59) (+83 -0)
		src/main/canon-modes.h (1.306) (+1 -1)
		src/main/print-canon.c (1.405) (+9 -5)

	Added Canon BJC i6610 (and i6500) to media-mode combinations.

2012-04-08	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.58) (+82 -0)
		src/main/canon-modes.h (1.305) (+1 -1)
		src/main/print-canon.c (1.404) (+9 -5)

	Added Canon BJC i865 to media-mode combinations.

2012-04-08	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.57) (+83 -0)
		src/main/print-canon.c (1.403) (+9 -5)

	Added Canon BJC i560 to media-mode combinations.

2012-04-08	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.56) (+71 -0)
		src/main/print-canon.c (1.402) (+9 -5)

	Added Canon BJC i70 to media-mode combinations.

2012-04-08	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.55) (+72 -0)
		src/main/print-canon.c (1.401) (+9 -5)

	Added Canon BJC i80 to media-mode combinations.

2012-04-07	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.54) (+69 -1)
		src/main/canon-modes.h (1.304) (+3 -3)
		src/main/print-canon.c (1.400) (+9 -5)

	Added Canon BJC i900 to media-mode combinations.

2012-04-07	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.53) (+102 -0)
		src/main/canon-modes.h (1.303) (+1 -1)
		src/main/print-canon.c (1.399) (+9 -5)

	Added Canon BJC i960 to media-mode combinations.

2012-04-07	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.52) (+93 -0)
		src/main/canon-modes.h (1.302) (+3 -3)
		src/main/canon-printers.h (1.264) (+1 -1)
		src/main/print-canon.c (1.398) (+9 -5)

	Added Canon BJC i950 to media-mode combinations.

2012-04-06	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.51) (+72 -0)
		src/main/print-canon.c (1.397) (+9 -5)

	Added Canon BJC i860 to media-mode combinations.

2012-04-06	<gernot2270@sourceforge.net>

	Files:	src/main/canon-media-mode.h (1.50) (+96 -0)
		src/main/canon-modes.h (1.301) (+1 -1)
		src/main/print-canon.c (1.396) (+9 -5)

	Added Canon BJC i850 to media-mode combinations.

